package COM.ibm.jaws.app.trs.trswin2;
import java.awt.*;
import java.util.*;
import java.applet.*;
import com.roguewave.widgets.*;
// zpb_begin UserImports
import mlsoft.mct.*;
import COM.ibm.jaws.models.trs.*;
// zpb_end

/**
 * Class EditTripSummaryPanel.
 *
 *
 * @author    Bryce Curtis
 * @version   2.0 11/21/96 1:29:05pm
 * @copyright IBM
 */
public
class EditTripSummaryPanel extends Panel {
	Label pStatic1, pStatic2, pStatic5, pStatic6, pStatic7, pStatic8, pStatic9,
pStatic10, pStatic11, pStatic12, pStatic13;
	Button pDoIt, pLeft, pRight;
	private Applet applet = null;
	private Frame  frame  = null;

	// Initial size in logical units
	Dimension initialSize = new Dimension(335, 165);
	Point initialLocation;
	// zpb_begin EditTripSummaryPanelUserVars
	EditTrip parent = null;
	String s1 = "";
	String s2 = "";
	String s3 = "";
	String s4 = "";
	String s5 = "";
	String s6 = "";
	String s7 = "";
	String s8 = "";
	String s9 = "";
	String s10 = "";
	String s11 = "";
	String s12 = "";
	float price = 0;
	// zpb_end

	// zpb_begin EditTripSummaryPanelJavadocConstructor
	/**
	 * Creates a specialized Panel with the specified app and frame.
	 */
	 // zpb_end
	EditTripSummaryPanel(Applet app, Frame frame) {
		applet = app;
		this.frame = frame;
		// zpb_begin EditTripSummaryPanelConstructor_1
		parent = (EditTrip)frame;
		// zpb_end

		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		pStatic1 = new Label("Trip Name:");
		add("10 15 54 12", pStatic1);
		pStatic1.setFont(new Font("Helvetica", Font.BOLD, 15));
		pStatic2 = new Label("Airline:");
		add("10 35 30 12", pStatic2);
		pStatic2.setFont(new Font("Helvetica", Font.BOLD, 15));
		pStatic5 = new Label("Car Rental:");
		add("10 70 50 12", pStatic5);
		pStatic5.setFont(new Font("Helvetica", Font.BOLD, 15));
		pStatic6 = new Label("Hotel:");
		add("10 90 29 12", pStatic6);
		pStatic6.setFont(new Font("Helvetica", Font.BOLD, 15));
		pStatic7 = new Label("Price:");
		add("10 110 27 12", pStatic7);
		pStatic7.setFont(new Font("Helvetica", Font.BOLD, 15));
		pDoIt = new Button("Make Reservation");
		add("125 135 80 16", pDoIt);
		pDoIt.setFont(new Font("Helvetica", Font.BOLD, 15));
		pStatic8 = new Label("Trip Name");
		add("70 15 42 12", pStatic8);
		pStatic8.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pStatic9 = new Label("Leave info");
		add("70 35 41 12", pStatic9);
		pStatic9.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pStatic10 = new Label("Return Info");
		add("70 50 43 12", pStatic10);
		pStatic10.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pStatic11 = new Label("Car Info");
		add("70 70 32 12", pStatic11);
		pStatic11.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pStatic12 = new Label("Hotel Info");
		add("70 90 38 12", pStatic12);
		pStatic12.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pStatic13 = new Label("Cost");
		add("70 110 21 12", pStatic13);
		pStatic13.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pLeft = new Button("<");
		add("300 150 15 12", pLeft);
		pRight = new Button(">");
		add("315 150 15 12", pRight);
		// zpb_begin EditTripSummaryPanelConstructor_2
		pStatic8.hide();
		pStatic9.hide();
		pStatic10.hide();
		pStatic11.hide();
		pStatic12.hide();
		pStatic13.hide();
		// zpb_end

		// Size and Position in logical units
		initialLocation = lfLayout.du(5, 5);
		move(initialLocation.x, initialLocation.y);

		// zpb_begin EditTripSummaryPanelConstructor_3
		// zpb_end
	}

	// zpb_begin EditTripSummaryPanelRightJavadocPaint
	/**
	 * Paints the Panel.  Add specialized functionality for this Panel
	 * between the paint protect block.
	 */
	// zpb_end
	public void paint(Graphics g) {
	        RCommon.waitCursor();
		Dimension d = size();
		g.drawRect(0,0,d.width-1,d.height-1); // border
		// zpb_begin EditTripSummaryPanelPaint
		//float price = 0;
		//String s = "";
		g.setFont(new Font("Helvetica", Font.PLAIN, 12));
		g.drawString(s1, 140, 42+4);		// Trip name
		// Leave info
		g.drawString(s2, 140, 84);
		g.drawString(s3, 140, 96);
		g.drawString(s4, 140, 108);
		g.drawString(s5, 140, 120);
		// Return info
		g.drawString(s6, 360, 84);
		g.drawString(s7, 360, 96);
		g.drawString(s8, 360, 108);
		g.drawString(s9, 360, 120);
		// Car info
		g.drawString(s10, 140, 148);
		// Hotel info
		g.drawString(s11, 140, 186);
                g.drawString(s12, 140, 198);
		// Price
		g.drawString("$" + Float.toString(price), 140, 224);	// Cost
		RCommon.defaultCursor();
		// zpb_end
	}


	// zpb_begin EditTripSummaryPanelJavadocHandleEvent
	/**
	 * Handle events that occur with components in this container.
	 *
	 * @return  Returns a boolean which specifies whether the event
	 *          handler should stop at this level or continue up the
	 *          parent hierarchy.
	 */
	// zpb_end
	public boolean handleEvent(Event e) {

		// zpb_begin EditTripSummaryPanelHandleEvent
		// zpb_end

		return super.handleEvent(e);
	}

	// zpb_begin EditTripSummaryPanelJavadocAction
	/**
	 * Action handling routine.
	 *
	 * @return  Returns a boolean specifying whether the event should be handled
	 *          furthur up the parent hierarchy.
	 */
	// zpb_end
	public boolean action(Event evt, Object obj) {
		if (evt.target == pDoIt) {
			// zpb_begin PanelDoItClicked
			// zpb_end
			return false;
		}
		else if (evt.target == pLeft) {
			// zpb_begin PanelLeftClicked
			((EditTrip)frame).tabPanel.showPage("Hotel");
			// zpb_end
			return false;
		}
		else if (evt.target == pRight) {
			// zpb_begin PanelRightClicked
			((EditTrip)frame).tabPanel.showPage("Preferences");
			// zpb_end
			return false;
		}

		// zpb_begin EditTripSummaryPanelAction
		// zpb_end

		return false;
	}


	// zpb_begin EditTripSummaryPanelUserMethods

	/**
    	*******************************************************
    	* Get data from server
    	*******************************************************
    	*/
	public void getData() {
	    System.out.println("EditTripSummaryPanel::getData()");
            if (parent.skipSummary)
                return;

            PopupOk dServerMsgBox = new PopupOk(applet, frame, "Please Wait...", false);
            dServerMsgBox.title("Getting trip data...");
            dServerMsgBox.move(100,100);

            MlProgress prog;
            prog = new MlProgress();
            prog.reshape(0, 0, 280, 16); // 300, 20);
            prog.setValue("showTime", true);
            dServerMsgBox.add("20 35 140 8", prog);
            prog.setValue("completeValue", 12);
            Label pStatus = new Label("Querying server...");
            dServerMsgBox.add("20 20 60 15", pStatus);
            pStatus.setFont(new Font("Helvetica", Font.PLAIN, 15));
            dServerMsgBox.noButton();
            dServerMsgBox.show();
            dServerMsgBox.toFront();
            RCommon.waitCursor();
            prog.setValue(0);
            prog.updateDisplay();

	    RCommon.waitCursor();
            parent.refreshSummaryPage = false;

	    s1 = parent.trip.getName();		// Trip name
    	    prog.setValue(1);
    	    prog.updateDisplay();

            //using trip instead of getting data from grid so all grids don't need to be refreshed
	    long days = (parent.trip.getReturnDate().getTime() - parent.trip.getDepartureDate().getTime() + 10000000) / 86399560;
	    if (days < 1) days = 1;
            price = 0;

	    // Leave info
	    FlightReservation flightRes = parent.trip.getDepartureFlightReservation();
	    if (flightRes != null) {
		Flight flight = flightRes.getFlight();
		FlightPlan flightPlan = flight.getFlightPlan();

		s2 = RCommon.getDateString(parent.trip.getDepartureDate());
                prog.setValue(2);
                prog.updateDisplay();
		s3 = flightPlan.getAirlineCompany().getName() + ", Flight ";
		s3 = s3 + flightPlan.getFlightNumber() + ", Seat ";
		s3 = s3 + flightRes.getSeat();
                prog.setValue(3);
                prog.updateDisplay();
		s4 = RCommon.getTime(flight.getDepartureDateTime()) + " - " +
			    flightPlan.getDepartureAirport().getCode() + " -> ";
		s4 = s4 + RCommon.getTime(flight.getArrivalDateTime()) + " - " +
			    flightPlan.getDestinationAirport().getCode();
                prog.setValue(4);
                prog.updateDisplay();
		s5 = "0 Connections";
                prog.setValue(5);
                prog.updateDisplay();
		price = price + flightPlan.getPrice();
	    }

	    // Return info
	    flightRes = parent.trip.getReturnFlightReservation();
	    if (flightRes != null) {
		Flight flight = flightRes.getFlight();
		FlightPlan flightPlan = flight.getFlightPlan();

		s6 = RCommon.getDateString(parent.trip.getReturnDate());
                prog.setValue(6);
                prog.updateDisplay();
		s7 = flightPlan.getAirlineCompany().getName() + ", Flight ";
		s7 = s7 + flightPlan.getFlightNumber() + ", Seat ";
		s7 = s7 + flightRes.getSeat();
                prog.setValue(7);
                prog.updateDisplay();
		s8 = RCommon.getTime(flight.getDepartureDateTime()) + " - " +
			    flightPlan.getDepartureAirport().getCode() + " -> ";
		s8 = s8 + RCommon.getTime(flight.getArrivalDateTime()) + " - " +
			    flightPlan.getDestinationAirport().getCode();
                prog.setValue(8);
                prog.updateDisplay();
		s9 = "0 Connections";
                prog.setValue(9);
                prog.updateDisplay();
		price = price + flightPlan.getPrice();
	    }

	    // Car info
	    CarReservation carRes = parent.trip.getCarReservation();
	    if (carRes != null) {
		CarFleet car = carRes.getCarFleet();
		s10 = car.getCarRentalCompany().getName() + ", ";
		s10 = s10 + car.getCar().getName();
                prog.setValue(10);
                prog.updateDisplay();
		price = price + car.getPrice() * days;
	    }

	    // Hotel info
	    HotelReservation hotelRes = parent.trip.getHotelReservation();
	    if (hotelRes != null) {
		RoomGroup room = hotelRes.getRoomGroup();
		s11 = room.getHotelCompany().getName() + ", ";
		s11 = s11 + room.getName();
                prog.setValue(11);
                prog.updateDisplay();

		Contact contact = room.getContact();
		s12 = contact.getAddress1() + " ";
		if (contact.getAddress2() != null)
		    s12 = s12 + contact.getAddress2();
		s12 = s12 + ", " +
		    contact.getCity().getName() + "  " +
		    "(" + contact.getPhoneAreaCode() + ") " + contact.getPhoneNumber();
                prog.setValue(12);
                prog.updateDisplay();
		price = price + room.getPrice() * days;
	    }
    	    prog.setValue(12);
    	    prog.updateDisplay();
	    repaint();
            dServerMsgBox.hide();
            dServerMsgBox.dispose();
	    dServerMsgBox = null;
            RCommon.defaultCursor();
	}

    	/**
    	*******************************************************
    	* Save data to server
    	*******************************************************
    	*/
	public void saveData() {
	}
	// zpb_end
}
