package COM.ibm.jaws.app.trs.trswin2;

import java.awt.*;
import java.util.*;
import java.applet.*;
import com.roguewave.widgets.*;
// zpb_begin UserImports
// zpb_end

/**
 * Class HelpAbout.
 *
 *
 * @author    Bryce Curtis
 * @version   1.0 1/18/97 8:37:47pm
 * @copyright IBM
 */
public class HelpAbout extends Dialog {

	private static Applet applet;
	Label pStatic1, pStatic2, pStatic4;
	Button pButton1;
	Bitmap pBitmap1;

	// Initial size in logical units
	Dimension initialSize = new Dimension(188, 128);
	Point initialLocation;
	// zpb_begin HelpAboutUserVars
	// zpb_end

	// zpb_begin HelpAboutJavadocConstructor
	/**
	 * Creates a specialized dialog with the specified app, parent, title and
	 * modality.
	 */
	 // zpb_end
	HelpAbout(Applet app, Frame parent, String title, boolean modal) {
		super(parent, title, modal);
		applet = app;
		setResizable(false);

		// zpb_begin HelpAboutConstructor_1
		// zpb_end

		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		pButton1 = new Button("OK");
		add("76 95 32 15", pButton1);
		pStatic1 = new Label("Travel Reservation System Demo");
		pStatic1.setAlignment(Label.CENTER);
		add("12 5 160 12", pStatic1);
		pStatic1.setFont(new Font("Helvetica", Font.BOLD, 16));
		pStatic2 = new Label("written by Bryce Curtis");
		pStatic2.setAlignment(Label.CENTER);
		add("12 65 160 12", pStatic2);
		pStatic4 = new Label("Copyright IBM Corp. 1996,1997");
		pStatic4.setAlignment(Label.CENTER);
		add("12 75 160 12", pStatic4);
		pBitmap1 = new Bitmap(applet, "images/md88_pln.gif");
		add("8 20 a294 a76", pBitmap1);
		// zpb_begin HelpAboutConstructor_2
		// zpb_end

		// Size and Position in logical units
		initialLocation = lfLayout.du(15, 28);

		pack();
		move(initialLocation.x, initialLocation.y);

		// zpb_begin HelpAboutConstructor_3
		// zpb_end
	}

	// zpb_begin HelpAboutJavadocMinimumSize
	/**
	 * @return  Returns a Dimension with the minimum width and height
	 *          of this container.
	 */
	 // zpb_end
	public Dimension minimumSize() {
		// zpb_begin HelpAboutMinimumSize
		// zpb_end

		LayoutManager layoutMgr = getLayout();
		if (layoutMgr instanceof LogFontLayout) {
			// Convert from logical units to absolute coordinates
			int w = initialSize.width;
			int h = initialSize.height;
			LogFontLayout layout = (LogFontLayout)layoutMgr;
			return new Dimension(layout.duX(w), layout.duY(h));
		}
		return new Dimension(initialSize);
	}

	// zpb_begin HelpAboutJavadocHandleEvent
	/**
	 * Handle events that occur with components in this container.
	 *
	 * @return  Returns a boolean which specifies whether the event
	 *          handler should stop at this level or continue up the
	 *          parent hierarchy.
	 */
	// zpb_end
	public boolean handleEvent(Event e) {
		if (e.id == Event.WINDOW_DESTROY) {
			// zpb_begin HelpAboutDestroy
			// zpb_end
			dispose();
			return true;
		}

		// zpb_begin HelpAboutHandleEvent
		// zpb_end

		return super.handleEvent(e);
	}

	// zpb_begin HelpAboutJavadocAction
	/**
	 * Action handling routine.
	 *
	 * @return  Returns a boolean specifying whether the event should be handled
	 *          furthur up the parent hierarchy.
	 */
	// zpb_end
	public boolean action(Event evt, Object obj) {

		if (evt.target == pButton1) {
			// zpb_begin HelpAboutButton1Clicked
			// zpb_end
			dispose();
			return false;
		}

		// zpb_begin HelpAboutAction
		// zpb_end

		return false;
	}


	// zpb_begin HelpAboutUserMethods
	// zpb_end
}

// zpb_begin UserClasses
// zpb_end
