package COM.ibm.jaws.app.trs.trswin2;
import java.awt.*;
import java.util.*;
import java.applet.*;
import com.roguewave.widgets.*;
// zpb_begin UserImports 
// zpb_end 

/**
 * Class NotImplemented.
 *
 *
 * @author    Bryce Curtis
 * @version   2.0 11/21/96 8:49:29am
 * @copyright IBM
 */
public
class NotImplemented extends Dialog {

	private static Applet applet;
	Label pStatic1, pStatic2;
	Button pOK;

	// Initial size in logical units
	Dimension initialSize = new Dimension(185, 100);
	Point initialLocation;
	// zpb_begin NotImplementedUserVars 
	// zpb_end 

	// zpb_begin NotImplementedJavadocConstructor 
	/**
	 * Creates a specialized dialog with the specified app, parent, title and
	 * modality.
	 */
	 // zpb_end 
	NotImplemented(Applet app, Frame parent, String title, boolean modal) {
		super(parent, title, modal);
		applet = app;
		setResizable(false);

		// zpb_begin NotImplementedConstructor_1 
		// zpb_end 

		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		pStatic1 = new Label("Not Implemented ...");
		add("5 10 168 12", pStatic1);
		pStatic1.setFont(new Font("Helvetica", Font.BOLD, 15));
		pStatic1.setForeground(Color.blue);
		pStatic2 = new Label("Requested function is not available.");
		add("20 35 133 12", pStatic2);
		pStatic2.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pOK = new Button("OK");
		add("75 65 32 14", pOK);
		pOK.setFont(new Font("Helvetica", Font.PLAIN, 15));
		// zpb_begin NotImplementedConstructor_2 
		// zpb_end 

		// Size and Position in logical units
		initialLocation = lfLayout.du(15, 28);
		
		pack();
		move(initialLocation.x, initialLocation.y);

		// zpb_begin NotImplementedConstructor_3 
		// zpb_end 
	}

	// zpb_begin NotImplementedJavadocMinimumSize 
	/**
	 * @return  Returns a Dimension with the minimum width and height
	 *          of this container.
	 */
	 // zpb_end 
	public Dimension minimumSize() {
		// zpb_begin NotImplementedMinimumSize 
		// zpb_end 
			
		LayoutManager layoutMgr = getLayout();
		if (layoutMgr instanceof LogFontLayout) {
			// Convert from logical units to absolute coordinates
			int w = initialSize.width;
			int h = initialSize.height;
			LogFontLayout layout = (LogFontLayout)layoutMgr;
			return new Dimension(layout.duX(w), layout.duY(h));
		}
		return new Dimension(initialSize);
	}

	// zpb_begin NotImplementedJavadocHandleEvent 
	/**
	 * Handle events that occur with components in this container.
	 *
	 * @return  Returns a boolean which specifies whether the event
	 *          handler should stop at this level or continue up the
	 *          parent hierarchy.
	 */
	// zpb_end 
	public boolean handleEvent(Event e) {
		if (e.id == Event.WINDOW_DESTROY) {
			// zpb_begin NotImplementedDestroy 
			// zpb_end 
			dispose();
			return true;
		}

		// zpb_begin NotImplementedHandleEvent 
		// zpb_end 

		return super.handleEvent(e);
	}

	// zpb_begin NotImplementedJavadocAction 
	/**
	 * Action handling routine.
	 *
	 * @return  Returns a boolean specifying whether the event should be handled
	 *          furthur up the parent hierarchy.
	 */
	// zpb_end 
	public boolean action(Event evt, Object obj) {

		if (evt.target == pOK) {
			// zpb_begin NotImplementedOKClicked 
                        Event e = new Event(this, 0, Event.WINDOW_DESTROY, 0, 0, 0, 0);
                        handleEvent(e);
			// zpb_end 
		}

		// zpb_begin NotImplementedAction 
		// zpb_end 

		return false;
	}


	// zpb_begin NotImplementedUserMethods 
	// zpb_end 
}
