package COM.ibm.jaws.app.trs.trswin2;
import java.awt.*;
import java.util.*;
import java.applet.*;
import com.roguewave.widgets.*;
// zpb_begin UserImports
import mlsoft.mct.*;
import COM.ibm.jaws.models.trs.*;
// zpb_end

/**
 * Class ProfileAddrPanel.
 *
 *
 * @author    Bryce Curtis
 * @version   2.0 11/21/96 9:02:11am
 * @copyright IBM
 */
public
class ProfileAddrPanel extends Panel {
	TextField pAddr1, pPhoneNumber, pState, pAddr2, pCity, pZip, pPhoneAreaCode,
pFaxAreaCode, pFaxNumber, pEmailUserId, pEmailAddress;
	Label pStatic10, pStatic11, pStatic13, pStatic14, pStatic15, pStatic16,
pStatic19, pStatic20, pStatic21, pStatic22, pStatic23, pStatic24;
	Button pRight, pLeft;
	private Applet applet = null;
	private Frame  frame  = null;

	// Initial size in logical units
	Dimension initialSize = new Dimension(305, 165);
	Point initialLocation;
	// zpb_begin ProfileAddrPanelUserVars
	EditTrip parent = null;
	Contact c = null;
	// zpb_end

	// zpb_begin ProfileAddrPanelJavadocConstructor
	/**
	 * Creates a specialized Panel with the specified app and frame.
	 */
	 // zpb_end
	ProfileAddrPanel(Applet app, Frame frame) {
		applet = app;
		this.frame = frame;
		// zpb_begin ProfileAddrPanelConstructor_1
		parent = (EditTrip)frame;
		// zpb_end

		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		pAddr1 = new TextField("");
		add("60 10 225 12", pAddr1);
		pAddr1.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pAddr1.setBackground(Color.white);
		pRight = new Button(">");
		add("270 140 15 12", pRight);
		pStatic10 = new Label("Phone:");
		add("5 75 32 12", pStatic10);
		pStatic10.setFont(new Font("Helvetica", Font.BOLD, 15));
		pPhoneNumber = new TextField("");
		add("100 75 70 12", pPhoneNumber);
		pPhoneNumber.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pPhoneNumber.setBackground(Color.white);
		pStatic11 = new Label("State:");
		pStatic11.setAlignment(Label.RIGHT);
		add("165 40 27 12", pStatic11);
		pStatic11.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pState = new TextField("");
		add("195 40 30 12", pState);
		pState.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pState.setBackground(Color.white);
		pLeft = new Button("<");
		add("255 140 15 12", pLeft);
		pAddr2 = new TextField("");
		add("60 25 225 12", pAddr2);
		pAddr2.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pAddr2.setBackground(Color.white);
		pCity = new TextField("");
		add("60 40 105 12", pCity);
		pCity.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pCity.setBackground(Color.white);
		pStatic13 = new Label("Zip:");
		pStatic13.setAlignment(Label.RIGHT);
		add("225 40 18 12", pStatic13);
		pStatic13.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pZip = new TextField("");
		add("245 40 39 12", pZip);
		pZip.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pZip.setBackground(Color.white);
		pStatic14 = new Label("City:");
		pStatic14.setAlignment(Label.RIGHT);
		add("35 40 22 12", pStatic14);
		pStatic14.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pStatic15 = new Label("Address 2:");
		pStatic15.setAlignment(Label.RIGHT);
		add("10 25 46 12", pStatic15);
		pStatic15.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pStatic16 = new Label("Address 1:");
		pStatic16.setAlignment(Label.RIGHT);
		add("10 10 46 12", pStatic16);
		pStatic16.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pPhoneAreaCode = new TextField("");
		add("60 75 35 12", pPhoneAreaCode);
		pPhoneAreaCode.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pPhoneAreaCode.setBackground(Color.white);
		pStatic19 = new Label("Fax:");
		add("5 90 20 12", pStatic19);
		pStatic19.setFont(new Font("Helvetica", Font.BOLD, 15));
		pFaxAreaCode = new TextField("");
		add("60 90 35 12", pFaxAreaCode);
		pFaxAreaCode.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pFaxAreaCode.setBackground(Color.white);
		pStatic20 = new Label("Area Code");
		pStatic20.setAlignment(Label.CENTER);
		add("55 105 45 12", pStatic20);
		pFaxNumber = new TextField("");
		add("100 90 70 12", pFaxNumber);
		pFaxNumber.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pFaxNumber.setBackground(Color.white);
		pStatic21 = new Label("Number");
		pStatic21.setAlignment(Label.CENTER);
		add("105 105 60 12", pStatic21);
		pStatic22 = new Label("Email:");
		add("5 125 27 12", pStatic22);
		pStatic22.setFont(new Font("Helvetica", Font.BOLD, 15));
		pEmailUserId = new TextField("");
		add("60 125 35 12", pEmailUserId);
		pEmailUserId.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pEmailUserId.setBackground(Color.white);
		pEmailAddress = new TextField("");
		add("100 125 70 12", pEmailAddress);
		pEmailAddress.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pEmailAddress.setBackground(Color.white);
		pStatic23 = new Label("User Id");
		pStatic23.setAlignment(Label.CENTER);
		add("55 140 45 12", pStatic23);
		pStatic24 = new Label("System");
		pStatic24.setAlignment(Label.CENTER);
		add("105 140 60 12", pStatic24);
		// zpb_begin ProfileAddrPanelConstructor_2
		// zpb_end

		// Size and Position in logical units
		initialLocation = lfLayout.du(5, 5);
		move(initialLocation.x, initialLocation.y);

		// zpb_begin ProfileAddrPanelConstructor_3
		// zpb_end
	}

	// zpb_begin ProfileAddrPanelStatic24JavadocPaint
	/**
	 * Paints the Panel.  Add specialized functionality for this Panel
	 * between the paint protect block.
	 */
	// zpb_end
	public void paint(Graphics g) {
		Dimension d = size();
		g.drawRect(0,0,d.width-1,d.height-1); // border
		// zpb_begin ProfileAddrPanelPaint
		// zpb_end
	}


	// zpb_begin ProfileAddrPanelJavadocHandleEvent
	/**
	 * Handle events that occur with components in this container.
	 *
	 * @return  Returns a boolean which specifies whether the event
	 *          handler should stop at this level or continue up the
	 *          parent hierarchy.
	 */
	// zpb_end
	public boolean handleEvent(Event e) {

		// zpb_begin ProfileAddrPanelHandleEvent
		// zpb_end

		return super.handleEvent(e);
	}

	// zpb_begin ProfileAddrPanelJavadocAction
	/**
	 * Action handling routine.
	 *
	 * @return  Returns a boolean specifying whether the event should be handled
	 *          furthur up the parent hierarchy.
	 */
	// zpb_end
	public boolean action(Event evt, Object obj) {
		if (evt.target == pRight) {
			// zpb_begin PanelRightClicked
			if (this == ((EditTrip)frame).wProfilePage.wHomeAddrPage)
			    ((EditTrip)frame).wProfilePage.tabPanel.showPage("Work");
			else
			    ((EditTrip)frame).wProfilePage.tabPanel.showPage("Credit");
			// zpb_end
			return false;
		}
		else if (evt.target == pLeft) {
			// zpb_begin PanelLeftClicked
			if (this == ((EditTrip)frame).wProfilePage.wHomeAddrPage)
			    ((EditTrip)frame).wProfilePage.tabPanel.showPage("General");
			else
			    ((EditTrip)frame).wProfilePage.tabPanel.showPage("Home");
			// zpb_end
			return false;
		}

		// zpb_begin ProfileAddrPanelAction
		// zpb_end

		return false;
	}


	// zpb_begin ProfileAddrPanelUserMethods
	/**
    	*******************************************************
    	* Get data from server
    	*******************************************************
    	*/
    	public void getData() {
	    RCommon.waitCursor();
	    if (parent.currentProfilePage.equals("Home")) {
		System.out.println("getData(): Contact=Home");
		c = RCommon.user.getHomeContact();
	    }
	    else if (parent.currentProfilePage.equals("Work")) {
		System.out.println("getData(): Contact=Work");
		c = RCommon.user.getEmployerContact();
	    }
	    else
		return;
	    pAddr1.setText(c.getAddress1());
	    pPhoneNumber.setText(c.getPhoneNumber());
	    City city = c.getCity();
	    if (city != null) {
	        pState.setText(city.getState().getName());
	        pCity.setText(city.getName());
	    }
	    pAddr2.setText(c.getAddress2());
	    pZip.setText(c.getZip());
	    pPhoneAreaCode.setText(c.getPhoneAreaCode());
	    pFaxAreaCode.setText(c.getFaxAreaCode());
	    pFaxNumber.setText(c.getFaxNumber());
	    pEmailUserId.setText(c.getEmailId());
	    pEmailAddress.setText(c.getEmailAddress());
	    RCommon.defaultCursor();
    	}

    	/**
    	*******************************************************
    	* Save data to server
    	*******************************************************
    	*/
    	public void saveData() {
	    System.out.println("ProfileAddrPanel::saveData()");
	    RCommon.waitCursor();
	    if (c == null) return;
	    c.setAddress1(pAddr1.getText());
	    c.setPhoneNumber(pPhoneNumber.getText());
	    c.setCityString(pCity.getText());
	    c.setAddress2(pAddr2.getText());
	    c.setZip(pZip.getText());
	    c.setPhoneAreaCode(pPhoneAreaCode.getText());
	    c.setFaxAreaCode(pFaxAreaCode.getText());
	    c.setFaxNumber(pFaxNumber.getText());
	    c.setEmailId(pEmailUserId.getText());
	    c.setEmailAddress(pEmailAddress.getText());
	    RCommon.defaultCursor();
    	}
	// zpb_end
}
