package COM.ibm.jaws.app.trs.trswin2;
import java.awt.*;
import java.util.*;
import java.applet.*;
import com.roguewave.widgets.*;
// zpb_begin UserImports
import mlsoft.mct.*;
// zpb_end

/**
 * Class ProfileCarPanel.
 *
 *
 * @author    Bryce Curtis
 * @version   2.0 11/21/96 9:02:26am
 * @copyright IBM
 */
public
class ProfileCarPanel extends Panel {
	Label pStatic1;
	Choice pTypeOfCar;
	Button pRight, pLeft;
	private Applet applet = null;
	private Frame  frame  = null;

	// Initial size in logical units
	Dimension initialSize = new Dimension(305, 165);
	Point initialLocation;
	// zpb_begin ProfileCarPanelUserVars
	// zpb_end

	// zpb_begin ProfileCarPanelJavadocConstructor
	/**
	 * Creates a specialized Panel with the specified app and frame.
	 */
	 // zpb_end
	ProfileCarPanel(Applet app, Frame frame) {
		applet = app;
		this.frame = frame;
		// zpb_begin ProfileCarPanelConstructor_1
		// zpb_end

		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		pStatic1 = new Label("Type of Car:");
		add("10 20 59 12", pStatic1);
		pStatic1.setFont(new Font("Helvetica", Font.BOLD, 15));
		pRight = new Button(">");
		add("270 140 15 12", pRight);
		pLeft = new Button("<");
		add("255 140 15 12", pLeft);
		pTypeOfCar = new Choice();
		add("83 18 105 67", pTypeOfCar);
		pTypeOfCar.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pTypeOfCar.setBackground(Color.white);
		pTypeOfCar.addItem("All Types");
		pTypeOfCar.addItem("Compact");
		pTypeOfCar.addItem("Mid-Size");
		pTypeOfCar.addItem("Full-Size");
		pTypeOfCar.addItem("Mini-Van");
		add("83 18 105 67", pTypeOfCar);
		// zpb_begin ProfileCarPanelConstructor_2
		// zpb_end

		// Size and Position in logical units
		initialLocation = lfLayout.du(5, 5);
		move(initialLocation.x, initialLocation.y);

		// zpb_begin ProfileCarPanelConstructor_3
		// zpb_end
	}

	// zpb_begin ProfileCarPanelTypeOfCarJavadocPaint
	/**
	 * Paints the Panel.  Add specialized functionality for this Panel
	 * between the paint protect block.
	 */
	// zpb_end
	public void paint(Graphics g) {
		Dimension d = size();
		g.drawRect(0,0,d.width-1,d.height-1); // border
		// zpb_begin ProfileCarPanelPaint
		// zpb_end
	}


	// zpb_begin ProfileCarPanelJavadocHandleEvent
	/**
	 * Handle events that occur with components in this container.
	 *
	 * @return  Returns a boolean which specifies whether the event
	 *          handler should stop at this level or continue up the
	 *          parent hierarchy.
	 */
	// zpb_end
	public boolean handleEvent(Event e) {

		// zpb_begin ProfileCarPanelHandleEvent
		// zpb_end

		return super.handleEvent(e);
	}

	// zpb_begin ProfileCarPanelJavadocAction
	/**
	 * Action handling routine.
	 *
	 * @return  Returns a boolean specifying whether the event should be handled
	 *          furthur up the parent hierarchy.
	 */
	// zpb_end
	public boolean action(Event evt, Object obj) {
		if (evt.target == pRight) {
			// zpb_begin PanelRightClicked
			((EditTrip)frame).wProfilePage.tabPanel.showPage("Hotel");
			// zpb_end
			return false;
		}
		else if (evt.target == pLeft) {
			// zpb_begin PanelLeftClicked
			((EditTrip)frame).wProfilePage.tabPanel.showPage("Air");
			// zpb_end
			return false;
		}

		// zpb_begin ProfileCarPanelAction
		// zpb_end

		return false;
	}


	// zpb_begin ProfileCarPanelUserMethods
	/**
    	*******************************************************
    	* Get data from server
    	*******************************************************
    	*/
    	public void getData() {
    	}

    	/**
    	*******************************************************
    	* Save data to server
    	*******************************************************
    	*/
    	public void saveData() {
    	}
	// zpb_end
}
