package COM.ibm.jaws.app.trs.trswin2;
import java.awt.*;
import java.util.*;
import java.applet.*;
import com.roguewave.widgets.*;
// zpb_begin UserImports
import mlsoft.mct.*;
// zpb_end

/**
 * Class ProfileGeneralPanel.
 *
 *
 * @author    Bryce Curtis
 * @version   2.0 11/21/96 9:02:06am
 * @copyright IBM
 */
public
class ProfileGeneralPanel extends Panel {
	TextField pFirst, pMiddle, pEdit2, pSSN, pDriveLicNum, pDriveLicState;
	Label pStatic1, pStatic5, pStatic6, pStatic7, pStatic8, pStatic9, pStatic10,
pStatic11, pStatic12;
	Choice pPrefix;
	Button pRight;
	Checkbox pSmoking, pNonSmoking;
	CheckboxGroup pSmokingGroup;
	private Applet applet = null;
	private Frame  frame  = null;

	// Initial size in logical units
	Dimension initialSize = new Dimension(305, 165);
	Point initialLocation;
	// zpb_begin ProfileGeneralPanelUserVars
	boolean getDataRun = false;
	// zpb_end

	// zpb_begin ProfileGeneralPanelJavadocConstructor
	/**
	 * Creates a specialized Panel with the specified app and frame.
	 */
	 // zpb_end
	ProfileGeneralPanel(Applet app, Frame frame) {
		applet = app;
		this.frame = frame;
		// zpb_begin ProfileGeneralPanelConstructor_1
		// zpb_end

		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		pStatic1 = new Label("Name:");
		add("5 10 35 12", pStatic1);
		pStatic1.setFont(new Font("Helvetica", Font.BOLD, 15));
		pStatic5 = new Label("SSN:");
		add("5 40 24 12", pStatic5);
		pStatic5.setFont(new Font("Helvetica", Font.BOLD, 15));
		pFirst = new TextField("");
		add("100 10 60 12", pFirst);
		pFirst.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pFirst.setBackground(Color.white);
		pRight = new Button(">");
		add("270 140 15 12", pRight);
		pStatic6 = new Label("Number:");
		pStatic6.setAlignment(Label.RIGHT);
		add("10 80 38 12", pStatic6);
		pStatic6.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pMiddle = new TextField("");
		add("165 10 20 12", pMiddle);
		pMiddle.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pMiddle.setBackground(Color.white);
		pEdit2 = new TextField("");
		add("190 10 100 12", pEdit2);
		pEdit2.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pEdit2.setBackground(Color.white);
		pStatic7 = new Label("First");
		pStatic7.setAlignment(Label.CENTER);
		add("100 25 60 12", pStatic7);
		pStatic8 = new Label("Middle");
		pStatic8.setAlignment(Label.CENTER);
		add("160 25 30 12", pStatic8);
		pStatic9 = new Label("Last");
		pStatic9.setAlignment(Label.CENTER);
		add("190 25 100 12", pStatic9);
		pPrefix = new Choice();
		add("55 10 40 55", pPrefix);
		pPrefix.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pPrefix.addItem("Ms.");
		pPrefix.addItem("Mrs.");
		pPrefix.addItem("Mr.");
		pPrefix.addItem("Dr.");
		add("55 10 40 55", pPrefix);
		pSSN = new TextField("");
		add("55 40 105 12", pSSN);
		pSSN.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pSSN.setBackground(Color.white);
		pSmokingGroup = new CheckboxGroup();
		pSmoking = new Checkbox("Smoking", pSmokingGroup, false);
		add("55 110 45 14", pSmoking);
		pSmoking.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pStatic10 = new Label("Driver License:");
		add("5 65 66 12", pStatic10);
		pStatic10.setFont(new Font("Helvetica", Font.BOLD, 15));
		pDriveLicNum = new TextField("");
		add("55 80 105 12", pDriveLicNum);
		pDriveLicNum.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pDriveLicNum.setBackground(Color.white);
		pStatic11 = new Label("State:");
		pStatic11.setAlignment(Label.RIGHT);
		add("175 80 27 12", pStatic11);
		pStatic11.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pDriveLicState = new TextField("");
		add("210 80 30 12", pDriveLicState);
		pDriveLicState.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pDriveLicState.setBackground(Color.white);
		pStatic12 = new Label("Smoking:");
		add("5 110 41 12", pStatic12);
		pStatic12.setFont(new Font("Helvetica", Font.BOLD, 15));
		pNonSmoking = new Checkbox("Non-Smoking", pSmokingGroup, true);
		add("110 110 63 14", pNonSmoking);
		pNonSmoking.setFont(new Font("Helvetica", Font.PLAIN, 15));
		// zpb_begin ProfileGeneralPanelConstructor_2
		//remove(pStatic12);
		//remove(pNonSmoking);
		//remove(pSmoking);
		//add("5, 110, 41, 12", pStatic12);
		//add("110, 110, 63, 14", pNonSmoking);
		//add("55, 110, 63, 14", pSmoking);
		// zpb_end

		// Size and Position in logical units
		initialLocation = lfLayout.du(5, 5);
		move(initialLocation.x, initialLocation.y);

		// zpb_begin ProfileGeneralPanelConstructor_3
		// zpb_end
	}

	// zpb_begin ProfileGeneralPanelNonSmokingJavadocPaint
	/**
	 * Paints the Panel.  Add specialized functionality for this Panel
	 * between the paint protect block.
	 */
	// zpb_end
	public void paint(Graphics g) {
		Dimension d = size();
		g.drawRect(0,0,d.width-1,d.height-1); // border
		// zpb_begin ProfileGeneralPanelPaint
		// zpb_end
	}


	// zpb_begin ProfileGeneralPanelJavadocHandleEvent
	/**
	 * Handle events that occur with components in this container.
	 *
	 * @return  Returns a boolean which specifies whether the event
	 *          handler should stop at this level or continue up the
	 *          parent hierarchy.
	 */
	// zpb_end
	public boolean handleEvent(Event e) {

		// zpb_begin ProfileGeneralPanelHandleEvent
		// zpb_end

		return super.handleEvent(e);
	}

	// zpb_begin ProfileGeneralPanelJavadocAction
	/**
	 * Action handling routine.
	 *
	 * @return  Returns a boolean specifying whether the event should be handled
	 *          furthur up the parent hierarchy.
	 */
	// zpb_end
	public boolean action(Event evt, Object obj) {
		if (evt.target == pRight) {
			// zpb_begin PanelRightClicked
			((EditTrip)frame).wProfilePage.tabPanel.showPage("Home");
			// zpb_end
			return false;
		}

		// zpb_begin ProfileGeneralPanelAction
	        // If key was pressed
		if (evt.id == Event.KEY_PRESS) {

                    // If Tab key pressed - handle tab order
		    if ((evt.key == 9) || (evt.key == 10)) {
                       	if (evt.target == pPrefix) {
                            pFirst.requestFocus();
                            pFirst.selectAll();
			}
                        if (evt.target == pFirst) {
                            pMiddle.requestFocus();
                            pMiddle.selectAll();
			}
                        if (evt.target == pMiddle) {
                            pEdit2.requestFocus();
                            pEdit2.selectAll();
			}
                        if (evt.target == pEdit2) {
                            pSSN.requestFocus();
                            pSSN.selectAll();
			}
                        if (evt.target == pSSN) {
                            pDriveLicNum.requestFocus();
                            pDriveLicNum.selectAll();
			}
                        if (evt.target == pDriveLicNum) {
                            pDriveLicState.requestFocus();
                            pDriveLicState.selectAll();
			}
                        if (evt.target == pDriveLicState) {
                            pSmoking.requestFocus();
			}
                        if (evt.target == pSmoking) {
                            pNonSmoking.requestFocus();
			}
                        if (evt.target == pNonSmoking) {
                            pPrefix.requestFocus();
			}
			return true;
		    }
 		}
		// zpb_end

		return false;
	}


	// zpb_begin ProfileGeneralPanelUserMethods
	/**
    	*******************************************************
    	* Get data from server
    	*******************************************************
    	*/
    	public void getData() {
	    RCommon.waitCursor();
	    pPrefix.select(RCommon.user.getPrefix());
	    pFirst.setText(RCommon.user.getFirstName());
	    pMiddle.setText(RCommon.user.getMiddleName());
	    pEdit2.setText(RCommon.user.getLastName());
	    pSSN.setText(RCommon.user.getSocialSecurityNumber());
	    pDriveLicNum.setText(RCommon.user.getDriversLicenseNumber());
	    pDriveLicState.setText(RCommon.user.getDriversLicenseState());
	    pSmoking.setState(false);
	    pNonSmoking.setState(true);
	    RCommon.defaultCursor();
	    getDataRun = true;
    	}

    	/**
    	*******************************************************
    	* Save data to server
    	*******************************************************
    	*/
    	public void saveData() {
	    if (getDataRun) {
		RCommon.waitCursor();
		System.out.println("ProfileGeneralPanel::saveData()");
		RCommon.user.setPrefix(pPrefix.getSelectedItem());
		RCommon.user.setFirstName(pFirst.getText());
		RCommon.user.setMiddleName(pMiddle.getText());
		RCommon.user.setLastName(pEdit2.getText());
		RCommon.user.setSocialSecurityNumber(pSSN.getText());
		RCommon.user.setDriversLicenseNumber(pDriveLicNum.getText());
		RCommon.user.setDriversLicenseState(pDriveLicState.getText());
		RCommon.defaultCursor();
	    }
    	}
	// zpb_end
}
