package COM.ibm.jaws.app.trs.trswin2;
import java.awt.*;
import java.util.*;
import java.applet.*;
import com.roguewave.widgets.*;
// zpb_begin UserImports
import java.net.*;
import COM.ibm.jaws.models.trs.*;
// zpb_end

/**
 * Class Trs.
 *
 *
 * @author    Bryce Curtis
 * @version   2.0 11/21/96 8:49:30am
 * @copyright IBM
 */
public
class Trs extends Applet {

	private static Applet applet;

	// Initial size in logical units
        Dimension initialSize = new Dimension(350, 225);
	// zpb_begin TrsUserVars
        Image img = null;
    	TextField pStatus;
        Rectangle rect[]= {
	    new Rectangle(240,90,105,75),
	    new Rectangle(455,140,105,80),
	    new Rectangle(48,63,105,75),
	    new Rectangle(27,310,68,40),
	    new Rectangle(95,310,68,40),
	    new Rectangle(163,310,68,40),
	    new Rectangle(231,310,68,40),
	    new Rectangle(299,310,68,40),
	    new Rectangle(367,310,68,40),
	    new Rectangle(435,310,68,40),
	    new Rectangle(503,310,68,40),
        };
        String a[] = {
	    new String("Reservation"),
	    new String("View"),
	    new String("Logon"),
	    new String("Air"),
	    new String("Car"),
	    new String("Hotel"),
	    new String("Cities"),
	    new String("Airport"),
	    new String("Weather"),
	    new String("News"),
	    new String("Help"),
        };
    	Frame frame;
	AppletContext context;

	Button pStart, pStop, pExit;

    	public void Trs() {}

	// zpb_end

	// zpb_begin TrsJavadocAppletInit
    /**
     * Applet main entry point.  This method is automatically invoked by the
     * Java interpreter in a web browser or the JDK appletviewer.
     */
	 // zpb_end
	public
	void init() {
		applet = this;

		// zpb_begin AppletInit
        	System.out.println("Trs: Entering init()...");
        	System.out.println("  Trs: init(): Thread = " + Thread.currentThread() );
		//if (!RCommon.appl)
        	//    initialSize = new Dimension(500, 200);

		// Save pointer to applet
        	RCommon.applet = applet;

        	// Get parent frame
        	frame = getFrame(this);
        	System.out.println("Frame = " + frame);

		context = getAppletContext();

		// zpb_end

		setBackground(Color.lightGray);
		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);


		// zpb_begin TrsConstructor_2
		setBackground(Color.white);

	    	if (RCommon.appl) {
		    pStart = new Button("start()");
		    add("1 100 32 15", pStart);
		    pStop = new Button("stop()");
		    add("1 120 32 15", pStop);
		    pExit = new Button("EXIT");
		    add("1 140 32 15", pExit);
		}

		// Load image
            	img = applet.getImage(applet.getDocumentBase(), "images/trs1.gif");
        	RCommon.showEmptyFrame(applet);

		// zpb_end

		// Size in logical units
		resize(getLayout().preferredLayoutSize(this));

		// zpb_begin TrsConstructor_3

		// Show status bar
        	//if (RCommon.appl) {
		    pStatus = new TextField();
		    add("5 300 280 12", pStatus);
        	//}

		// zpb_end
	}

	// zpb_begin TrsJavadocMinimumSize
    /**
     * @return  Returns a Dimension with the minimum width and height
     *          of this container.
     */
	 // zpb_end
	public Dimension minimumSize() {
		// zpb_begin TrsMinimumSize
		// zpb_end

		LayoutManager layoutMgr = getLayout();
		if (layoutMgr instanceof LogFontLayout) {
			// Convert from logical units to absolute coordinates
			int w = initialSize.width;
			int h = initialSize.height;
			LogFontLayout layout = (LogFontLayout)layoutMgr;
			return new Dimension(layout.duX(w), layout.duY(h));
		}
		return new Dimension(initialSize);
	}

	// zpb_begin TrsJavadocHandleEvent
    /**
     * Handle events that occur with components in this container.
     *
     * @return  Returns a boolean which specifies whether the event
     *          handler should stop at this level or continue up the
     *          parent hierarchy.
     */
	// zpb_end
	public boolean handleEvent(Event e) {

		// zpb_begin TrsHandleEvent
            	//System.out.println("  TRS: handleEvent(): Thread = " + Thread.currentThread() );
        	if (e.id == Event.WINDOW_ICONIFY) {
            	    System.out.println("  TRS: WINDOW_ICONIFY");
        	}
        	else if (e.id == Event.WINDOW_DEICONIFY) {
            	    System.out.println("  TRS: WINDOW_DEICONIFY");
        	}

            	if (e.id == Event.MOUSE_DOWN) {

                    String r = map(e.x, e.y);
            	    System.out.print("  TRS: handleEvent(): e.id=" + e.id);
                    System.out.println(" Pressed "+ r + "(x="+e.x+"y="+e.y+")");

                    if (r.equals("Logon")) {
			RCommon.waitCursor();
                        if (RCommon.initRun == false) {
			    RCommon.nextScreensAfterInit = "Login,View";
			    stillInit();
			    return false;
                        }

                        // Close any trip list window
                        if (RCommon.wTripList != null) {
                            RCommon.windowList.removeElement(RCommon.wTripList);
                            RCommon.wTripList.dispose();
                            RCommon.wTripList = null;
                        }

                        if (RCommon.wLogin == null) {
			    RCommon.wLogin= new Login(applet, RCommon.wEmptyFrame, "User Login", true);
			    RCommon.wLogin.nextScreen = "View";
			    RCommon.wLogin.show();
                        }
			RCommon.defaultCursor();
                    }

                    else if (r.equals("View")) {
			RCommon.waitCursor();
                        if (RCommon.initRun == false) {
                    	    System.out.println("Trs: still init");
			    RCommon.nextScreensAfterInit = "Login,View";
			    stillInit();
			    return false;
                        }
                        if ((RCommon.user == null) || (RCommon.userId.equals("Unknown"))) {
                    	    System.out.println("Trs: not logged on");
                            if (RCommon.wLogin == null) {
                        	System.out.println("Trs: showing login dialog");
                                RCommon.wLogin= new Login(applet, RCommon.wEmptyFrame, "User Login", true);
                                RCommon.wLogin.nextScreen = "View";
                                RCommon.wLogin.show();
				RCommon.defaultCursor();
                                return false;
                            }
                            RCommon.defaultCursor();
                        }
                        else {
			    RCommon.defaultCursor();
                            RCommon.showTripList(applet);
			}
                    }


                    else if (r.equals("Reservation")) {
			RCommon.waitCursor();
                        if (RCommon.initRun == false) {
                            RCommon.nextScreensAfterInit = "Reserve";
                            stillInit();
                            return false;
                        }
			// If no user yet, then log them on as unknown
			if (RCommon.user == null) {
			    RCommon.user = RCommon.session.login("Unknown", "Unknown");
                	    RCommon.userId = "Unknown";
			    RCommon.userName = RCommon.user.getName();
			}
		    	Trip trip = RCommon.user.addTrip("New Trip for Unknown", "Austin", "Atlanta", new Date(97,0,1), new Date(97,0,3));
			RCommon.defaultCursor();
                    	RCommon.showEditTrip(applet, trip);
                    }
                    else if (r.equals("Help")) {
                        // Load next HTML page
                        try {
                            URL nURL = new URL(applet.getDocumentBase(), "Help.html");
                            context.showDocument(nURL, "_TOP");
                        }
                        catch (MalformedURLException ex) {
                            System.out.println("Error in URL");
                        }
                        catch (NullPointerException ex) {
                            System.out.println("Null pointer -> must be running as application");
                        }
                    }
                    else if (r.equals("News")) {
                        // Load next HTML page
                        try {
                            URL nURL = new URL(applet.getDocumentBase(), "News.html");
                            context.showDocument(nURL, "_TOP");
                        }
                        catch (MalformedURLException ex) {
                            System.out.println("Error in URL");
                        }
                        catch (NullPointerException ex) {
                            System.out.println("Null pointer -> must be running as application");
                        }
                    }
                    else if (r.equals("Help")) {
                        // Load next HTML page
                        try {
                            URL nURL = new URL(applet.getDocumentBase(), "Help.html");
                            context.showDocument(nURL, "_TOP");
                        }
                        catch (MalformedURLException ex) {
                            System.out.println("Error in URL");
                        }
                        catch (NullPointerException ex) {
                            System.out.println("Null pointer -> must be running as application");
                        }
                    }
                    else if (r.equals("Hotel")) {
                        // Load next HTML page
                        try {
                            URL nURL = new URL(applet.getDocumentBase(), "Hotel.html");
                            context.showDocument(nURL, "_TOP");
                        }
                        catch (MalformedURLException ex) {
                            System.out.println("Error in URL");
                        }
                        catch (NullPointerException ex) {
                            System.out.println("Null pointer -> must be running as application");
                        }
                    }
                    else if (r.equals("Car")) {
                        // Load next HTML page
                        try {
                            URL nURL = new URL(applet.getDocumentBase(), "Car.html");
                            context.showDocument(nURL, "_TOP");
                        }
                        catch (MalformedURLException ex) {
                            System.out.println("Error in URL");
                        }
                        catch (NullPointerException ex) {
                            System.out.println("Null pointer -> must be running as application");
                        }
                    }
                    else if (r.equals("Air")) {
                        // Load next HTML page
                        try {
                            URL nURL = new URL(applet.getDocumentBase(), "Air.html");
                            context.showDocument(nURL, "_TOP");
                        }
                        catch (MalformedURLException ex) {
                            System.out.println("Error in URL");
                        }
                        catch (NullPointerException ex) {
                            System.out.println("Null pointer -> must be running as application");
                        }
                    }
                    else if (r.equals("Airport")) {
                        // Load next HTML page
                        try {
                            URL nURL = new URL(applet.getDocumentBase(), "Airport.html");
                            context.showDocument(nURL, "_TOP");
                        }
                        catch (MalformedURLException ex) {
                            System.out.println("Error in URL");
                        }
                        catch (NullPointerException ex) {
                            System.out.println("Null pointer -> must be running as application");
                        }
                    }
                    else if (r.equals("Weather")) {
                        // Load next HTML page
                        try {
                            URL nURL = new URL(applet.getDocumentBase(), "Weather.html");
                            context.showDocument(nURL, "_TOP");
                        }
                        catch (MalformedURLException ex) {
                            System.out.println("Error in URL");
                        }
                        catch (NullPointerException ex) {
                            System.out.println("Null pointer -> must be running as application");
                        }
                    }
                    else if (r.equals("Cities")) {
                        // Load next HTML page
                        try {
                            URL nURL = new URL(applet.getDocumentBase(), "Cities.html");
                            context.showDocument(nURL, "_TOP");
                        }
                        catch (MalformedURLException ex) {
                            System.out.println("Error in URL");
                        }
                        catch (NullPointerException ex) {
                            System.out.println("Null pointer -> must be running as application");
                        }
                    }


                }

            	// Display help on status line
            	else if (e.id == Event.MOUSE_MOVE) {
                    String r = map(e.x, e.y);
                    //System.out.println("Entered "+ r + "(x="+e.x+"y="+e.y+")");


                    if (r.equals("")) {
                        setStatus("");
                    }
                    else {
                        if (r.equals("Logon")) {
                            setStatus("Logon");
                        }
                        else if (r.equals("View")) {
                            setStatus("View Reservations");
                        }
                        else if (r.equals("Reservation")) {
                            setStatus("Make a Reservation for a New Trip");
                        }
                        else if (r.equals("Help")) {
                            setStatus("Show Help");
                        }
                        else if (r.equals("News")) {
                            setStatus("Show the Latest News");
                        }
                        else if (r.equals("Help")) {
                            setStatus("Show Help");
                        }
                        else if (r.equals("Hotel")) {
                            setStatus("Hotel Information");
                        }
                        else if (r.equals("Car")) {
                            setStatus("Rental Car Information");
                        }
                        else if (r.equals("Air")) {
                            setStatus("Airline Information");
                        }
                        else if (r.equals("Airport")) {
                            setStatus("Airport Information");
                        }
                        else if (r.equals("Weather")) {
                            setStatus("Weather Information");
                        }
                        else if (r.equals("Cities")) {
                            setStatus("Cities Information");
                        }
                    }
            	}
        	else if ((e.id != 505) && (e.id != 504))
            	    System.out.println("  TRS: handleEvent(): e.id=" + e.id);
		// zpb_end

		return super.handleEvent(e);
	}

	// zpb_begin TrsJavadocGetFrame
    /**
     * Gets the frame for this container object.
     *
     * @return  Returns a Frame object.
     */
	// zpb_end
	public Frame getFrame(Container c) {
		// zpb_begin AppletGetFrame
		// zpb_end
		if (c instanceof Frame || c == null)
			return((Frame)c);
		  else
			return(getFrame(c.getParent()));
	}

	// zpb_begin TrsJavadocAction
    /**
     * Action handling routine.
     *
     * @return  Returns a boolean specifying whether the event should be handled
     *          furthur up the parent hierarchy.
     */
	// zpb_end
	public boolean action(Event evt, Object obj) {
		if (evt.target instanceof MenuItem) {

			return false;
		}



		// zpb_begin TrsAction
		if (evt.target == pStart) {
			start();
			return false;
		}
		if (evt.target == pStop) {
			stop();
			return false;
		}
		if (evt.target == pExit) {
			RCommon.showPleaseWait(applet);
			RCommon.srootBC.release();
			java.lang.System.exit(0);
		}
		// zpb_end

		return false;
	}


	// zpb_begin TrsAppletUserMethods

    	/**
    	*******************************************************
    	* Start applet running
    	*******************************************************
    	*/
        public void start() {
            System.out.println("Trs: Enter start()...");
            System.out.println("  Trs: start(): Thread = " + Thread.currentThread() );
	    RCommon.showPleaseWait(applet);

            // Initialize global variables if 1st time through
            RCommon.init(applet);

	    // Show all windows
            RCommon.showAll(applet);

            System.out.println("Trs: ...Exit start()");
        }

    	/**
    	*******************************************************
    	* Stop applet running
    	*******************************************************
    	*/
        public void stop() {
            System.out.println("Trs: Enter stop()...");
            System.out.println("  Trs: stop(): Thread = " + Thread.currentThread() );

	    // Hide all windows when leaving applet page
            RCommon.hideAll();
            //RCommon.srootBC.release();
            System.out.println("Trs: ...Exit stop()");
        }

    	/**
    	*******************************************************
    	* Remove applet from memory
    	*******************************************************
    	*/
        public void destroy() {
            System.out.println("Trs: Enter destroy()...");
            System.out.println("  Trs: destroy(): Thread = " + Thread.currentThread() );
            RCommon.srootBC.release();
            RCommon.closeOrb();
            System.out.println("Trs: ...Exit destroy()");
        }


    	/**
    	*******************************************************
    	* Paint calls update()
    	*******************************************************
    	*/
        public void paint(Graphics g) {
            update(g);
        }

    	/**
    	*******************************************************
    	* Draw main image and status line
    	*******************************************************
    	*/
        public void update(Graphics g) {
            g.drawImage(img, 0, 0, this);
            //if (RCommon.appl) {
        	Dimension s = size();
        	Dimension ps = pStatus.size();
		pStatus.reshape(2, s.height-ps.height-2, s.width-4, ps.height);
            //}
        }

    	/**
    	*******************************************************
    	* Check to see what item the mouse is inside of
    	*******************************************************
    	*/
        public String map(int x, int y) {
            for (int i=0; i<rect.length; i++) {
                if (rect[i].inside(x,y)) return a[i];
            }
            return "";
        }

    	/**
    	*******************************************************
    	* Show text in status line
    	*******************************************************
    	*/
        public void setStatus(String s) {
            showStatus(s);
        }

    	/**
    	*******************************************************
    	* Show "Still initializing objects" dialog box
    	*******************************************************
    	*/
        public void stillInit() {
            RCommon.showInitObjects(applet);
        }

	/**
    	*******************************************************
    	* Override Applet methods to check for application
    	*******************************************************
	*/
        public URL getDocumentBase() {
            System.out.println("Applet: getDocumentBase()");
            if (RCommon.appl) {
            	try {
                    URL url = new URL("file:///jaws/com/ibm/jaws/app/trs/trswin2/");
                    System.out.println("document base = " + url);
                    return url;
            	} catch (MalformedURLException err) {
                    System.out.println("Trs:getDocumentBase ERROR");
                    RCommon.error(err, "Trs:getDocumentBase()", "Malformed URL");
            	}
            	return null;
            } else {
            	return super.getDocumentBase();
            }
        }

	/**
    	*******************************************************
    	* Override Applet methods to check for application
    	*******************************************************
	*/
        public String getParameter(String name) {
	    if (RCommon.appl) {
		if (name.equals("Local"))
		    return "true";
		return "";
	    } else {
		return super.getParameter( name );
	    }
        }

	/**
    	*******************************************************
    	* Override Applet methods to check for application
    	*******************************************************
	*/
        public Image getImage(URL url, String file) {
	    if (RCommon.appl) {
            	return getToolkit().getImage(file);
	    } else {
                return super.getImage(url, file);
	    }
        }

	/**
    	*******************************************************
    	* Override Applet methods to check for application
    	*******************************************************
	*/
        public void showStatus(String msg) {
        //if (RCommon.appl) {
            if (msg.equals(pStatus.getText()))
                return;
            pStatus.setText(msg);
        //} else {
	if (!RCommon.appl)
            super.showStatus(msg);
        //}
        }

	/**
    	*******************************************************
    	* Override Applet methods to check for application
    	*******************************************************
	*/
	public AppletContext getAppletContext() {
	    if (RCommon.appl) {
		return null;
	    }
	    else {
		return super.getAppletContext();
	    }
	}

	/**
    	*******************************************************
    	* Main method that gets called when running as an application
    	*******************************************************
	*/
    	public static void main(String argv[]) {
	    Frame trsFrame = new Frame("TRS Application");
	    RCommon.appl = true;
	    Trs trs = new Trs();
	    trsFrame.add("Center", trs);
	    trsFrame.resize(525, 325);
	    trs.init();
	    trsFrame.show();
	    trsFrame.resize(600, 430); //525, 350); //75);
	    trs.start();
    	}

	// zpb_end
}
// zpb_begin UserClasses
// zpb_end
