package COM.ibm.jaws.models.trs;


import COM.ibm.jaws.mofw.*;
import java.net.*;


public interface AirlineCompany extends Common
{
    public String
    toString();

    public Contact
    addContact(String address1,
	       String address2,
	       String city,
	       String zip,
	       String phoneAreaCode,
	       String phoneNumber,
	       String faxAreaCode,
	       String faxNumber,
	       String emailId,
	       String emailAddress,
	       URL url);

    public Contact
    getContact();

    public String
    getName();

    public Plane
    addPlane(String name,
	     String planeImage,
	     String seatImage,
	     int totalSeats);

    public Iterator
    getPlanes();

    public FlightPlan
    addFlightPlan(String flightNumber,
		  String departureAirportString,
		  String destinationAirportString,
		  float price);

    public Iterator
    getFlightPlans();
}
