/*
 *  Source file: AirportBase.java
 *  Class file:  COM.ibm.jaws.models.trs.AirportBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import java.lang.StringBuffer;
import java.lang.String;
import java.lang.Throwable;
import java.net.URL;

/**
 * This is the implementation class for the interface Airport.
 * @see COM.ibm.jaws.models.trs.AirportBase
 * @see COM.ibm.jaws.models.trs.Airport
 */
public class AirportImpl
	extends AirportBase
        implements Airport,
	           COM.ibm.jaws.motk.Activation {

  public  AirportImpl()
  {
    super();
  }

  public  AirportImpl(String parm1,
                      String parm2,
                      java.net.URL parm3)
  {
    super(parm1, parm2, parm3);
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
    out.writeObject(name);
    out.writeObject(code);
    out.writeObject(urlString);
    out.writeObject(city);
  }

  public void internalizeFromStream(InputEDStream in)
  {
    name = (String) in.readObject();
    code = (String) in.readObject();
    urlString = (String) in.readObject();
    city = (City) in.readObject();
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

} // end of class: AirportImpl
