/*
 *  Source file: CarFleetBase.java
 *  Class file:  COM.ibm.jaws.models.trs.CarFleetBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import java.io.PrintStream;
import java.lang.StringBuffer;
import java.util.Date;
import COM.ibm.jaws.mofw.Iterator;
import java.lang.String;
import COM.ibm.jaws.mofw.ReferenceCollection;
import java.lang.System;
import java.lang.RuntimeException;
import COM.ibm.jaws.mofw.KeyedCollection;
import COM.ibm.jaws.mofw.QueryableCollection;
import COM.ibm.jaws.mofw.BaseCollection;
import java.lang.Object;

/**
 * This is the implementation class for the interface CarFleet.
 * @see COM.ibm.jaws.models.trs.CarFleetBase
 * @see COM.ibm.jaws.models.trs.CarFleet
 */
public class CarFleetImpl
	extends CarFleetBase
        implements CarFleet,
	           COM.ibm.jaws.motk.Activation {

  public  CarFleetImpl()
  {
    super();
  }

  public  CarFleetImpl(Object parm1,
                       String parm2,
                       String parm3,
                       String parm4,
                       float parm5)
  {
    super(parm1, parm2, parm3, parm4, parm5);
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
    out.writeObject(carRentalCompany);
    out.writeObject(airport);
    out.writeObject(airportCodeString);
    out.writeObject(name);
    out.writeFloat(price);
    out.writeObject(location);
    out.writeObject(contact);
    out.writeObject(car);
    out.writeObject(carString);
    out.writeObject(carFleetCarFleetAvailabilityRC);
    out.writeObject(carReservationRC);
  }

  public void internalizeFromStream(InputEDStream in)
  {
    carRentalCompany = (Object) in.readObject();
    airport = (Airport) in.readObject();
    airportCodeString = (String) in.readObject();
    name = (String) in.readObject();
    price = in.readFloat();
    location = (String) in.readObject();
    contact = (Contact) in.readObject();
    car = (Car) in.readObject();
    carString = (String) in.readObject();
    carFleetCarFleetAvailabilityRC = (ReferenceCollection) in.readObject();
    carReservationRC = (ReferenceCollection) in.readObject();
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#prepareForExternalization">Activation.prepareForExternalization</a>
   */
  public void prepareForExternalization() {}

} // end of class: CarFleetImpl
