package COM.ibm.jaws.models.trs;


import COM.ibm.jaws.mofw.*;
import java.net.*;


public interface CarRentalCompany extends Common
{
    public String
    toString();

    public Contact
    addContact(String address1,
	       String address2,
	       String city,
	       String zip,
	       String phoneAreaCode,
	       String phoneNumber,
	       String faxAreaCode,
	       String faxNumber,
	       String emailId,
	       String emailAddress,
	       URL url);

    public Contact
    getContact();

    public Car
    addCar(String name,
	   String image);

    public Iterator
    getCars();

    public CarFleet
    addCarFleet(String airportCode,
		String name,
		float price,
		String carString);

    public Iterator
    getCarFleets();

    public String
    getName();
}
