/*
 *  Source file: CountryBase.java
 *  Class file:  COM.ibm.jaws.models.trs.CountryBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import java.lang.StringBuffer;
import java.lang.String;
import java.lang.Throwable;
import java.net.URL;

/**
 * This is the implementation class for the interface Country.
 * @see COM.ibm.jaws.models.trs.CountryBase
 * @see COM.ibm.jaws.models.trs.Country
 */
public class CountryImpl
	extends CountryBase
        implements Country,
	           COM.ibm.jaws.motk.Activation {

  public  CountryImpl()
  {
    super();
  }

  public  CountryImpl(String parm1,
                      String parm2,
                      java.net.URL parm3)
  {
    super(parm1, parm2, parm3);
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
    out.writeObject(name);
    out.writeObject(abbreviation);
    out.writeObject(urlString);
  }

  public void internalizeFromStream(InputEDStream in)
  {
    name = (String) in.readObject();
    abbreviation = (String) in.readObject();
    urlString = (String) in.readObject();
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

} // end of class: CountryImpl
