/*
 *  Source file: CreditCardBase.java
 *  Class file:  COM.ibm.jaws.models.trs.CreditCardBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import java.lang.StringBuffer;
import java.util.Date;
import java.lang.String;
import java.util.StringTokenizer;
import java.lang.Integer;
import java.lang.Object;

/**
 * This is the implementation class for the interface CreditCard.
 * @see COM.ibm.jaws.models.trs.CreditCardBase
 * @see COM.ibm.jaws.models.trs.CreditCard
 */
public class CreditCardImpl
	extends CreditCardBase
        implements CreditCard,
	           COM.ibm.jaws.motk.Activation {

  public  CreditCardImpl()
  {
    super();
  }

  public  CreditCardImpl(Object parm1,
                         String parm2,
                         String parm3,
                         java.util.Date parm4)
  {
    super(parm1, parm2, parm3, parm4);
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
    out.writeObject(travelProfile);
    out.writeObject(type);
    out.writeObject(number);
    out.writeObject(expirationDateString);
  }

  public void internalizeFromStream(InputEDStream in)
  {
    travelProfile = (Object) in.readObject();
    type = (String) in.readObject();
    number = (String) in.readObject();
    expirationDateString = (String) in.readObject();
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

} // end of class: CreditCardImpl
