package COM.ibm.jaws.models.trs;


import COM.ibm.jaws.mofw.*;
import java.net.*;
import java.util.*;


public interface Flight extends Common
{
    public String
    toString();

    public void
    cancel(FlightReservation res);

    public Date
    getArrivalDateTime();

    public Date
    getDepartureDate();

    public Date
    getDepartureDateTime();

    public FlightPlan
    getFlightPlan();

    public Plane
    getPlane();

    public int
    getTotalAvailableSeats();

    public int
    getNumberSeatsReserved();

    public void
    reserve(FlightReservation flightReservation);

    public void
    setPlane(String planeString);
}
