package COM.ibm.jaws.models.trs;


import COM.ibm.jaws.mofw.*;
import java.util.*;


public interface FlightPlan extends Common
{
    public String
    toString();

    public void
    setDepartureAirport(String departureAirportString);

    public Airport
    getDepartureAirport();

    public void
    setDestinationAirport(String destinationAirportString);

    public Airport
    getDestinationAirport();

    public Flight
    addFlight(Date departureDateTime,
	      Date arrivalDateTime,
	      String planeString);

    public AirlineCompany
    getAirlineCompany();

    public String
    getFlightNumber();

    public Iterator
    getFlights();
    
    public Iterator
    getConnections();

    public float
    getPrice();
}
