/*
 *  Source file: HotelCompanyBase.java
 *  Class file:  COM.ibm.jaws.models.trs.HotelCompanyBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import java.lang.StringBuffer;
import COM.ibm.jaws.mofw.Iterator;
import java.lang.String;
import COM.ibm.jaws.mofw.ReferenceCollection;
import COM.ibm.jaws.mofw.KeyedCollection;
import COM.ibm.jaws.mofw.BaseCollection;
import COM.ibm.jaws.mofw.QueryableCollection;

/**
 * This is the implementation class for the interface HotelCompany.
 * @see COM.ibm.jaws.models.trs.HotelCompanyBase
 * @see COM.ibm.jaws.models.trs.HotelCompany
 */
public class HotelCompanyImpl
	extends HotelCompanyBase
        implements HotelCompany,
	           COM.ibm.jaws.motk.Activation {

  public  HotelCompanyImpl()
  {
    super();
  }

  public  HotelCompanyImpl(String parm1,
                           String parm2)
  {
    super(parm1, parm2);
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
    out.writeObject(name);
    out.writeObject(image);
    out.writeObject(contact);
    out.writeObject(roomGroupRC);
  }

  public void internalizeFromStream(InputEDStream in)
  {
    name = (String) in.readObject();
    image = (String) in.readObject();
    contact = (Contact) in.readObject();
    roomGroupRC = (ReferenceCollection) in.readObject();
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#activate">Activation.activate</a>
   */
  public void activate() {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#prepareForExternalization">Activation.prepareForExternalization</a>
   */
  public void prepareForExternalization() {}

} // end of class: HotelCompanyImpl
