/*
 *  Source file: RCBase.java
 *  Class file:  COM.ibm.jaws.models.trs.RCBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import COM.ibm.jaws.mofw.Iterator;
import java.lang.String;
import COM.ibm.jaws.mofw.CommandOn;
import COM.ibm.jaws.mofw.ReferenceCollection;
import COM.ibm.jaws.mofw.MOFWError;
import COM.ibm.jaws.motk.BaseCommandOn;
import COM.ibm.jaws.mofw.InputEDStream;
import java.util.Enumeration;
import COM.ibm.jaws.mofw.OutputEDStream;
import java.lang.Integer;
import java.lang.Object;
import java.util.Vector;

/**
 * This is the implementation class for the interface RC.
 * @see COM.ibm.jaws.models.trs.RCBase
 * @see COM.ibm.jaws.models.trs.RC
 */
public class RCImpl
	extends RCBase
        implements RC,
	           COM.ibm.jaws.motk.Activation {

  public  RCImpl()
  {
    super();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.IdentityDelegator#setSelf">IdentityDelegator.setSelf</a>
   */
  public void setSelf(Object self) {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Dependent#setDependentContext">Dependent.setDependentContext</a>
   */
  public void setDependentContext(KeyedCollection context) {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#activate">Activation.activate</a>
   */
  public void activate() {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#prepareForExternalization">Activation.prepareForExternalization</a>
   */
  public void prepareForExternalization() {}

} // end of class: RCImpl
