package COM.ibm.jaws.models.trs;


import COM.ibm.jaws.mofw.*;
import java.util.*;
import java.net.*;


public interface RoomGroup extends Common
{
    public String
    toString();

    public Contact
    addLocationInformation(String location,
			   String address1,
			   String address2,
			   String cityString,
			   String zip,
			   String phoneAreaCode,
			   String phoneNumber,
			   String faxAreaCode,
			   String faxNumber,
			   String emailId,
			   String emailAddress,
			   URL url);

    public RoomGroupAvailability
    addRoomGroupAvailability(Date date,
			     int totalAvailableRooms);

    public boolean
    available(Date startDate,
	      Date endDate);

    public void
    cancel(HotelReservation res);

    public void
    roomGroupAvailbilityCancel(Date date);

    public City
    getCity();

    public Contact
    getContact();

    public HotelCompany
    getHotelCompany();

    public String
    getInfo();

    public String
    getLocation();

    public String
    getName();

    public float
    getPrice();

    public Iterator
    getRoomGroupAvailabilities();

    public void
    reserve(HotelReservation hotelReservation);

    public void
    setCity(String cityString);
}
