/*
 *  Source file: RoomGroupAvailabilityBase.java
 *  Class file:  COM.ibm.jaws.models.trs.RoomGroupAvailabilityBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import java.lang.StringBuffer;
import java.util.Date;
import java.lang.String;
import java.util.StringTokenizer;
import java.lang.Integer;
import java.lang.Object;

/**
 * This is the implementation class for the interface RoomGroupAvailability.
 * @see COM.ibm.jaws.models.trs.RoomGroupAvailabilityBase
 * @see COM.ibm.jaws.models.trs.RoomGroupAvailability
 */
public class RoomGroupAvailabilityImpl
	extends RoomGroupAvailabilityBase
        implements RoomGroupAvailability,
	           COM.ibm.jaws.motk.Activation {

  public  RoomGroupAvailabilityImpl()
  {
    super();
  }

  public  RoomGroupAvailabilityImpl(Object parm1,
                                    java.util.Date parm2,
                                    int parm3)
  {
    super(parm1, parm2, parm3);
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
    out.writeObject(carFleet);
    out.writeInt(totalAvailableRooms);
    out.writeObject(dateString);
  }

  public void internalizeFromStream(InputEDStream in)
  {
    carFleet = (Object) in.readObject();
    totalAvailableRooms = in.readInt();
    dateString = (String) in.readObject();
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

} // end of class: RoomGroupAvailabilityImpl
