/*
 *  Source file: RoomGroupBase.java
 *  Class file:  COM.ibm.jaws.models.trs.RoomGroupBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import java.io.PrintStream;
import java.lang.StringBuffer;
import java.util.Date;
import COM.ibm.jaws.mofw.Iterator;
import java.lang.String;
import COM.ibm.jaws.mofw.ReferenceCollection;
import java.lang.System;
import COM.ibm.jaws.util.Debug;
import COM.ibm.jaws.mofw.QueryableCollection;
import COM.ibm.jaws.mofw.BaseCollection;
import java.lang.Object;

/**
 * This is the implementation class for the interface RoomGroup.
 * @see COM.ibm.jaws.models.trs.RoomGroupBase
 * @see COM.ibm.jaws.models.trs.RoomGroup
 */
public class RoomGroupImpl
	extends RoomGroupBase
        implements RoomGroup,
	           COM.ibm.jaws.motk.Activation {

  public  RoomGroupImpl()
  {
    super();
  }

  public  RoomGroupImpl(Object parm1,
                        String parm2,
                        String parm3,
                        String parm4,
                        float parm5)
  {
    super(parm1, parm2, parm3, parm4, parm5);
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
    out.writeObject(hotelCompany);
    out.writeObject(city);
    out.writeObject(cityString);
    out.writeObject(location);
    out.writeObject(contact);
    out.writeObject(info);
    out.writeObject(name);
    out.writeFloat(price);
    out.writeObject(roomGroupAvailabilityRC);
    out.writeObject(hotelReservationRC);
  }

  public void internalizeFromStream(InputEDStream in)
  {
    hotelCompany = (Object) in.readObject();
    city = (City) in.readObject();
    cityString = (String) in.readObject();
    location = (String) in.readObject();
    contact = (Contact) in.readObject();
    info = (String) in.readObject();
    name = (String) in.readObject();
    price = in.readFloat();
    roomGroupAvailabilityRC = (ReferenceCollection) in.readObject();
    hotelReservationRC = (ReferenceCollection) in.readObject();
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#prepareForExternalization">Activation.prepareForExternalization</a>
   */
  public void prepareForExternalization() {}

} // end of class: RoomGroupImpl
