package COM.ibm.jaws.app.trs.trswin2;
import java.awt.*;
import java.util.*;
import java.applet.*;
import com.roguewave.widgets.*;
// zpb_begin UserImports
import mlsoft.mct.*;
import COM.ibm.jaws.models.trs.*;
import COM.ibm.jaws.mofw.*;
// zpb_end

/**
 * Class ProfileCreditPanel.
 *
 *
 * @author    Bryce Curtis
 * @version   2.0 11/21/96 9:02:17am
 * @copyright IBM
 */
public
class ProfileCreditPanel extends Panel {
	TextField pNumber1, pExpDate1, pNumber2, pExpDate2, pNumber3, pExpDate3,
pNumber4, pExpDate4, pNumber5, pExpDate5;
	Label pStatic16, pStatic25, pStatic26;
	Choice pCredit1, pCredit2, pCredit3, pCredit4, pCredit5;
	Button pRight, pLeft;
	private Applet applet = null;
	private Frame  frame  = null;

	// Initial size in logical units
	Dimension initialSize = new Dimension(305, 165);
	Point initialLocation;
	// zpb_begin ProfileCreditPanelUserVars
	TravelProfile tprofile = null;
	CreditCard card1 = null;
	CreditCard card2 = null;
	CreditCard card3 = null;
	CreditCard card4 = null;
	CreditCard card5 = null;
	// zpb_end

	// zpb_begin ProfileCreditPanelJavadocConstructor
	/**
	 * Creates a specialized Panel with the specified app and frame.
	 */
	 // zpb_end
	ProfileCreditPanel(Applet app, Frame frame) {
		applet = app;
		this.frame = frame;
		// zpb_begin ProfileCreditPanelConstructor_1
		// zpb_end

		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		pNumber1 = new TextField("");
		add("100 25 120 12", pNumber1);
		pNumber1.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pNumber1.setBackground(Color.white);
		pRight = new Button(">");
		add("270 140 15 12", pRight);
		pLeft = new Button("<");
		add("255 140 15 12", pLeft);
		pStatic16 = new Label("Card");
		pStatic16.setAlignment(Label.CENTER);
		add("10 10 80 12", pStatic16);
		pStatic16.setFont(new Font("Helvetica", Font.BOLD, 15));
		pExpDate1 = new TextField("");
		add("230 25 50 12", pExpDate1);
		pExpDate1.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pExpDate1.setBackground(Color.white);
		pCredit1 = new Choice();
		add("10 25 80 50", pCredit1);
		pCredit1.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pCredit1.addItem("American Express");
		pCredit1.addItem("Diners Club");
		pCredit1.addItem("Discover");
		pCredit1.addItem("Master Card");
		pCredit1.addItem("Visa");
		add("10 25 80 50", pCredit1);
		pStatic25 = new Label("Card Number");
		pStatic25.setAlignment(Label.CENTER);
		add("100 10 130 12", pStatic25);
		pStatic25.setFont(new Font("Helvetica", Font.BOLD, 15));
		pStatic26 = new Label("Exp Date");
		pStatic26.setAlignment(Label.CENTER);
		add("230 10 50 12", pStatic26);
		pStatic26.setFont(new Font("Helvetica", Font.BOLD, 15));
		pCredit2 = new Choice();
		add("10 45 80 50", pCredit2);
		pCredit2.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pCredit2.addItem("American Express");
		pCredit2.addItem("Diners Club");
		pCredit2.addItem("Discover");
		pCredit2.addItem("Master Card");
		pCredit2.addItem("Visa");
		add("10 45 80 50", pCredit2);
		pNumber2 = new TextField("");
		add("100 45 120 12", pNumber2);
		pNumber2.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pNumber2.setBackground(Color.white);
		pExpDate2 = new TextField("");
		add("230 45 50 12", pExpDate2);
		pExpDate2.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pExpDate2.setBackground(Color.white);
		pCredit3 = new Choice();
		add("10 65 80 50", pCredit3);
		pCredit3.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pCredit3.addItem("American Express");
		pCredit3.addItem("Diners Club");
		pCredit3.addItem("Discover");
		pCredit3.addItem("Master Card");
		pCredit3.addItem("Visa");
		add("10 65 80 50", pCredit3);
		pNumber3 = new TextField("");
		add("100 65 120 12", pNumber3);
		pNumber3.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pNumber3.setBackground(Color.white);
		pExpDate3 = new TextField("");
		add("230 65 50 12", pExpDate3);
		pExpDate3.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pExpDate3.setBackground(Color.white);
		pCredit4 = new Choice();
		add("10 85 80 50", pCredit4);
		pCredit4.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pCredit4.addItem("American Express");
		pCredit4.addItem("Diners Club");
		pCredit4.addItem("Discover");
		pCredit4.addItem("Master Card");
		pCredit4.addItem("Visa");
		add("10 85 80 50", pCredit4);
		pNumber4 = new TextField("");
		add("100 85 120 12", pNumber4);
		pNumber4.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pNumber4.setBackground(Color.white);
		pExpDate4 = new TextField("");
		add("230 85 50 12", pExpDate4);
		pExpDate4.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pExpDate4.setBackground(Color.white);
		pCredit5 = new Choice();
		add("10 105 80 50", pCredit5);
		pCredit5.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pCredit5.addItem("American Express");
		pCredit5.addItem("Diners Club");
		pCredit5.addItem("Discover");
		pCredit5.addItem("Master Card");
		pCredit5.addItem("Visa");
		add("10 105 80 50", pCredit5);
		pNumber5 = new TextField("");
		add("100 105 120 12", pNumber5);
		pNumber5.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pNumber5.setBackground(Color.white);
		pExpDate5 = new TextField("");
		add("230 105 50 12", pExpDate5);
		pExpDate5.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pExpDate5.setBackground(Color.white);
		// zpb_begin ProfileCreditPanelConstructor_2
		pCredit1.addItem("");
		pCredit2.addItem("");
		pCredit3.addItem("");
		pCredit4.addItem("");
		pCredit5.addItem("");
		pCredit1.select("");
		pCredit2.select("");
		pCredit3.select("");
		pCredit4.select("");
		pCredit5.select("");
		// zpb_end

		// Size and Position in logical units
		initialLocation = lfLayout.du(5, 5);
		move(initialLocation.x, initialLocation.y);

		// zpb_begin ProfileCreditPanelConstructor_3
		// zpb_end
	}

	// zpb_begin ProfileCreditPanelExpDate5JavadocPaint
	/**
	 * Paints the Panel.  Add specialized functionality for this Panel
	 * between the paint protect block.
	 */
	// zpb_end
	public void paint(Graphics g) {
		Dimension d = size();
		g.drawRect(0,0,d.width-1,d.height-1); // border
		// zpb_begin ProfileCreditPanelPaint
		// zpb_end
	}


	// zpb_begin ProfileCreditPanelJavadocHandleEvent
	/**
	 * Handle events that occur with components in this container.
	 *
	 * @return  Returns a boolean which specifies whether the event
	 *          handler should stop at this level or continue up the
	 *          parent hierarchy.
	 */
	// zpb_end
	public boolean handleEvent(Event e) {

		// zpb_begin ProfileCreditPanelHandleEvent
		// zpb_end

		return super.handleEvent(e);
	}

	// zpb_begin ProfileCreditPanelJavadocAction
	/**
	 * Action handling routine.
	 *
	 * @return  Returns a boolean specifying whether the event should be handled
	 *          furthur up the parent hierarchy.
	 */
	// zpb_end
	public boolean action(Event evt, Object obj) {
		if (evt.target == pRight) {
			// zpb_begin PanelRightClicked
			((EditTrip)frame).wProfilePage.tabPanel.showPage("Air");
			// zpb_end
			return false;
		}
		else if (evt.target == pLeft) {
			// zpb_begin PanelLeftClicked
			((EditTrip)frame).wProfilePage.tabPanel.showPage("Work");
			// zpb_end
			return false;
		}

		// zpb_begin ProfileCreditPanelAction
		// zpb_end

		return false;
	}


	// zpb_begin ProfileCreditPanelUserMethods
	/**
    	*******************************************************
    	* Get data from server
    	*******************************************************
    	*/
    	public void getData() {
	    RCommon.waitCursor();
	    tprofile = RCommon.user.getTravelProfile();
	    if (tprofile == null) return;

	    Iterator cards = tprofile.getCreditCards();
	    if (cards == null) return;
	    CreditCard card = null;

	    // Get 1st card
	    card1 = (CreditCard) cards.getNext();
	    System.out.println("  1st credit card = " + card1);
	    if (card1 == null) return;
	    pNumber1.setText(card1.getNumber());
	    pExpDate1.setText(RCommon.getDate(card1.getExpirationDate()));
	    pCredit1.select(card1.getType());

	    // Get 2nd card
	    card2 = (CreditCard) cards.getNext();
	    System.out.println("  2nd credit card = " + card2);
	    if (card2 == null) return;
	    pNumber2.setText(card2.getNumber());
	    pExpDate2.setText(RCommon.getDate(card2.getExpirationDate()));
	    pCredit2.select(card2.getType());

	    // Get 3rd card
	    card3 = (CreditCard) cards.getNext();
	    System.out.println("  3rd credit card = " + card3);
	    if (card3 == null) return;
	    pNumber3.setText(card3.getNumber());
	    pExpDate3.setText(RCommon.getDate(card3.getExpirationDate()));
	    pCredit3.select(card3.getType());

	    // Get 4th card
	    card4 = (CreditCard) cards.getNext();
	    System.out.println("  4th credit card = " + card4);
	    if (card4 == null) return;
	    pNumber4.setText(card4.getNumber());
	    pExpDate4.setText(RCommon.getDate(card4.getExpirationDate()));
	    pCredit4.select(card4.getType());

	    // Get 5th card
	    card5 = (CreditCard) cards.getNext();
	    System.out.println("  5th credit card = " + card5);
	    if (card5 == null) return;
	    pNumber5.setText(card5.getNumber());
	    pExpDate5.setText(RCommon.getDate(card5.getExpirationDate()));
	    pCredit5.select(card5.getType());
	    RCommon.defaultCursor();
    	}

    	/**
    	*******************************************************
    	* Save data to server
    	*******************************************************
    	*/
    	public void saveData() {
	    RCommon.waitCursor();
	    System.out.println("ProfileCreditPanel::saveData()");
	    if (tprofile == null) return;

	    // Save 1st card
	    if (pCredit1.getSelectedItem().equals("")) {
		// Clear 1st card entry if there is one
		if (card1 != null) {
		    card1.setNumber("");
		    card1.setExpirationDate(null);
		    card1.setType("");
		}
	    }
	    else {
		// Create new credit card if not one
		if (card1 == null) {
		    tprofile.addCreditCard(
			pCredit1.getSelectedItem(),
			pNumber1.getText(),
		    	RCommon.stringToDate(pExpDate1.getText()));
		}
		else {
		    card1.setType(pCredit1.getSelectedItem());
		    card1.setNumber(pNumber1.getText());
		    card1.setExpirationDate(RCommon.stringToDate(pExpDate1.getText()));
		}
	    }

	    // Save 2nd card
	    if (pCredit2.getSelectedItem().equals("")) {
		// Clear 2nd card entry if there is one
		if (card2 != null) {
		    card2.setNumber("");
		    card2.setExpirationDate(null);
		    card2.setType("");
		}
	    }
	    else {
		// Create new credit card if not one
		if (card2 == null) {
		    tprofile.addCreditCard(
			pCredit2.getSelectedItem(),
			pNumber2.getText(),
		    	RCommon.stringToDate(pExpDate2.getText()));
		}
		else {
		    card2.setType(pCredit2.getSelectedItem());
		    card2.setNumber(pNumber2.getText());
		    card2.setExpirationDate(RCommon.stringToDate(pExpDate2.getText()));
		}
	    }

	    // Save 3rd card
	    if (pCredit3.getSelectedItem().equals("")) {
		// Clear 3rd card entry if there is one
		if (card3 != null) {
		    card3.setNumber("");
		    card3.setExpirationDate(null);
		    card3.setType("");
		}
	    }
	    else {
		// Create new credit card if not one
		if (card3 == null) {
		    tprofile.addCreditCard(
			pCredit3.getSelectedItem(),
			pNumber3.getText(),
		    	RCommon.stringToDate(pExpDate3.getText()));
		}
		else {
		    card3.setType(pCredit3.getSelectedItem());
		    card3.setNumber(pNumber3.getText());
		    card3.setExpirationDate(RCommon.stringToDate(pExpDate3.getText()));
		}
	    }

	    // Save 4th card
	    if (pCredit4.getSelectedItem().equals("")) {
		// Clear 4th card entry if there is one
		if (card4 != null) {
		    card4.setNumber("");
		    card4.setExpirationDate(null);
		    card4.setType("");
		}
	    }
	    else {
		// Create new credit card if not one
		if (card4 == null) {
		    tprofile.addCreditCard(
			pCredit4.getSelectedItem(),
			pNumber4.getText(),
		    	RCommon.stringToDate(pExpDate4.getText()));
		}
		else {
		    card4.setType(pCredit4.getSelectedItem());
		    card4.setNumber(pNumber4.getText());
		    card4.setExpirationDate(RCommon.stringToDate(pExpDate4.getText()));
		}
	    }

	    // Save 5th card
	    if (pCredit5.getSelectedItem().equals("")) {
		// Clear 5th card entry if there is one
		if (card5 != null) {
		    card5.setNumber("");
		    card5.setExpirationDate(null);
		    card5.setType("");
		}
	    }
	    else {
		// Create new credit card if not one
		if (card5 == null) {
		    tprofile.addCreditCard(
			pCredit5.getSelectedItem(),
			pNumber5.getText(),
		    	RCommon.stringToDate(pExpDate5.getText()));
		}
		else {
		    card5.setType(pCredit5.getSelectedItem());
		    card5.setNumber(pNumber5.getText());
		    card5.setExpirationDate(RCommon.stringToDate(pExpDate5.getText()));
		}
	    }

	    RCommon.defaultCursor();
    	}
	// zpb_end
}
