package COM.ibm.jaws.app.trs.trswin2;
import java.awt.*;
import java.util.*;
import java.applet.*;
import com.roguewave.widgets.*;
// zpb_begin UserImports
import mlsoft.mct.*;
// zpb_end

/**
 * Class ProfileHotelPanel.
 *
 *
 * @author    Bryce Curtis
 * @version   2.0 11/21/96 9:02:28am
 * @copyright IBM
 */
public
class ProfileHotelPanel extends Panel {
	Label pStatic1, pStatic7;
	List pPreferences;
	Choice pRates;
	Button pRight, pLeft;
	Checkbox pLateCheckin;
	private Applet applet = null;
	private Frame  frame  = null;

	// Initial size in logical units
	Dimension initialSize = new Dimension(305, 165);
	Point initialLocation;
	// zpb_begin ProfileHotelPanelUserVars
	// zpb_end

	// zpb_begin ProfileHotelPanelJavadocConstructor
	/**
	 * Creates a specialized Panel with the specified app and frame.
	 */
	 // zpb_end
	ProfileHotelPanel(Applet app, Frame frame) {
		applet = app;
		this.frame = frame;
		// zpb_begin ProfileHotelPanelConstructor_1
		// zpb_end

		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		pStatic1 = new Label("Hotel Features");
		pStatic1.setAlignment(Label.CENTER);
		add("15 10 93 12", pStatic1);
		pStatic1.setFont(new Font("Helvetica", Font.BOLD, 15));
		pRight = new Button(">");
		add("270 140 15 12", pRight);
		pLeft = new Button("<");
		add("255 140 15 12", pLeft);
		pPreferences = new List(0, true);
		add("15 25 110 120", pPreferences);
		pPreferences.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pPreferences.setBackground(new Color(255,255,255));
		pPreferences.addItem("Modem");
		pPreferences.addItem("Crib");
		pPreferences.addItem("Pool");
		pPreferences.addItem("Room Service");
		pPreferences.addItem("Fitness Center");
		pPreferences.addItem("Laundry Services");
		pPreferences.addItem("Restaurant");
		pPreferences.addItem("TV with Cable");
		pPreferences.addItem("Pets Allowed");
		pPreferences.addItem("Non-Smoking Room");
		pPreferences.addItem("Refrigerator");
		add("15 25 110 120", pPreferences);
		pStatic7 = new Label("Room Rate:");
		add("145 30 53 12", pStatic7);
		pStatic7.setFont(new Font("Helvetica", Font.BOLD, 15));
		pRates = new Choice();
		add("205 30 75 49", pRates);
		pRates.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pRates.setBackground(Color.white);
		pRates.addItem("< $100");
		pRates.addItem("< $200");
		pRates.addItem("< $300");
		pRates.addItem("ALL");
		add("205 30 75 49", pRates);
		pLateCheckin = new Checkbox("Late Check-in");
		add("175 65 80 14", pLateCheckin);
		pLateCheckin.setFont(new Font("Helvetica", Font.PLAIN, 15));
		// zpb_begin ProfileHotelPanelConstructor_2
		pRight.hide();
		// zpb_end

		// Size and Position in logical units
		initialLocation = lfLayout.du(5, 5);
		move(initialLocation.x, initialLocation.y);

		// zpb_begin ProfileHotelPanelConstructor_3
		// zpb_end
	}

	// zpb_begin ProfileHotelPanelLateCheckinJavadocPaint
	/**
	 * Paints the Panel.  Add specialized functionality for this Panel
	 * between the paint protect block.
	 */
	// zpb_end
	public void paint(Graphics g) {
		Dimension d = size();
		g.drawRect(0,0,d.width-1,d.height-1); // border
		// zpb_begin ProfileHotelPanelPaint
		// zpb_end
	}


	// zpb_begin ProfileHotelPanelJavadocHandleEvent
	/**
	 * Handle events that occur with components in this container.
	 *
	 * @return  Returns a boolean which specifies whether the event
	 *          handler should stop at this level or continue up the
	 *          parent hierarchy.
	 */
	// zpb_end
	public boolean handleEvent(Event e) {

		// zpb_begin ProfileHotelPanelHandleEvent
		// zpb_end

		return super.handleEvent(e);
	}

	// zpb_begin ProfileHotelPanelJavadocAction
	/**
	 * Action handling routine.
	 *
	 * @return  Returns a boolean specifying whether the event should be handled
	 *          furthur up the parent hierarchy.
	 */
	// zpb_end
	public boolean action(Event evt, Object obj) {
		if (evt.target == pRight) {
			// zpb_begin PanelRightClicked
			// zpb_end
			return false;
		}
		else if (evt.target == pLeft) {
			// zpb_begin PanelLeftClicked
			((EditTrip)frame).wProfilePage.tabPanel.showPage("Car");
			// zpb_end
			return false;
		}

		// zpb_begin ProfileHotelPanelAction
		// zpb_end

		return false;
	}


	// zpb_begin ProfileHotelPanelUserMethods
	/**
    	*******************************************************
    	* Get data from server
    	*******************************************************
    	*/
    	public void getData() {
    	}

    	/**
    	*******************************************************
    	* Save data to server
    	*******************************************************
    	*/
    	public void saveData() {
    	}
	// zpb_end
}
