package COM.ibm.jaws.app.trs.trswin2;
import java.awt.*;
import java.util.*;
import java.applet.*;
import com.roguewave.widgets.*;
// zpb_begin UserImports 
// zpb_end 

/**
 * Class ReserveList1.
 *
 *
 * @author    Bryce Curtis
 * @version   2.0 11/21/96 8:48:58am
 * @copyright IBM
 */
public
class ReserveList1 extends Frame {

	private static Applet applet;
	Hashtable menuitems = new Hashtable();
	ReserveList1Main pMain;
	ReserveList1Air pAir;
	ReserveList1Car pCar;
	ReserveList1Hotel pHotel;

	// Initial size in logical units
	Dimension initialSize = new Dimension(364, 362);
	Point initialLocation;
	// zpb_begin ReserveList1UserVars 
	// zpb_end 

	// zpb_begin ReserveList1JavadocConstructor 
    /**
     * Creates a specialized window with the specified app and title.
     */
	 // zpb_end 
	ReserveList1(Applet app, String title) {
		super(title);
		applet = app;

		// zpb_begin ReserveList1Constructor_1 
		// zpb_end 

		setBackground(Color.lightGray);
		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		pMain = new ReserveList1Main(applet, (Frame)getParent());
		add("15 40 335 140", pMain);
		pMain.setFont(new Font("Helvetica", Font.PLAIN, 12));
		pAir = new ReserveList1Air(applet, (Frame)getParent());
		add("10 30 335 140", pAir);
		pAir.setFont(new Font("Helvetica", Font.PLAIN, 12));
		pCar = new ReserveList1Car(applet, (Frame)getParent());
		add("5 20 335 140", pCar);
		pCar.setFont(new Font("Helvetica", Font.PLAIN, 12));
		pHotel = new ReserveList1Hotel(applet, (Frame)getParent());
		add("0 10 335 140", pHotel);
		pHotel.setFont(new Font("Helvetica", Font.PLAIN, 12));

		// Add the MenuBar, Menus, and Menuitems
		MenuBar mbMenu1 = new MenuBar();
		MenuItem mi;
		Menu mFile = new Menu("File");
		menuitems.put("File", mFile);
		mi=new MenuItem("New");
		mFile.add(mi);
		menuitems.put("FileNew",mi);
		mi=new MenuItem("Open...");
		mFile.add(mi);
		menuitems.put("FileOpen",mi);
		mi=new MenuItem("Save");
		mFile.add(mi);
		menuitems.put("FileSave",mi);
		mi=new MenuItem("Save as...");
		mFile.add(mi);
		menuitems.put("FileSaveas",mi);
		mFile.add(new MenuItem("-"));
		mi=new MenuItem("Exit");
		mFile.add(mi);
		menuitems.put("FileExit",mi);
		mbMenu1.add(mFile);
		Menu mHelp = new Menu("Help");
		menuitems.put("Help", mHelp);
		mi=new MenuItem("Contents");
		mHelp.add(mi);
		menuitems.put("HelpContents",mi);
		mi=new MenuItem("Search...");
		mHelp.add(mi);
		menuitems.put("HelpSearch",mi);
		mHelp.add(new MenuItem("-"));
		mi=new MenuItem("About...");
		mHelp.add(mi);
		menuitems.put("HelpAbout",mi);
		mbMenu1.add(mHelp);
		this.setMenuBar(mbMenu1);
		// zpb_begin ReserveList1Constructor_2 
		// zpb_end 

		// Size and Position in logical units
		initialLocation = lfLayout.du(15, 28);
		
		pack();
		move(initialLocation.x, initialLocation.y);

		// zpb_begin ReserveList1Constructor_3 
		// zpb_end 
	}

	// zpb_begin ReserveList1JavadocMinimumSize 
    /**
     * @return  Returns a Dimension with the minimum width and height
     *          of this container.
     */
	 // zpb_end 
	public Dimension minimumSize() {
		// zpb_begin ReserveList1MinimumSize 
		// zpb_end 
			
		LayoutManager layoutMgr = getLayout();
		if (layoutMgr instanceof LogFontLayout) {
			// Convert from logical units to absolute coordinates
			int w = initialSize.width;
			int h = initialSize.height;
			LogFontLayout layout = (LogFontLayout)layoutMgr;
			return new Dimension(layout.duX(w), layout.duY(h));
		}
		return new Dimension(initialSize);
	}

	// zpb_begin ReserveList1JavadocHandleEvent 
    /**
     * Handle events that occur with components in this container.
     *
     * @return  Returns a boolean which specifies whether the event
     *          handler should stop at this level or continue up the
     *          parent hierarchy.
     */
	// zpb_end 
	public boolean handleEvent(Event e) {
		if (e.id == Event.WINDOW_DESTROY) {
			// zpb_begin ReserveList1Destroy 
			// zpb_end 
			dispose();
			return true;
		}

		// zpb_begin ReserveList1HandleEvent 
		// zpb_end 

		return super.handleEvent(e);
	}

	// zpb_begin ReserveList1JavadocAction 
    /**
     * Action handling routine.
     *
     * @return  Returns a boolean specifying whether the event should be handled
     *          furthur up the parent hierarchy.
     */
	// zpb_end 
	public boolean action(Event evt, Object obj) {
		if (evt.target instanceof MenuItem) {
			if (menuitems.get("FileNew") == evt.target) {
				// zpb_begin ReserveList1FileNewSelectionCreate 
				// zpb_end 
				// zpb_begin ReserveList1FileNewSelection 
				// zpb_end 
			}
			else if (menuitems.get("FileOpen") == evt.target) {
				FileDialog fd = new FileDialog(this, "File Open Dialog");
				// zpb_begin ReserveList1FileOpenSelection 
				// zpb_end 
				fd.show();
				// zpb_begin ReserveList1FileOpenSelection2 
				// zpb_end 
			}
			else if (menuitems.get("FileSave") == evt.target) {
				// zpb_begin ReserveList1FileSaveSelection 
				// zpb_end 
			}
			else if (menuitems.get("FileSaveas") == evt.target) {
				FileDialog fd = new FileDialog(this, "File Save Dialog", FileDialog.SAVE);
				// zpb_begin ReserveList1FileSaveasSelection 
				// zpb_end 
				fd.show();
				// zpb_begin ReserveList1FileSaveasSelection2 
				// zpb_end 
			}
			else if (menuitems.get("FileExit") == evt.target) {
				// zpb_begin ReserveList1FileExitSelection 
				// zpb_end 
				System.exit(0);
			}
			else if (menuitems.get("HelpContents") == evt.target) {
				// zpb_begin ReserveList1HelpContentsSelection 
				// zpb_end 
			}
			else if (menuitems.get("HelpSearch") == evt.target) {
				// zpb_begin ReserveList1HelpSearchSelection 
				// zpb_end 
			}
			else if (menuitems.get("HelpAbout") == evt.target) {
				// zpb_begin ReserveList1HelpAboutSelectionCreate 
				// zpb_end 
				// zpb_begin ReserveList1HelpAboutSelection 
				// zpb_end 
			}

			return false;
		}



		// zpb_begin ReserveList1Action 
		// zpb_end 

		return false;
	}


	// zpb_begin ReserveList1UserMethods 
	// zpb_end 
}
