package COM.ibm.jaws.app.trs.trswin2;
import java.awt.*;
import java.util.*;
import java.applet.*;
import com.roguewave.widgets.*;
// zpb_begin UserImports
import COM.ibm.jaws.models.trs.*;
// zpb_end

/**
 * Class ReserveList1Hotel.
 *
 *
 * @author    Bryce Curtis
 * @version   2.0 11/21/96 8:49:08am
 * @copyright IBM
 */
public
class ReserveList1Hotel extends Panel {
	Label pHotel6, pHotel5, pHotel4, pHotel3, pHotel2, pHotel1, pDates, pPrice,
pConfirmation, pStatic1, pStatic2, pStatic3, pStatic4;
	private Applet applet = null;
	private Frame  frame  = null;

	// Initial size in logical units
	Dimension initialSize = new Dimension(335, 140);
	Point initialLocation;
	// zpb_begin ReserveList1HotelUserVars
	ReserveList parent = null;
	// zpb_end

	// zpb_begin ReserveList1HotelJavadocConstructor
    /**
     * Creates a specialized Panel with the specified app and frame.
     */
	 // zpb_end
	ReserveList1Hotel(Applet app, Frame frame) {
		applet = app;
		this.frame = frame;
		// zpb_begin ReserveList1HotelConstructor_1
		parent = (ReserveList)frame;
		// zpb_end

		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		pHotel6 = new Label("     ");
		add("75 60 14 12", pHotel6);
		pHotel6.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pHotel5 = new Label("Pool, Room Service, Restaurant");
		add("75 50 122 12", pHotel5);
		pHotel5.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pHotel4 = new Label("(404) 382-9282");
		add("75 40 58 12", pHotel4);
		pHotel4.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pHotel3 = new Label("Atlanta, GA  38920");
		add("75 30 70 12", pHotel3);
		pHotel3.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pHotel2 = new Label("120 N. 1st St");
		add("75 20 50 10", pHotel2);
		pHotel2.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pHotel1 = new Label("Embassy Suites");
		add("75 10 63 12", pHotel1);
		pHotel1.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pDates = new Label("Jul 28 (late check-in) -> Aug 8, 1996");
		add("75 80 171 12", pDates);
		pDates.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pPrice = new Label("$1200.00 ($200.00/night)");
		add("75 100 93 12", pPrice);
		pPrice.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pConfirmation = new Label("12N348273");
		add("75 120 43 12", pConfirmation);
		pConfirmation.setFont(new Font("Helvetica", Font.PLAIN, 15));
		pStatic1 = new Label("Hotel:");
		add("10 10 33 12", pStatic1);
		pStatic1.setFont(new Font("Helvetica", Font.BOLD, 15));
		pStatic2 = new Label("Dates:");
		add("10 80 28 12", pStatic2);
		pStatic2.setFont(new Font("Helvetica", Font.BOLD, 15));
		pStatic3 = new Label("Confirmation:");
		add("10 120 57 12", pStatic3);
		pStatic3.setFont(new Font("Helvetica", Font.BOLD, 15));
		pStatic4 = new Label("Price:");
		add("10 100 26 12", pStatic4);
		pStatic4.setFont(new Font("Helvetica", Font.BOLD, 15));
		// zpb_begin ReserveList1HotelConstructor_2
		// zpb_end

		// Size and Position in logical units
		initialLocation = lfLayout.du(0, 10);
		move(initialLocation.x, initialLocation.y);

		// zpb_begin ReserveList1HotelConstructor_3
		// zpb_end
	}

	// zpb_begin ReserveList1HotelStatic4JavadocPaint
	/**
	 * Paints the Panel.  Add specialized functionality for this Panel
	 * between the paint protect block.
	 */
	// zpb_end
	public void paint(Graphics g) {
		Dimension d = size();
		g.drawRect(0,0,d.width-1,d.height-1); // border
		// zpb_begin ReserveList1HotelPaint
		// zpb_end
	}


	// zpb_begin ReserveList1HotelJavadocHandleEvent
    /**
     * Handle events that occur with components in this container.
     *
     * @return  Returns a boolean which specifies whether the event
     *          handler should stop at this level or continue up the
     *          parent hierarchy.
     */
	// zpb_end
	public boolean handleEvent(Event e) {

		// zpb_begin ReserveList1HotelHandleEvent
		// zpb_end

		return super.handleEvent(e);
	}


	// zpb_begin ReserveList1HotelUserMethods
        // Set text fields
	/**
    	*******************************************************
    	* Get data from server
    	*******************************************************
    	*/
	public void getData() {
            String d;
	    System.out.println("ReserveList1Hotel::getData()");
	    RoomGroup roomGroup = null;
	    Trip t = parent.trip;

	    if (parent.hotelRes != null) {
		roomGroup = parent.hotelRes.getRoomGroup();
                parent.setNextProgress();
                pHotel1.setText(roomGroup.getHotelCompany().getName());
                pHotel2.setText(roomGroup.getContact().getAddress1());
                parent.setNextProgress();
                pHotel3.setText(roomGroup.getContact().getCity().getCityState() + "  " +
			roomGroup.getContact().getZip());
                pHotel4.setText("(" + roomGroup.getContact().getPhoneAreaCode() + ") " + roomGroup.getContact().getPhoneNumber());
                parent.setNextProgress();
           	pHotel5.setText(roomGroup.getInfo());
                pHotel6.setText("     ");

                pDates.setText(
		    RCommon.getDateString(t.getDepartureDate()) + " -> " +
		    RCommon.getDateString(t.getReturnDate()));
                parent.setNextProgress();

//@BC need to add late checkin   d = d + " (late check-in)";

                pConfirmation.setText(Integer.toString(parent.hotelRes.getConfirmationNumber()));

                float perday =  roomGroup.getPrice();
                long days = (t.getReturnDate().getTime() - t.getDepartureDate().getTime() + 10000000) / 86399560;
                System.out.println("days="+days);
                if (days < 1)
                    days = 1;
                float f = perday * days;
                pPrice.setText( "$"+Float.toString(f) + " ($"+perday+"/night)" );
                parent.setNextProgress();
            }
            else {
                pHotel1.setText("");
                pDates.setText("");
                pHotel2.setText("");
                pHotel3.setText("");
                pHotel4.setText("");
                pConfirmation.setText("");
                pPrice.setText("");
                pHotel5.setText("");
                pHotel6.setText("");
            }
	}

	// zpb_end
}
