package COM.ibm.jaws.models.trs;


import COM.ibm.jaws.mofw.*;
import java.util.*;
import java.net.*;


public interface CarFleet extends Common
{
    public String
    toString();

    public CarFleetAvailability
    addCarFleetAvailability(Date date,
			    int totalAvailableCars);

    public Contact
    addContact(String address1,
	       String address2,
	       String city,
	       String zip,
	       String phoneAreaCode,
	       String phoneNumber,
	       String faxAreaCode,
	       String faxNumber,
	       String emailId,
	       String emailAddress,
			   URL url);
    public boolean
    available(Date pickupDate,
	      Date dropoffDate);

    public void
    cancel(CarReservation res);

    public void
    carFleetAvailbilityCancel(Date date);

    public Airport
    getAirport();

    public Car
    getCar();

    public CarRentalCompany
    getCarRentalCompany();

    public Iterator
    getCarFleetAvailabilities();

    public Contact
    getContact();

    public String
    getLocation();

    public String
    getName();

    public float
    getPrice();

    public void
    reserve(CarReservation carReservation);

    public void
    setAirport(String airportCode);

    public void
    setCar(String carString);
}
