/*
 *  Source file: CarFleetAvailabilityBase.java
 *  Class file:  COM.ibm.jaws.models.trs.CarFleetAvailabilityBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import java.lang.StringBuffer;
import java.util.Date;
import java.lang.String;
import java.util.StringTokenizer;
import java.lang.Integer;
import java.lang.Object;

/**
 * This is the implementation class for the interface CarFleetAvailability.
 * @see COM.ibm.jaws.models.trs.CarFleetAvailabilityBase
 * @see COM.ibm.jaws.models.trs.CarFleetAvailability
 */
public class CarFleetAvailabilityImpl
	extends CarFleetAvailabilityBase
        implements CarFleetAvailability,
	           COM.ibm.jaws.motk.Activation {

  public  CarFleetAvailabilityImpl()
  {
    super();
  }

  public  CarFleetAvailabilityImpl(Object parm1,
                                   java.util.Date parm2,
                                   int parm3)
  {
    super(parm1, parm2, parm3);
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
    out.writeObject(carFleet);
    out.writeObject(dateString);
    out.writeInt(totalAvailableCars);
  }

  public void internalizeFromStream(InputEDStream in)
  {
    carFleet = (Object) in.readObject();
    dateString = (String) in.readObject();
    totalAvailableCars = in.readInt();
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

} // end of class: CarFleetAvailabilityImpl
