/*
 *  Source file: CarBase.java
 *  Class file:  COM.ibm.jaws.models.trs.CarBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import java.lang.StringBuffer;
import java.lang.String;

/**
 * This is the implementation class for the interface Car.
 * @see COM.ibm.jaws.models.trs.CarBase
 * @see COM.ibm.jaws.models.trs.Car
 */
public class CarImpl
	extends CarBase
        implements Car,
	           COM.ibm.jaws.motk.Activation {

  public  CarImpl()
  {
    super();
  }

  public  CarImpl(String parm1,
                  String parm2)
  {
    super(parm1, parm2);
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
    out.writeObject(name);
    out.writeObject(image);
  }

  public void internalizeFromStream(InputEDStream in)
  {
    name = (String) in.readObject();
    image = (String) in.readObject();
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#activate">Activation.activate</a>
   */
  public void activate() {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#prepareForExternalization">Activation.prepareForExternalization</a>
   */
  public void prepareForExternalization() {}

} // end of class: CarImpl
