/*
 *  Source file: CarRentalCompanyBase.java
 *  Class file:  COM.ibm.jaws.models.trs.CarRentalCompanyBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import java.lang.StringBuffer;
import COM.ibm.jaws.mofw.Iterator;
import java.lang.String;
import COM.ibm.jaws.mofw.ReferenceCollection;
import COM.ibm.jaws.mofw.BaseCollection;
import COM.ibm.jaws.mofw.QueryableCollection;

/**
 * This is the implementation class for the interface CarRentalCompany.
 * @see COM.ibm.jaws.models.trs.CarRentalCompanyBase
 * @see COM.ibm.jaws.models.trs.CarRentalCompany
 */
public class CarRentalCompanyImpl
	extends CarRentalCompanyBase
        implements CarRentalCompany,
	           COM.ibm.jaws.motk.Activation {

  public  CarRentalCompanyImpl()
  {
    super();
  }

  public  CarRentalCompanyImpl(String parm1)
  {
    super(parm1);
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
    out.writeObject(name);
    out.writeObject(contact);
    out.writeObject(carRC);
    out.writeObject(carFleetRC);
  }

  public void internalizeFromStream(InputEDStream in)
  {
    name = (String) in.readObject();
    contact = (Contact) in.readObject();
    carRC = (ReferenceCollection) in.readObject();
    carFleetRC = (ReferenceCollection) in.readObject();
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#activate">Activation.activate</a>
   */
  public void activate() {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#prepareForExternalization">Activation.prepareForExternalization</a>
   */
  public void prepareForExternalization() {}

} // end of class: CarRentalCompanyImpl
