/*
 *  Source file: CityBase.java
 *  Class file:  COM.ibm.jaws.models.trs.CityBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import java.lang.StringBuffer;
import COM.ibm.jaws.mofw.Iterator;
import java.lang.String;
import java.lang.Throwable;
import COM.ibm.jaws.mofw.QueryableCollection;
import java.net.URL;

/**
 * This is the implementation class for the interface City.
 * @see COM.ibm.jaws.models.trs.CityBase
 * @see COM.ibm.jaws.models.trs.City
 */
public class CityImpl
	extends CityBase
        implements City,
	           COM.ibm.jaws.motk.Activation {

  public  CityImpl()
  {
    super();
  }

  public  CityImpl(String parm1,
                   String parm2,
                   java.net.URL parm3,
                   java.net.URL parm4)
  {
    super(parm1, parm2, parm3, parm4);
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
    out.writeObject(name);
    out.writeObject(urlString);
    out.writeObject(weatherURLString);
    out.writeObject(state);
    out.writeObject(stateString);
    out.writeObject(airport);
  }

  public void internalizeFromStream(InputEDStream in)
  {
    name = (String) in.readObject();
    urlString = (String) in.readObject();
    weatherURLString = (String) in.readObject();
    state = (State) in.readObject();
    stateString = (String) in.readObject();
    airport = (Airport) in.readObject();
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

} // end of class: CityImpl
