/*
 *  Source file: ContactBase.java
 *  Class file:  COM.ibm.jaws.models.trs.ContactBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import java.lang.StringBuffer;
import COM.ibm.jaws.mofw.Iterator;
import java.lang.String;
import java.lang.Throwable;
import COM.ibm.jaws.mofw.QueryableCollection;
import java.lang.Object;
import java.net.URL;

/**
 * This is the implementation class for the interface Contact.
 * @see COM.ibm.jaws.models.trs.ContactBase
 * @see COM.ibm.jaws.models.trs.Contact
 */
public class ContactImpl
	extends ContactBase
        implements Contact,
	           COM.ibm.jaws.motk.Activation {

  public  ContactImpl()
  {
    super();
  }

  public  ContactImpl(Object parm1,
                      String parm2,
                      String parm3,
                      String parm4,
                      String parm5,
                      String parm6,
                      String parm7,
                      String parm8,
                      String parm9,
                      String parm10,
                      String parm11,
                      java.net.URL parm12)
  {
    super(parm1, parm2, parm3, parm4, parm5, parm6, parm7, parm8, parm9, parm10, parm11, parm12);
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
    out.writeObject(backPointer);
    out.writeObject(address1);
    out.writeObject(address2);
    out.writeObject(city);
    out.writeObject(cityString);
    out.writeObject(zip);
    out.writeObject(phoneAreaCode);
    out.writeObject(phoneNumber);
    out.writeObject(faxAreaCode);
    out.writeObject(faxNumber);
    out.writeObject(emailId);
    out.writeObject(emailAddress);
    out.writeObject(urlString);
  }

  public void internalizeFromStream(InputEDStream in)
  {
    backPointer = (Object) in.readObject();
    address1 = (String) in.readObject();
    address2 = (String) in.readObject();
    city = (City) in.readObject();
    cityString = (String) in.readObject();
    zip = (String) in.readObject();
    phoneAreaCode = (String) in.readObject();
    phoneNumber = (String) in.readObject();
    faxAreaCode = (String) in.readObject();
    faxNumber = (String) in.readObject();
    emailId = (String) in.readObject();
    emailAddress = (String) in.readObject();
    urlString = (String) in.readObject();
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

} // end of class: ContactImpl
