package COM.ibm.jaws.models.trs;


abstract public class PlaneBase extends CommonBase
{
    protected String name = null;
    protected String seatImage = null;
    protected String planeImage = null;
    protected int totalSeats = 0;


    public
    PlaneBase()
    {
    }


    public
    PlaneBase(String name,
	      String planeImage,
	      String seatImage,
	      int totalSeats)
    {
	this.name = name;
	this.planeImage = planeImage;
	this.seatImage = seatImage;
	this.totalSeats = totalSeats;
    }


    public String
    getName()
    {
	return name;
    }


    public int
    getTotalSeats()
    {
	return totalSeats;
    }


    public String
    getSeatImage()
    {
	return seatImage;
    }


    public String
    getPlaneImage()
    {
	return planeImage;
    }


    public String
    toString()
    {
	return
	    "Name: " + name + "\n" +
	    "Seat Image: " + seatImage + "\n" +
	    "Plane Image: " + planeImage + "\n" +
	    "TotalSeats: " + totalSeats + "\n";
    }
}
