package COM.ibm.jaws.models.trs;

import java.util.Vector;
import COM.ibm.jaws.mofw.*;


public abstract class SessionBase extends CommonBase
{

    //protected ReferenceCollection flightReservationRC = new RCImpl();
    //protected ReferenceCollection hotelReservationRC = new RCImpl();
    //protected ReferenceCollection carReservationRC = new RCImpl();

    public
    SessionBase()
    {
    }


    // null if doesn't exist, and exception indicating reason.
    public User
    login(String userId,
	  String password)
    {
	User user = null;
	if ((user = (User) userBC().resolve(userId)) == null) {
	    throw new RuntimeException("User " + userId + " does not exist.");
	}
	if (user.getPassword().equals(password) == false) {
	    throw new RuntimeException("Incorrect password.");
	}
	return user;
    }


    public void
    logout(String userId)
    {
    }


    public RCIterator
    getCities()
    {
//	System.out.println("SessionBase::getCities()");
	// Must make copy of Iterator to type RCIterator since Iterator is not managed
	Iterator cities = cityBC().evaluate(null, "MOFW::objects");
	Vector citiesVector = new Vector(10, 10);
	City city = null;
	while ((city = (City) cities.getNext()) != null) {
//	    System.out.println("  Adding city " + city);
	    citiesVector.addElement(city);
	}
//	System.out.println("  Vector = " + citiesVector);

	RCIterator citiesRC = new RCIteratorImpl(citiesVector);
//	System.out.println("  iterator = " + citiesRC);

//	while ((city = (City) citiesRC.getNext()) != null) {
//	    System.out.println("  Listing city " + city);
//	}
	citiesRC.reset();
	return citiesRC;
    }

    public void
    listReservations()
    {
/*
	System.out.println("==================================================");
	System.out.println("List of all Reservations:");
	int total = 0;
	int subtotal = 0;

	System.out.println("  Flight Reservations:");
	Iterator flightReservations = flightReservationRC.evaluate(null, "MOFW::objects");
	FlightReservation flightReservation = null;
	subtotal = 0;
	if (flightReservations != null) {
	    while ((flightReservation = (FlightReservation) flightReservations.getNext()) != null) {
		subtotal++;
		total++;
		System.out.println("    flight " + subtotal + " = " + flightReservation);
	    }
	}

	System.out.println("  Car Reservations:");
	Iterator carReservations = carReservationRC.evaluate(null, "MOFW::objects");
	CarReservation carReservation = null;
	subtotal = 0;
	if (carReservations != null) {
	    while ((carReservation = (CarReservation) carReservations.getNext()) != null) {
		subtotal++;
		total++;
		System.out.println("    car " + subtotal + " = " + carReservation);
	    }
	}

	System.out.println("  Hotel Reservations:");
	Iterator hotelReservations = hotelReservationRC.evaluate(null, "MOFW::objects");
	HotelReservation hotelReservation = null;
	subtotal = 0;
	if (hotelReservations != null) {
	    while ((hotelReservation = (HotelReservation) hotelReservations.getNext()) != null) {
		subtotal++;
		total++;
		System.out.println("    hotel " + subtotal + " = " + hotelReservation);
	    }
	}

	System.out.println("  TOTAL RESERVATIONS = " + total);
	System.out.println("==================================================");
*/
    }
}
