/*
 *  Source file: SessionBase.java
 *  Class file:  COM.ibm.jaws.models.trs.SessionBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import java.lang.StringBuffer;
import COM.ibm.jaws.mofw.Iterator;
import java.lang.String;
import COM.ibm.jaws.mofw.KeyedCollection;
import java.lang.RuntimeException;
import COM.ibm.jaws.mofw.QueryableCollection;
import java.util.Vector;

/**
 * This is the implementation class for the interface Session.
 * @see COM.ibm.jaws.models.trs.SessionBase
 * @see COM.ibm.jaws.models.trs.Session
 */
public class SessionImpl
	extends SessionBase
        implements Session,
	           COM.ibm.jaws.motk.Activation {

  public  SessionImpl()
  {
    super();
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
  }

  public void internalizeFromStream(InputEDStream in)
  {
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#activate">Activation.activate</a>
   */
  public void activate() {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#prepareForExternalization">Activation.prepareForExternalization</a>
   */
  public void prepareForExternalization() {}

} // end of class: SessionImpl
