/*
 *  Source file: TravelProfileBase.java
 *  Class file:  COM.ibm.jaws.models.trs.TravelProfileBase
 */

package COM.ibm.jaws.models.trs;

import COM.ibm.jaws.mofw.*;
import COM.ibm.jaws.mofw.Iterator;
import java.lang.String;
import COM.ibm.jaws.mofw.ReferenceCollection;
import COM.ibm.jaws.mofw.BaseCollection;
import COM.ibm.jaws.mofw.QueryableCollection;
import java.lang.Object;

/**
 * This is the implementation class for the interface TravelProfile.
 * @see COM.ibm.jaws.models.trs.TravelProfileBase
 * @see COM.ibm.jaws.models.trs.TravelProfile
 */
public class TravelProfileImpl
	extends TravelProfileBase
        implements TravelProfile,
	           COM.ibm.jaws.motk.Activation {

  public  TravelProfileImpl()
  {
    super();
  }

  public  TravelProfileImpl(Object parm1)
  {
    super(parm1);
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
    out.writeObject(user);
    out.writeObject(creditCardRC);
    out.writeObject(preferredCreditCard);
  }

  public void internalizeFromStream(InputEDStream in)
  {
    user = (Object) in.readObject();
    creditCardRC = (ReferenceCollection) in.readObject();
    preferredCreditCard = (CreditCard) in.readObject();
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#activate">Activation.activate</a>
   */
  public void activate() {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#prepareForExternalization">Activation.prepareForExternalization</a>
   */
  public void prepareForExternalization() {}

} // end of class: TravelProfileImpl
