package COM.ibm.jaws.models.trs;


import COM.ibm.jaws.mofw.*;
import java.net.*;
import java.util.*;


public interface User extends Common
{
    public String
    toString();

    public Contact
    addEmployerInformation(String employer,
			   String address1,
			   String address2,
			   String cityString,
			   String zip,
			   String phoneAreaCode,
			   String phoneNumber,
			   String faxAreaCode,
			   String faxNumber,
			   String emailId,
			   String emailAddress,
			   URL url);

    public Contact
    addHomeContact(String address1,
		   String address2,
		   String cityString,
		   String zip,
		   String phoneAreaCode,
		   String phoneNumber,
		   String faxAreaCode,
		   String faxNumber,
		   String emailId,
		   String emailAddress,
		   URL url);

    public TravelProfile
    addTravelProfile();

    public Trip
    addTrip(String name,
	    String departureCityString,
	    String destinationCityString,
	    Date departureDate,
	    Date returnDate);

    public void
    changePassword(String newPassword);

    public Date
    getBirthdate();

    public String
    getDriversLicenseNumber();

    public String
    getDriversLicenseState();

    public String
    getEmployer();

    public Contact
    getEmployerContact();

    public Contact
    getHomeContact();

    public String
    getName();

    public String
    getPassword();

    public String
    getSocialSecurityNumber();

//@BC BEGIN
    public String
    getLastName();

    public String
    getFirstName();

    public String
    getMiddleName();

    public String
    getPrefix();

    public void
    setLastName(String d);

    public void
    setFirstName(String d);

    public void
    setMiddleName(String d);

    public void
    setPrefix(String d);

    public void
    setBirthdate(Date d);

    public void
    setDriversLicenseNumber(String d);

    public void
    setDriversLicenseState(String d);

    public void
    setEmployer(String d);

    public void
    setSocialSecurityNumber(String d);
//@BC END

    public TravelProfile
    getTravelProfile();

    public Iterator
    getTrips();

    public Iterator
    getTrips(String status);

    public String
    getUserId();
}
