/*
 *  Source file: AccountBase.java
 *  Class file:  COM.ibm.jaws.tutorial1.AccountBase
 */

package COM.ibm.jaws.tutorial1;

import COM.ibm.jaws.mofw.*;
import java.lang.Object;

/**
 * This is the implementation class for the interface Account.
 * @see COM.ibm.jaws.tutorial1.AccountBase
 * @see COM.ibm.jaws.tutorial1.Account
 */
public class AccountImpl
	extends AccountBase
        implements Account,
	           COM.ibm.jaws.motk.Activation {

  public  AccountImpl()
  {
    super();
  }

  public  AccountImpl(float parm1)
  {
    super(parm1);
  }

  public void externalizeToStream(OutputEDStream out)
  {
    prepareForExternalization();
    out.writeFloat(balance);
  }

  public void internalizeFromStream(InputEDStream in)
  {
    balance = in.readFloat();
    activate();
  }

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#release">Lifecycle.release</a>
   */
  public void release() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Lifecycle#remove">Lifecycle.remove</a>
   */
  public void remove() {}

  /**
   * See <a href="COM.ibm.jaws.mofw.IdentityDelegator#setSelf">IdentityDelegator.setSelf</a>
   */
  public void setSelf(Object self) {}

  /**
   * See <a href="COM.ibm.jaws.mofw.Dependent#setDependentContext">Dependent.setDependentContext</a>
   */
  public void setDependentContext(KeyedCollection context) {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#activate">Activation.activate</a>
   */
  public void activate() {}

  /**
   * See <a href="COM.ibm.jaws.motk.Activation#prepareForExternalization">Activation.prepareForExternalization</a>
   */
  public void prepareForExternalization() {}

} // end of class: AccountImpl
