package COM.ibm.toolbench;
import java.awt.*;
import java.util.*;
import java.applet.*;
import com.roguewave.widgets.*;
// zpb_begin UserImports
import java.io.*;
import java.lang.Runtime;
import COM.ibm.jaws.tools.emit.*;
import COM.ibm.jaws.services.filepobc.emit.*;
import COM.ibm.som.cff.*;
// zpb_end

/**
 * Class BojaTool.
 *
 *
 * @author    Bryce Curtis
 * @version   1.0 2/28/97 3:01:59pm
 * @copyright IBM
 */
public
class BojaTool extends Frame {

	private static Applet applet;
	Label pStatic1, pStatic2;
	List pListBox1, pListBox2;
	Hashtable menuitems = new Hashtable();
	ImageButton pImageButton1, pImageButton2, pImageButton3, pImageButton4,
pImageButton5, pImageButton6, pImageButton7, pImageButton8, pImageButton9,
pImageButton10;
	Button pAdd, pRemove, pEmit;
	MainBubblePane pBubblePane;

	// Initial size in logical units
	Dimension initialSize = new Dimension(334, 166);
	Point initialLocation;
	// zpb_begin MainUserVars

	static String currentTool = "Build";	// "Build"  "Install"
	String[] filter = {
	    new String ("*.java *.class"),
	    new String ("")};

        static String directory;                // Default directory to start in
        static String origDirectory;            // Directory the program was run from
	static List pPathBox;			// path of files
        static List pOptions;			// options of files
	static List pListBoxMain;		// file name
	static List pListBoxTools;		// listbox of tools
	static String optionsFile;		// name of options file being used

	static List pOptionsBuild = new List(0,false);
	static List pPathBoxBuild = new List(0,false);
	static List pListBoxBuild = new List(0,false);
	static List pListBoxToolsBuild = new List(0,false);
	static List pOptionsInstall = new List(0,false);
	static List pPathBoxInstall = new List(0,false);
	static List pListBoxInstall = new List(0,false);
	static List pListBoxToolsInstall = new List(0,false);

        int prevIndex = -1;			// file currently selected in list box
	String projectFile = "";		// project file
	String projectPath = "";		// project path
	static String codePath;			// Directory where this program is located
	static String classPath;		// Classpath for this program

	static String javaCompiler = "javac";
	static String javaInterpreter = "java";
	static String docsDir = "\\test\\docs\\";  // "\Netscape\Server\docs\Bojangles\";
	static String appletsDir = "\\test\\applets\\";
	static String dir1 = "";
	static String dir2 = "";
	static String copyCommand = "";
        static String OS = "";

    	static TextField pStatus, pCurrentTool;
	static boolean generateAll = false;
	static OutWindow outWindow = null;
	static OutWindow helpWindow = null;

	static RunExec Exec;

	boolean bubble1 = false;

	static Vector tools = new Vector();	// List of tools that are supported

        Rectangle rect[]= {
	    new Rectangle(4,4,25,24),
	    new Rectangle(28,4,25,24),
	    new Rectangle(52,4,25,24),
	    new Rectangle(95,4,25,24),
	    new Rectangle(120,4,25,24),
	    new Rectangle(160,4,25,24),
	    new Rectangle(186,4,25,24),
	    new Rectangle(228,4,25,24),
	    new Rectangle(312,4,25,24),
	    new Rectangle(252,4,25,23)
	};

        String helpText[] = {
	    new String("New Project"),
	    new String("Open Project"),
	    new String("Save Project"),
	    new String("Move File Up"),
	    new String("Move File Down"),
	    new String("Run Tools"),
	    new String("Run All Tools"),
	    new String("Change Tool to Build"),
	    new String("Help"),
	    new String("Change Tool to Install")
	};

	// zpb_end

	// zpb_begin MainJavadocConstructor
	/**
	 * Creates a specialized window with the specified app and title.
	 */
	 // zpb_end
	public
	BojaTool(Applet app, String title) {
		super(title);
		applet = app;

		// zpb_begin MainConstructor_1

		// NOTE: When this file is regenerated, codePath needs to be added
		//       to the ImageButton methods.  For example
		//       pImageButton1 = new ImageButton(applet, "", ImageButton.TEXT_NONE, 6, codePath+"new.gif");

		// zpb_end

		setBackground(Color.lightGray);
		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		pImageButton1 = new ImageButton(applet, "", ImageButton.TEXT_NONE, 6, codePath+"new.gif");
		add("2 2 14 13", pImageButton1);
		pImageButton1.setFont(new Font("Helvetica", Font.PLAIN, 8));
		pImageButton2 = new ImageButton(applet, "", ImageButton.TEXT_NONE, 6, codePath+"open.gif");
		add("16 2 14 13", pImageButton2);
		pImageButton2.setFont(new Font("Helvetica", Font.PLAIN, 8));
		pImageButton3 = new ImageButton(applet, "", ImageButton.TEXT_NONE, 6, codePath+"save.gif");
		add("30 2 14 13", pImageButton3);
		pImageButton3.setFont(new Font("Helvetica", Font.PLAIN, 8));
		pImageButton4 = new ImageButton(applet, "", ImageButton.TEXT_NONE, 6, codePath+"up.gif");
		add("54 2 14 13", pImageButton4);
		pImageButton4.setFont(new Font("Helvetica", Font.PLAIN, 8));
		pImageButton5 = new ImageButton(applet, "", ImageButton.TEXT_NONE, 6, codePath+"down.gif");
		add("68 2 14 13", pImageButton5);
		pImageButton5.setFont(new Font("Helvetica", Font.PLAIN, 8));
		pImageButton6 = new ImageButton(applet, "", ImageButton.TEXT_NONE, 6, codePath+"gen.gif");
		add("92 2 14 13", pImageButton6);
		pImageButton6.setFont(new Font("Helvetica", Font.PLAIN, 8));
		pImageButton7 = new ImageButton(applet, "", ImageButton.TEXT_NONE, 6, codePath+"genall.gif");
		add("106 2 14 13", pImageButton7);
		pImageButton7.setFont(new Font("Helvetica", Font.PLAIN, 8));
		pImageButton8 = new ImageButton(applet, "", ImageButton.TEXT_NONE, 6, codePath+"build.gif");
		add("130 2 14 13", pImageButton8);
		pImageButton8.setFont(new Font("Helvetica", Font.PLAIN, 8));
		pImageButton9 = new ImageButton(applet, "", ImageButton.TEXT_NONE, 6, codePath+"help.gif");
		add("178 2 14 13", pImageButton9);
		pImageButton9.setFont(new Font("Helvetica", Font.PLAIN, 8));
		pBubblePane = new MainBubblePane(applet);
		add("205 10 55 6", pBubblePane);
		pBubblePane.setFont(new Font("Helvetica", Font.PLAIN, 8));
		pListBox1 = new List(0, false);
		add("15 34 191 81", pListBox1);
		pListBox1.setFont(new Font("Helvetica", Font.PLAIN, 11));
		pListBox1.setBackground(new Color(255,255,255));
		pStatic1 = new Label("Tools for:");
		add("212 20 117 12", pStatic1);
		pStatic2 = new Label("Project Files:");
		add("8 20 105 12", pStatic2);
		pAdd = new Button("Add...");
		add("56 120 40 16", pAdd);
		pRemove = new Button("Remove");
		add("116 120 40 16", pRemove);
		pEmit = new Button("Run Tools");
		add("250 120 40 16", pEmit);
		pListBox2 = new List(0, false);
		add("220 34 100 80", pListBox2);
		pListBox2.setFont(new Font("Helvetica", Font.PLAIN, 11));
		pListBox2.setBackground(new Color(255,255,255));
		pImageButton10 = new ImageButton(applet, "", ImageButton.TEXT_NONE, 6, codePath+"install.gif");
		add("144 2 14 13", pImageButton10);
		pImageButton10.setFont(new Font("Helvetica", Font.PLAIN, 8));

		// Add the MenuBar, Menus, and Menuitems
		MenuBar mbMenu1 = new MenuBar();
		MenuItem mi;
		Menu mFile = new Menu("File");
		menuitems.put("File", mFile);
		mi=new MenuItem("New");
		mFile.add(mi);
		menuitems.put("FileNew",mi);
		mi=new MenuItem("Open...");
		mFile.add(mi);
		menuitems.put("FileOpen",mi);
		mi=new MenuItem("Save");
		mFile.add(mi);
		menuitems.put("FileSave",mi);
		mi=new MenuItem("Save as...");
		mFile.add(mi);
		menuitems.put("FileSaveas",mi);
		mFile.add(new MenuItem("-"));
		mi=new MenuItem("Options...");
		mFile.add(mi);
		menuitems.put("FileOptions",mi);
		mFile.add(new MenuItem("-"));
		mi=new MenuItem("Exit");
		mFile.add(mi);
		menuitems.put("FileExit",mi);
		mbMenu1.add(mFile);
		Menu mAction = new Menu("Action");
		menuitems.put("Action", mAction);
		mi=new MenuItem("Add");
		mAction.add(mi);
		menuitems.put("ActionAdd",mi);
		mi=new MenuItem("Remove");
		mAction.add(mi);
		menuitems.put("ActionRemove",mi);
		mAction.add(new MenuItem("-"));
		mi=new MenuItem("Run Tools");
		mAction.add(mi);
		menuitems.put("ActionRunTools",mi);
		mi=new MenuItem("Run All Tools");
		mAction.add(mi);
		menuitems.put("ActionRunAllTools",mi);
		mbMenu1.add(mAction);
		Menu mTools = new Menu("Tools");
		menuitems.put("Tools", mTools);
		mi=new CheckboxMenuItem("Build");
		mTools.add(mi);
		menuitems.put("ToolsBuild",mi);
		mi=new CheckboxMenuItem("Install");
		mTools.add(mi);
		menuitems.put("ToolsInstall",mi);
		mbMenu1.add(mTools);
		Menu mWindow = new Menu("Window");
		menuitems.put("Window", mWindow);
		mi=new MenuItem("Output Window");
		mWindow.add(mi);
		menuitems.put("WindowOutputWindow",mi);
		mbMenu1.add(mWindow);
		Menu mHelp = new Menu("Help");
		menuitems.put("Help", mHelp);
		mi=new MenuItem("Help");
		mHelp.add(mi);
		menuitems.put("HelpHelp",mi);
		mHelp.add(new MenuItem("-"));
		mi=new MenuItem("About...");
		mHelp.add(mi);
		menuitems.put("HelpAbout",mi);
		mbMenu1.add(mHelp);
		this.setMenuBar(mbMenu1);
		// zpb_begin MainConstructor_2

		//CheckboxMenuItem cbmi = (CheckboxMenuItem)menuitems.get("ToolsInstall");
		//cbmi.setState(true);

		// create hidden path and options box that hold additional
		// data for each file name to be processed
		pPathBox = new List(0, false);
                pOptions = new List(0, false);

		// create status line
		pStatus = new TextField();
		pStatus.setEditable(false);
		add("5 300 280 12", pStatus);
		pCurrentTool = new TextField();
		pCurrentTool.setEditable(false);
		add("5 300 280 12", pCurrentTool);

		// make static variable for listbox1 so main can access it
		pListBoxMain = pListBox1;
		pListBoxTools = pListBox2;

		// read options from file
		readFileOptions(codePath+"BojaTool.options");

		// populate tools lists
		readTools(codePath+"BojaTool.tools");
	    	for (int i=0; i<tools.size(); i++) {
		    Tool t = (Tool)tools.elementAt(i);
		    if (t.getType().equals("Build")) {
			pListBoxToolsBuild.addItem(t.getName());
			if (currentTool.equals("Build")) {
		            pListBox2.addItem(t.getName());
			    //System.out.println("adding " + t.getName());
			}
		    }
		    else if (t.getType().equals("Install")) {
			pListBoxToolsInstall.addItem(t.getName());
			if (currentTool.equals("Install")) {
		            pListBox2.addItem(t.getName());
			}
		    }
		}
		pListBox2.setMultipleSelections(true);

		// set current tool and show file listboxe
		setCurrentToolItems(currentTool);


		// Create output window.  From now on just show it instead
		// of creating a new one.
	    	outWindow = new OutWindow(null, "Output Window");
	    	outWindow.move(100,100);

		// Create help window and read in help.  From now on just
		// show it instead of creating a new one.
	    	helpWindow = new OutWindow(null, "Help");
	    	helpWindow.move(150,100);
		readHelpFile();

		// Hide pane used for bubble help of toolbar
		pBubblePane.hide();

		// zpb_end

		// Size and Position in logical units
		initialLocation = lfLayout.du(15, 28);

		pack();
		move(initialLocation.x, initialLocation.y);

		// zpb_begin MainConstructor_3

		// Create an instance of Exec to run javac and java
		Exec = new RunExec();
		Exec.setParent(this);

		// Request focus for main screen so bubble help will work without
		// clicking on window first.
		requestFocus();

		// zpb_end
	}

	// zpb_begin MainJavadocMinimumSize
	/**
	 * @return  Returns a Dimension with the minimum width and height
	 *          of this container.
	 */
	 // zpb_end
	public Dimension minimumSize() {
		// zpb_begin MainMinimumSize
		// zpb_end

		LayoutManager layoutMgr = getLayout();
		if (layoutMgr instanceof LogFontLayout) {
			// Convert from logical units to absolute coordinates
			int w = initialSize.width;
			int h = initialSize.height;
			LogFontLayout layout = (LogFontLayout)layoutMgr;
			return new Dimension(layout.duX(w), layout.duY(h));
		}
		return new Dimension(initialSize);
	}

	// zpb_begin MainJavadocPaint
	/**
	 * Container paint routine.  This method is called when a repaint() is
	 * called.
	 */
	// zpb_end
	public void paint(Graphics g) {
		Dimension d = size();

		// zpb_begin MainPaint

		// Draw status line to resize with window
        	g.setColor(Color.black);
        	g.drawLine(0,2,d.width,2);
        	g.drawLine(0,29,d.width,29);
        	Dimension ps = pStatus.size();
		pStatus.reshape(102, d.height-ps.height-2, d.width-104, ps.height);
		pCurrentTool.reshape(2, d.height-ps.height-2, 100, ps.height);

		// zpb_end
	}

	// zpb_begin MainJavadocHandleEvent
	/**
	 * Handle events that occur with components in this container.
	 *
	 * @return  Returns a boolean which specifies whether the event
	 *          handler should stop at this level or continue up the
	 *          parent hierarchy.
	 */
	// zpb_end
	public boolean handleEvent(Event e) {
		if (e.id == Event.WINDOW_DESTROY) {
			// zpb_begin MainDestroy
			// zpb_end
			System.exit(0);
			return true;
		}

		// zpb_begin MainHandleEvent

		// Get all mouse presses for list box (project files)
                if ((e.id == 701) && (e.target == pListBox1)) {
                        this.setCursor(java.awt.Frame.WAIT_CURSOR);
                        int i = pListBox1.getSelectedIndex();
                        // Save settings of previous line
                        if (prevIndex > -1) {
                            String s = "";
			    int[] selIndexes = pListBox2.getSelectedIndexes();
			    for (int j=0; j<selIndexes.length; j++)
			        s = s + Integer.toString(selIndexes[j]) + " ";
                            pOptions.replaceItem(s, prevIndex);
                        }
                        prevIndex = i;

                        // Set boxes for new line selected
                        if (i > -1) {
                            pOptions.select(i);
                            String s = pOptions.getSelectedItem();
			    String t = pListBox1.getSelectedItem();
			    int j = t.lastIndexOf(File.separatorChar);
			    if (j < 0) j=0;
			    else j=j+1;
			    pStatic1.setText("Tool for " + t.substring(j));
			    setCurrentOptions(s);
                        }

                        // If no line selected, then clear all boxes
                        else {
			    pStatic1.setText("Tool for:");
			    for (int j=0; j<pListBox2.countItems(); j++)
			        pListBox2.deselect(j);
                        }
            		this.setCursor(java.awt.Frame.DEFAULT_CURSOR);
                }

		// Check mouse moves if over toolbar
		if (e.id == Event.MOUSE_MOVE && e.target == this) {
		    //System.out.println("mouse = " + e.x + "," + e.y);
		    boolean found = false;
		    for (int i=0; i<rect.length; i++) {

			// If mouse inside of toolbar item
			if (rect[i].inside(e.x, e.y)) {
			    found = true;

			    // If help already showing
			    if (pBubblePane.isShowing()) {
				if (pBubblePane.getText().equals(helpText[i])) {
				    break;
				}
				// Hide current one if different help should be showing
			        pBubblePane.hide();
			    }

			    // If help not showning
			    pBubblePane.move(e.x, 76);
			    pBubblePane.setText(helpText[i]);
			    pBubblePane.show();
			    break;
			}
		    }

		    // If mouse not over any toolbar items, then hide it
		    if (!found) {
		    	if (pBubblePane.isShowing())
			    pBubblePane.hide();
		    }
		}
		// zpb_end

		return super.handleEvent(e);
	}

	// zpb_begin MainJavadocAction
	/**
	 * Action handling routine.
	 *
	 * @return  Returns a boolean specifying whether the event should be handled
	 *          furthur up the parent hierarchy.
	 */
	// zpb_end
	public boolean action(Event evt, Object obj) {
		if (evt.target instanceof MenuItem) {
			if (menuitems.get("FileNew") == evt.target) {
				// zpb_begin MainFileNewSelection
				newFile();
				// zpb_end
			}
			else if (menuitems.get("FileOpen") == evt.target) {
				// zpb_begin MainFileOpenSelection
				openFile();
				// zpb_end
			}
			else if (menuitems.get("FileSave") == evt.target) {
				// zpb_begin MainFileSaveSelection
				if (projectFile.length() > 0)
				    saveFile(projectPath + projectFile);
				else
				    saveAsFile();
				// zpb_end
			}
			else if (menuitems.get("FileSaveas") == evt.target) {
				// zpb_begin MainFileSaveasSelection
				saveAsFile();
				// zpb_end
			}
			else if (menuitems.get("FileOptions") == evt.target) {
				// zpb_begin MainFileOptionsSelection
				Options dOptions= new Options(applet, this, "Project Options", true);
				dOptions.show();
				// zpb_end
			}
			else if (menuitems.get("FileExit") == evt.target) {
				// zpb_begin MainFileExitSelection
				// zpb_end
				System.exit(0);
			}
			else if (menuitems.get("ActionAdd") == evt.target) {
				// zpb_begin MainActionAddSelection
                                addPressed();
				// zpb_end
			}
			else if (menuitems.get("ActionRemove") == evt.target) {
				// zpb_begin MainActionRemoveSelection
				removePressed();
				// zpb_end
			}
			else if (menuitems.get("ActionRunTools") == evt.target) {
				// zpb_begin MainActionRunToolsSelection
				emitPressed();
				// zpb_end
			}
			else if (menuitems.get("ActionRunAllTools") == evt.target) {
				// zpb_begin MainActionRunAllToolsSelection
				generateAll = true;
				emitPressed();
				generateAll = false;
				// zpb_end
			}
			else if (menuitems.get("ToolsBuild") == evt.target) {
				// zpb_begin MainToolsBuildSelection
				if (currentTool.equals("Build") == false) {
				    //CheckboxMenuItem mi = (CheckboxMenuItem)menuitems.get("ToolsBuild");
				    //mi.setState(true);
				    //mi = (CheckboxMenuItem)menuitems.get("ToolsInstall");
				    //mi.setState(false);
				    saveCurrentToolItems();
				    setCurrentToolItems("Build");
				}
				// zpb_end
			}
			else if (menuitems.get("ToolsInstall") == evt.target) {
				// zpb_begin MainToolsInstallSelection
				if (currentTool.equals("Install") == false) {
				    //CheckboxMenuItem mi = (CheckboxMenuItem)menuitems.get("ToolsBuild");
				    //mi.setState(false);
				    //mi = (CheckboxMenuItem)menuitems.get("ToolsInstall");
				    //mi.setState(true);
				    saveCurrentToolItems();
				    setCurrentToolItems("Install");
				}
				// zpb_end
			}
			else if (menuitems.get("WindowOutputWindow") == evt.target) {
				// zpb_begin MainWindowOutputWindowSelection
				outWindow.hide();
				outWindow.show();
				// zpb_end
			}
			else if (menuitems.get("HelpHelp") == evt.target) {
				// zpb_begin MainHelpHelpSelection
				help();
				// zpb_end
			}
			else if (menuitems.get("HelpAbout") == evt.target) {
				// zpb_begin MainHelpAboutSelectionCreate
				// zpb_end
				About dAbout= new About(applet, this, "About", true);
				// zpb_begin MainHelpAboutSelectionShow
				// zpb_end
				dAbout.show();
				// zpb_begin MainHelpAboutSelection
				// zpb_end
			}

			return false;
		}


		if (evt.target == pImageButton1) {
			// zpb_begin MainImageButton1
			newFile();
			// zpb_end
		}
		else if (evt.target == pImageButton2) {
			// zpb_begin MainImageButton2
			openFile();
			// zpb_end
		}
		else if (evt.target == pImageButton3) {
			// zpb_begin MainImageButton3
			if (projectFile.length() > 0)
			    saveFile(projectPath + projectFile);
			else
			    saveAsFile();
			// zpb_end
		}
		else if (evt.target == pImageButton4) {
			// zpb_begin MainImageButton4
			moveUpPressed();
			// zpb_end
		}
		else if (evt.target == pImageButton5) {
			// zpb_begin MainImageButton5
			moveDownPressed();
			// zpb_end
		}
		else if (evt.target == pImageButton6) {
			// zpb_begin MainImageButton6
			emitPressed();
			// zpb_end
		}
		else if (evt.target == pImageButton7) {
			// zpb_begin MainImageButton7
			generateAll = true;
			emitPressed();
			generateAll = false;
			// zpb_end
		}
		else if (evt.target == pImageButton8) {
			// zpb_begin MainImageButton8
			if (currentTool.equals("Build") == false) {
			    saveCurrentToolItems();
			    setCurrentToolItems("Build");
			}
			// zpb_end
		}
		else if (evt.target == pImageButton9) {
			// zpb_begin MainImageButton9
			help();
			// zpb_end
		}
		else if (evt.target == pAdd) {
			// zpb_begin MainAddClicked
                        addPressed();
			// zpb_end
		}
		else if (evt.target == pRemove) {
			// zpb_begin MainRemoveClicked
			removePressed();
			// zpb_end
		}
		else if (evt.target == pEmit) {
			// zpb_begin MainEmitClicked
			emitPressed();
			// zpb_end
		}
		else if (evt.target == pImageButton10) {
			// zpb_begin MainImageButton10
			if (currentTool.equals("Install") == false) {
			    saveCurrentToolItems();
			    setCurrentToolItems("Install");
			}
			// zpb_end
		}

		// zpb_begin MainAction
                else if (evt.target == pListBox1) {
                        System.out.println("Action in list box");
			runSingleFile();
		}
		// zpb_end

		return false;
	}

	// zpb_begin MainJavadocMain
	/**
	 * The entry point for a Java application.  This method is automatically
	 * invoked when running a Java application with the Java interpreter.
	 */
	// zpb_end
	public static void main(String args[]) {

		// zpb_begin AppMain

		// Get directory this program was called from
                directory = formCorrectDirectory(System.getProperty("user.dir"));
		origDirectory = directory;

		// Look for directory this code is located in
		StringTokenizer cPath = new StringTokenizer(
		    		System.getProperty("java.class.path"),
				System.getProperty("path.separator"));
		boolean found = false;
        	while (cPath.hasMoreTokens()) {
		    classPath = formCorrectDirectory(cPath.nextToken());
		    codePath = classPath +
			    "COM" + File.separator +
			    "ibm" + File.separator +
			    "toolbench" + File.separator;
                    //System.out.println("Looking for " + codePath + "BojaTool.class");
		    File f = new File(codePath + "BojaTool.class");
		    if (f.exists()) {
			//System.out.println("  Code path = " + codePath);
			// Get correctly formed path for classPath
			File cp = new File(classPath);
			classPath = formCorrectDirectory(cp.getAbsolutePath());
                        System.out.println("ClassPath = " + classPath);
			found = true;
			break;
		    }
		}
		if (!found) {
		    codePath = directory;
                    System.out.println("Code Path not found, using = " + codePath);
		    // Get correctly formed path for classPath
		    File cp = new File(File.separator);
		    classPath = formCorrectDirectory(cp.getAbsolutePath());
                    System.out.println("ClassPath = " + classPath);
		}

                // Get operating system
                OS = "OS_" + System.getProperty("os.name");
                System.out.println("Operating System = " + OS);


		// Check for command line parameters
		if (args.length > 0) {
		    String argFileName = args[0];
	    	    outWindow = new OutWindow(null, "Output Window");

		    if (argFileName.toLowerCase().endsWith(".class")) {
			createNewFile(argFileName);
			argFileName = "New.proj";
		    }

		    //outWindow.show();
		    if (args.length > 1) {
		        if (args[1].toLowerCase().equals("all"))
			    generateAll = true;
			else
			    currentTool = args[1];
		    }
		    if (args.length > 2) {
		        if (args[2].toLowerCase().equals("all"))
			    generateAll = true;
			else
			    currentTool = args[2];
		    }

		    // read in tools
		    readTools(argFileName);

		    // read options from file
		    readFileOptions(argFileName);

		    processFile(argFileName, currentTool);
		    outWindow.dispose();
		    chdir(origDirectory);
		    System.exit(0);
		}

		// Change directory to where code is located so images for
		// buttons can be found
		chdir(codePath);

                //Properties properties = System.getProperties();
                //properties.list(System.out);
		// zpb_end

		// zpb_begin AppSecurityManager_2
		// Override SecurityManager so getImage() will work
		System.setSecurityManager(new EmptySecurityManager());
		// zpb_end

		BojaTool f = new BojaTool(null, "Bojangles Toolbench");
		f.show();

		// zpb_begin AppMain_2
		chdir(origDirectory);
		// zpb_end
	}

	// zpb_begin MainUserMethods

	/**
	* Return the directory the file name is located in
	**/
	static String findPath(String filePath, String fileName) {
	    String classPath = "";
	    String codePath = "";

	    // Look for directory this code is located in
	    StringTokenizer cPath = new StringTokenizer(
			    System.getProperty("java.class.path"),
			    System.getProperty("path.separator"));
	    boolean found = false;
	    while (cPath.hasMoreTokens()) {
		classPath = formCorrectDirectory(cPath.nextToken());
		codePath = classPath + filePath;
		//System.out.println("Looking for " + codePath + fileName);
		File f = new File(codePath + fileName);
		if (f.exists()) {
		    //System.out.println("  Code path = " + codePath);
		    // Get correctly formed path for classPath
		    File cp = new File(classPath);
		    classPath = formCorrectDirectory(cp.getAbsolutePath());
		    //System.out.println("  ClassPath = " + classPath);
		    found = true;
		    break;
		}
	    }
	    if (!found) {
		codePath = "";
		//System.out.println("  Code Path not found, using = " + codePath);
		// Get correctly formed path for classPath
		File cp = new File(File.separator);
		classPath = formCorrectDirectory(cp.getAbsolutePath());
		//System.out.println("  ClassPath = " + classPath);
	    }
	    return codePath;
	}

	/**
	* Removes the classpath part of the path from the file name
	**/
	static String removeClassPath(String fileName) {
	    //System.out.println("removeClassPath("+fileName+")");
	    String classPath = "";
	    String codePath = "";

	    // Look for directory this code is located in
	    StringTokenizer cPath = new StringTokenizer(
			    System.getProperty("java.class.path"),
			    System.getProperty("path.separator"));
	    boolean found = false;
	    while (cPath.hasMoreTokens()) {
		classPath = formCorrectDirectory(cPath.nextToken());
		//System.out.println("Looking at " + classPath);
		if (fileName.toUpperCase().startsWith(classPath.toUpperCase())) {
		    codePath = fileName.substring(classPath.length());
		    //System.out.println("  Code path = " + codePath);
		    //System.out.println("  ClassPath = " + classPath);
		    found = true;
		    break;
		}
	    }
	    if (!found) {
		codePath = ""; //fileName;
		classPath = "";
		//System.out.println("  Code Path not found, using = " + codePath);
		//System.out.println("  ClassPath = " + classPath);
	    }
	    return codePath;
	}

	/**
	* Creates a new project file for the class file specified to emit only
	* stubs and skeletons
	**/
	static void createNewFile(String classFileName) {
	    String fileName;
	    if (classFileName.endsWith(".class"))
	        fileName = classFileName.substring(0, classFileName.length()-6);
	    else
	        fileName = classFileName;
	    // Save file
	    try {
		File file = new File("New.proj");
		if (file.exists())
		    file.delete();
		RandomAccessFile raf = null;
		try {
		    raf = new RandomAccessFile("New.proj", "rw");
		    raf.writeBytes("e\r\nStub\r\n");
		    raf.writeBytes("e\r\nSkeleton\r\n");

	    	    // Remove classpath part of directory
		    String newDir = removeClassPath(directory);
		    //System.out.println("newDir = " + newDir);

		    raf.writeBytes("f\r\n" + newDir + fileName + "\r\n");
		    raf.close();
		} catch (IOException e) {
		    System.out.println("FILE ERROR");
		    raf.close();
		}
	    } catch (IOException e) {
		System.out.println("FILE ERROR");
	    }

	}


	/**
	* Show status
	**/
        static void showStatus(String msg) {
            System.out.println(msg);
	    if (pStatus == null)
	        return;
            if (msg.equals(pStatus.getText()))
                return;
            pStatus.setText(msg);
        }

	/**
	* Save options for file name that is currently selected
	**/
	static String formCorrectDirectory(String d) {
	    if (d.length() == 0)
	        return "";
	    d.replace('\\', File.separatorChar);
	    d.replace('/', File.separatorChar);
	    char t = d.charAt(d.length()-1); //d.substring(d.length()-1);
	    //if (t.equals(File.separatorChar)) {
	    if (t == File.separatorChar) {
		return d;
	    }
	    else {
		return (d + File.separator);
	    }
	}

	/**
	* Set "Generate Code For" listbox according to string s
	**/
	public void setCurrentOptions(String s) {
	    int i;
	    for (i=0; i<pListBox2.countItems(); i++)
	        pListBox2.deselect(i);
	    StringTokenizer cOptions = new StringTokenizer(s, " ");
	    while (cOptions.hasMoreTokens()) {
		i = Integer.valueOf(cOptions.nextToken()).intValue();
		pListBox2.select(i);
	    }
    	}

	/**
	* Save "Generate Code For" listbox to selected project file
	**/
	public void saveCurrentOptions() {
            int i = pListBox1.getSelectedIndex();
	    if (i > -1) {
		String s = "";
		int[] selIndexes = pListBox2.getSelectedIndexes();
		for (int j=0; j<selIndexes.length; j++)
		    s = s + Integer.toString(selIndexes[j]) + " ";
		pOptions.replaceItem(s, i);
	    }
	}

	/**
	* Save items for current tool from screen listboxes
	**/
	public void saveCurrentToolItems() {
	    int i;
	    if (currentTool.equals("Build")) {
		pOptionsBuild.clear();
		pPathBoxBuild.clear();
		pListBoxBuild.clear();
		//pListBoxToolsBuild.clear();
		for (i=0; i<pOptions.countItems(); i++)
		    pOptionsBuild.addItem(pOptions.getItem(i));
		for (i=0; i<pPathBox.countItems(); i++)
		    pPathBoxBuild.addItem(pPathBox.getItem(i));
		for (i=0; i<pListBoxMain.countItems(); i++)
		    pListBoxBuild.addItem(pListBoxMain.getItem(i));
		//for (i=0; i<pListBoxTools.countItems(); i++)
		    //pListBoxToolsBuild.addItem(pListBoxTools.getItem(i));
	    }
	    else if (currentTool.equals("Install")) {
		pOptionsInstall.clear();
		pPathBoxInstall.clear();
		pListBoxInstall.clear();
		//pListBoxToolsInstall.clear();
		for (i=0; i<pOptions.countItems(); i++)
		    pOptionsInstall.addItem(pOptions.getItem(i));
		for (i=0; i<pPathBox.countItems(); i++)
		    pPathBoxInstall.addItem(pPathBox.getItem(i));
		for (i=0; i<pListBoxMain.countItems(); i++)
		    pListBoxInstall.addItem(pListBoxMain.getItem(i));
		//for (i=0; i<pListBoxTools.countItems(); i++)
		    //pListBoxToolsInstall.addItem(pListBoxTools.getItem(i));
	    }
	}

	/**
	* Set screen listboxes with items for current tool
	**/
	public void setCurrentToolItems(String newTool) {
	    int i;
	    pOptions.clear();
	    pPathBox.clear();
	    pListBoxMain.clear();
	    pListBoxTools.clear();

	    currentTool = newTool;

	    if (currentTool.equals("Build")) {
		//System.out.println("setting Build");
		//System.out.println("options = " + pOptionsBuild.countItems());
		//System.out.println("pathbox = " + pPathBoxBuild.countItems());
		//System.out.println("listbox = " + pListBoxBuild.countItems());
		//System.out.println("tools = " + pListBoxToolsBuild.countItems());
		for (i=0; i<pOptionsBuild.countItems(); i++)
		    pOptions.addItem(pOptionsBuild.getItem(i));
		for (i=0; i<pPathBoxBuild.countItems(); i++)
		    pPathBox.addItem(pPathBoxBuild.getItem(i));
		for (i=0; i<pListBoxBuild.countItems(); i++)
		    pListBoxMain.addItem(pListBoxBuild.getItem(i));
		for (i=0; i<pListBoxToolsBuild.countItems(); i++)
		    pListBoxTools.addItem(pListBoxToolsBuild.getItem(i));
		CheckboxMenuItem cbmi = (CheckboxMenuItem)menuitems.get("ToolsInstall");
		cbmi.setState(false);
		cbmi = (CheckboxMenuItem)menuitems.get("ToolsBuild");
		cbmi.setState(true);
	    }
	    else if (currentTool.equals("Install")) {
		//System.out.println("setting Install");
		for (i=0; i<pOptionsInstall.countItems(); i++)
		    pOptions.addItem(pOptionsInstall.getItem(i));
		for (i=0; i<pPathBoxInstall.countItems(); i++)
		    pPathBox.addItem(pPathBoxInstall.getItem(i));
		for (i=0; i<pListBoxInstall.countItems(); i++)
		    pListBoxMain.addItem(pListBoxInstall.getItem(i));
		for (i=0; i<pListBoxToolsInstall.countItems(); i++)
		    pListBoxTools.addItem(pListBoxToolsInstall.getItem(i));
		CheckboxMenuItem cbmi = (CheckboxMenuItem)menuitems.get("ToolsInstall");
		cbmi.setState(true);
		cbmi = (CheckboxMenuItem)menuitems.get("ToolsBuild");
		cbmi.setState(false);
	    }

	    // Select 1st entry & set check boxes
	    prevIndex = -1;
	    if (pListBoxMain.countItems() > 0) {
	        pListBoxMain.select(0);
	        Event re = new Event(pListBoxMain, 0, 701, 0, 0, 0, 0);
	        handleEvent(re);
	    }

	    pCurrentTool.setText(currentTool);
	}


	/**
	* Change directory
	**/
	static public void chdir(String p) {
	    Properties properties = System.getProperties();
	    //properties.remove("user.dir");
	    properties.put("user.dir", p);
	    System.setProperties(properties);
	}

	/**
	* Show help
	**/
	public void help() {
	    helpWindow.show();
	}

	/**
	* Create a new project
	**/
	public void newFile() {
	    projectFile = "";
	    projectPath = formCorrectDirectory(System.getProperty("user.dir"));
	    setTitle("Bojangles Toolbench - New File");
	    pStatic1.setText("Tool for:");
	    pListBox1.clear();
	    pPathBox.clear();
	    pOptions.clear();
	    pOptionsBuild.clear();
	    pPathBoxBuild.clear();
	    pListBoxBuild.clear();
	    //pListBoxToolsBuild.clear();
	    pOptionsInstall.clear();
	    pPathBoxInstall.clear();
	    pListBoxInstall.clear();
	    //pListBoxToolsInstall.clear();

	    // Load options for this project
            readFileOptions("");

	    // Load tools for this project into listbox
	    pListBoxToolsBuild.clear();
	    pListBoxToolsInstall.clear();
            readTools("");

	    // populate tools lists
	    for (int i=0; i<tools.size(); i++) {
		Tool t = (Tool)tools.elementAt(i);
		if (t.getType().equals("Build")) {
		    pListBoxToolsBuild.addItem(t.getName());
		}
		else if (t.getType().equals("Install")) {
		    pListBoxToolsInstall.addItem(t.getName());
		}
	    }
	    setCurrentToolItems(currentTool);
	}

	/**
	* Save a project
	**/
	public void saveFile(String fileName) {
	    //System.out.println("Save File = " + fileName);
            this.setCursor(java.awt.Frame.WAIT_CURSOR);
	    // Save options for current file
	    saveCurrentOptions();

	    // Save current tool items
	    saveCurrentToolItems();

	    // Save file
	    try {
		File file = new File(fileName);
		file.delete();
		RandomAccessFile raf = null;
		try {
		    raf = new RandomAccessFile(fileName, "rw");
		    int k = pListBoxBuild.countItems();
		    for (int i=0; i<k; i++) {

			// Write out all tools to be run
			String s = pOptionsBuild.getItem(i);
			String ename;
	    		int j;
	    		StringTokenizer cOptions = new StringTokenizer(s, " ");
	    		while (cOptions.hasMoreTokens()) {
			    j = Integer.valueOf(cOptions.nextToken()).intValue();
			    ename = pListBoxToolsBuild.getItem(j);
			    raf.writeBytes("e\r\n" + ename + "\r\n");
			}

			// Write out path and file name
			//raf.writeBytes("f\r\n" + pPathBoxBuild.getItem(i) + "\r\n");
			if (pListBoxBuild.getItem(i).lastIndexOf(File.separatorChar) == -1)
			    raf.writeBytes("f\r\n" + pPathBoxBuild.getItem(i) + File.separator);
			else
			    raf.writeBytes("f\r\n");
			raf.writeBytes(pListBoxBuild.getItem(i) + "\r\n");
			//raf.writeBytes("f\r\n" + pPathBox.getItem(i) + "\r\n");
			//raf.writeBytes(pListBox1.getItem(i) + "\r\n");
		    }

		    // Save install
		    k = pListBoxInstall.countItems(); //pListBox1.countItems();
		    for (int i=0; i<k; i++) {

			// Write out all tools to be run
			String s = pOptionsInstall.getItem(i);
			String ename;
	    		int j;
	    		StringTokenizer cOptions = new StringTokenizer(s, " ");
	    		while (cOptions.hasMoreTokens()) {
			    j = Integer.valueOf(cOptions.nextToken()).intValue();
			    ename = pListBoxToolsInstall.getItem(j);
			    raf.writeBytes("e\r\n" + ename + "\r\n");
			}

			// Write out path and file name
			//raf.writeBytes("f\r\n" + pPathBoxInstall.getItem(i) + "\r\n");
			if (pListBoxInstall.getItem(i).lastIndexOf(File.separatorChar) == -1)
			    raf.writeBytes("f\r\n" + pPathBoxInstall.getItem(i) + File.separator);
			else
			    raf.writeBytes("f\r\n");
			raf.writeBytes(pListBoxInstall.getItem(i) + "\r\n");
		    }
		    raf.close();
		} catch (IOException e) {
		    System.out.println("FILE ERROR saving project");
		    raf.close();
		}
	    } catch (IOException e) {
		System.out.println("FILE ERROR saving project");
	    }
            this.setCursor(java.awt.Frame.DEFAULT_CURSOR);
	}

	/**
	* Save tool options to "BojaTool.options"
	**/
	public void saveFileOptions() {
	    try {
		File file = new File(optionsFile); //codePath+"BojaTool.options");
		file.delete();
		RandomAccessFile raf = null;
		try {
		    raf = new RandomAccessFile(optionsFile, "rw");
		    raf.writeBytes(javaCompiler + "\r\n");
		    raf.writeBytes(javaInterpreter + "\r\n");
		    raf.writeBytes(copyCommand + "\r\n");
		    raf.writeBytes(docsDir + "\r\n");
		    raf.writeBytes(appletsDir + "\r\n");
		    raf.writeBytes(dir1 + "\r\n");
		    raf.writeBytes(dir2 + "\r\n");
		    raf.close();
		} catch (IOException e) {
		    System.out.println("FILE ERROR");
		    raf.close();
		}
	    } catch (IOException e) {
		System.out.println("FILE ERROR");
	    }
	}

	/**
	* Read tool options from "BojaTool.options"
	**/
	static public void readFileOptions(String fileName) {

	    // Check to see if there is a .options file corresponding to fileName
	    int i = fileName.indexOf('.');
            if (i > -1) {
                optionsFile = fileName.substring(0,i) + ".options";
                File f = new File(optionsFile);
                if (!f.exists()) {
                    optionsFile = codePath+"BojaTool.options";
                }
            }
            else {
                optionsFile = codePath+"BojaTool.options";
	    }
	    try {
		System.out.println("Using options " + optionsFile);
		RandomAccessFile raf = new RandomAccessFile(optionsFile, "r");
		try {
    		    javaCompiler = removeCR(raf.readLine());
    		    javaInterpreter = removeCR(raf.readLine());
    		    copyCommand = removeCR(raf.readLine());
    		    docsDir = removeCR(raf.readLine());
    		    appletsDir = removeCR(raf.readLine());
    		    dir1 = removeCR(raf.readLine());
    		    dir2 = removeCR(raf.readLine());
		    raf.close();
		} catch (IOException e) {
		    System.out.println("FILE ERROR");
		    raf.close();
		}
	    } catch (IOException e) {
		System.out.println("FILE ERROR");
	    }
	}

	static public String removeCR(String s) {
	    if (s.charAt(s.length()-1) == '\r')
	        return (s.substring(0, s.length()-1));
	    else
	        return s;
	}

	/**
	* Read tools from "BojaTool.tools"
	* returns true if the fileName was found and used
	* false if the default name was used
	**/
	static public void readTools(String fileName) {
	    String line;
	    Tool tool = null;// = new Tool();
	    ToolsItem toolsItem = null;
	    tools = new Vector();

	    // Check to see if there is a .tools file corresponding to fileName
	    int i = fileName.indexOf('.');
            String newToolFile;
            if (i > -1) {
                newToolFile = fileName.substring(0,i) + ".tools";
                File f = new File(newToolFile);
                if (!f.exists()) {
                    newToolFile = codePath+"BojaTool.tools";
                }
	    }
            else {
                newToolFile = codePath+"BojaTool.tools";
            }
	    try {
		System.out.println("Using tool " + newToolFile);
		RandomAccessFile raf = new RandomAccessFile(newToolFile, "r");
		try {
		    boolean done = false;
		    while (!done) {
			line = raf.readLine();
			if (line == null) {
			    raf.close();
			    done = true;
			}
			else {
			    line = line.substring(0, line.length()-1);
			    if (line.startsWith("t ")) {
				tool = new Tool();
				//System.out.println("New tool = " + tool);
				tool.setType(line.substring(2));
				tools.addElement(tool);
			    }
			    else if (line.startsWith("n ")) {
				tool.setName(line.substring(2));
			    }
			    else if (line.startsWith("c ")) {
				tool.setComment(line.substring(2));
			    }
			    else if (line.startsWith("d ")) {
				toolsItem.addDependency(line.substring(2));
			    }
			    else if (line.startsWith("q ")) {
				toolsItem.addConditionalDependency(line.substring(2));
			    }
			    else if (line.startsWith("p ")) {
				toolsItem.setPath(line.substring(2));
			    }
			    else if (line.startsWith("e ")) {
				toolsItem.setEmitted(line.substring(2));
			    }
			    else if (line.startsWith("x ")) {
				toolsItem = new ToolsItem();
				toolsItem.setProgramName(line.substring(2));
				tool.addToolsItem(toolsItem);
			    }
			}
		    }
		} catch (IOException e) {
		    System.out.println("FILE ERROR");
		    raf.close();
		}
	    } catch (IOException e) {
		System.out.println("FILE ERROR");
	    }
	}


	/**
	* Read help file and load it into helpWindow
	**/
	public void readHelpFile() {
	    StringBuffer buf = new StringBuffer();
	    String s;
	    System.out.println("Reading in help file...");
	    try {
		RandomAccessFile raf = new RandomAccessFile(codePath+"Readme.txt", "r");
		int filelen = (int)raf.length();
		//System.out.println("file length = " + filelen);
		byte barray[] = new byte[filelen];
		int j = raf.read(barray);
		//System.out.println("barray read in : num bytes = " + j);
		String bString = new String(barray, 0);
		helpWindow.print(bString);
	    } catch (IOException e) {
		System.out.println("FILE ERROR");
	    }
	}


	/**
	* Save project file as (Shows file save dialog)
	**/
	public void saveAsFile() {
	    FileDialog fd = new FileDialog(this, "File Save Dialog", FileDialog.SAVE);
	    fd.setFile("*.proj");
	    fd.show();
	    String s = fd.getFile();
	    int i = s.indexOf(".*.*");
	    if (i > -1)
		projectFile = s.substring(0, i);
	    else
	        projectFile = s;
	    projectPath = fd.getDirectory();
	    //System.out.println("got file (path) = " + projectPath);
	    //System.out.println("got file (file) = " + projectFile);
	    //System.out.println("got file = " + projectPath + projectFile);
	    setTitle("Bojangles Toolbench - " + projectFile);
	    saveFile(projectPath + projectFile);
	}

	/**
	* Open project file (Shows file open dialog)
	**/
	public void openFile() {
            this.setCursor(java.awt.Frame.WAIT_CURSOR);
	    FileDialog fd = new FileDialog(this, "File Open Dialog");
	    fd.setFile("*.proj");
	    fd.show();
	    try {
	    	int i = fd.getFile().length();
	    }
	    catch (NullPointerException e) {
		System.out.println("Cancel pressed");
                this.setCursor(java.awt.Frame.DEFAULT_CURSOR);
		return;
	    }
	    //System.out.println("i = " + i);
	    projectFile = fd.getFile();
	    projectPath = fd.getDirectory();
	    System.out.println("Open File = " + projectPath + projectFile);
	    setTitle("Bojangles Toolbench - " + projectFile);
	    pStatic1.setText("Tool for:");
	    pListBox1.clear();
	    pPathBox.clear();
	    pOptions.clear();
	    pOptionsBuild.clear();
	    pPathBoxBuild.clear();
	    pListBoxBuild.clear();
	    pOptionsInstall.clear();
	    pPathBoxInstall.clear();
	    pListBoxInstall.clear();

	    // Load options for this project
	    readFileOptions(projectPath+projectFile);

	    // Load tools for this project into listbox
	    pListBoxToolsBuild.clear();
	    pListBoxToolsInstall.clear();
	    readTools(projectPath+projectFile);

	    // populate tools lists
	    for (int i=0; i<tools.size(); i++) {
		Tool t = (Tool)tools.elementAt(i);
		if (t.getType().equals("Build")) {
		    pListBoxToolsBuild.addItem(t.getName());
		}
		else if (t.getType().equals("Install")) {
		    pListBoxToolsInstall.addItem(t.getName());
		}
	    }

	    setCurrentToolItems(currentTool);
	    processFile(projectPath + projectFile, "Load");
	    setCurrentToolItems(currentTool);

	    // Select 1st entry & set check boxes
	    prevIndex = -1;
	    pListBox1.select(0);
	    Event re = new Event(pListBox1, 0, 701, 0, 0, 0, 0);
	    handleEvent(re);
            this.setCursor(java.awt.Frame.DEFAULT_CURSOR);
	}

        /**
	* Show add files to project dialog
	**/
	public void addPressed() {
	    // Save options for current file
	    saveCurrentOptions();

            this.setCursor(java.awt.Frame.WAIT_CURSOR);
	    AddDialog dAddDialog= new AddDialog(applet, this, "Add Files", true);
	    dAddDialog.getFiles();
	    dAddDialog.show();
            this.setCursor(java.awt.Frame.DEFAULT_CURSOR);
	}

	/**
	* Remove file from project files list
	**/
	public void removePressed() {
	    int i = pListBox1.getSelectedIndex();
	    if (i != -1) {
		pListBox1.delItem(i);
		pPathBox.delItem(i);
		pOptions.delItem(i);
	    }

	    // Select same entry & set check boxes
	    prevIndex = -1;
	    // If last in list deleted, then select new last one
	    if (i == pListBox1.countItems())
	        i = i-1;
	    // If at least one in list, then select it
	    if (i > -1) {
	        pListBox1.select(i);
	        Event re = new Event(pListBox1, 0, 701, 0, 0, 0, 0);
	        handleEvent(re);
	    }

	}

	/**
	* Move file up in project file list
	**/
	public void moveUpPressed() {
	    int i = pListBox1.getSelectedIndex();
	    if (i > 0) {
		String lb1 = pListBox1.getItem(i);
		String pb = pPathBox.getItem(i);
		String o = pOptions.getItem(i);
		pListBox1.replaceItem( pListBox1.getItem(i-1), i);
		pPathBox.replaceItem( pPathBox.getItem(i-1), i);
		pOptions.replaceItem( pOptions.getItem(i-1), i);
		pListBox1.replaceItem( lb1, i-1);
		pPathBox.replaceItem( pb, i-1);
		pOptions.replaceItem( o, i-1);
		pListBox1.select(i-1);
		prevIndex = i-1;
		Event re = new Event(pListBox1, 0, 701, 0, 0, 0, 0);
		handleEvent(re);
	    }
	}

	/**
	* Move file down in project file list
	**/
	public void moveDownPressed() {
	    int i = pListBox1.getSelectedIndex();
	    if ((i > -1) && (i < pListBox1.countItems()-1)) {
		String lb1 = pListBox1.getItem(i);
		String pb = pPathBox.getItem(i);
		String o = pOptions.getItem(i);
		pListBox1.replaceItem( pListBox1.getItem(i+1), i);
		pPathBox.replaceItem( pPathBox.getItem(i+1), i);
		pOptions.replaceItem( pOptions.getItem(i+1), i);
		pListBox1.replaceItem( lb1, i+1);
		pPathBox.replaceItem( pb, i+1);
		pOptions.replaceItem( o, i+1);
		pListBox1.select(i+1);
		prevIndex = i+1;
		Event re = new Event(pListBox1, 0, 701, 0, 0, 0, 0);
		handleEvent(re);
	    }
	}

	/**
	* Generate the code
	**/
	public void emitPressed() {
            this.setCursor(java.awt.Frame.WAIT_CURSOR);

	    // Hide window, then show it
	    outWindow.hide();
	    outWindow.show();
	    outWindow.toFront();
	    if (currentTool.equals("Build"))
	        outWindow.println("Generating and compiling code...");
	    if (currentTool.equals("Install"))
	        outWindow.println("Installing project...");

	    // save as a temp file if no projectFile
	    if (projectFile.length() == 0) {
		saveFile(projectPath + "New.proj");
		processFile(projectPath + "New.proj", currentTool);
	    }
	    // save project file
	    else {
		saveFile(projectPath + projectFile);
	    	processFile(projectPath + projectFile, currentTool);
	    }
            this.setCursor(java.awt.Frame.DEFAULT_CURSOR);
	    outWindow.println("Done");
	}


	/**
	* Run tool for a single file
	**/
	public void runSingleFile() {
            this.setCursor(java.awt.Frame.WAIT_CURSOR);

	    // Save options for current file
	    saveCurrentOptions();

	    // Save current tool items
	    saveCurrentToolItems();

	    // Save file
	    try {
		File file = new File(projectPath + "Single.proj");
		file.delete();
		RandomAccessFile raf = null;
		try {
		    raf = new RandomAccessFile(projectPath + "Single.proj", "rw");
		    int i = pListBoxMain.getSelectedIndex();

		    // Write out all tools to be run
		    String s = pOptions.getItem(i);
		    String ename;
		    int j;
		    StringTokenizer cOptions = new StringTokenizer(s, " ");
		    while (cOptions.hasMoreTokens()) {
			j = Integer.valueOf(cOptions.nextToken()).intValue();
			ename = pListBoxTools.getItem(j);
			raf.writeBytes("e\r\n" + ename + "\r\n");
		    }

		    // Write out path and file name
		    //raf.writeBytes("f\r\n" + pPathBox.getItem(i) + "\r\n");
		    raf.writeBytes("f\r\n" + pListBoxMain.getItem(i) + "\r\n");

		    raf.close();
		} catch (IOException e) {
		    System.out.println("FILE ERROR saving project");
		    raf.close();
		    return;
		}
	    } catch (IOException e) {
		System.out.println("FILE ERROR saving project");
		return;
	    }

	    // Hide window, then show it
	    outWindow.hide();
	    outWindow.show();
	    outWindow.toFront();
	    if (currentTool.equals("Build"))
	        outWindow.println("Generating and compiling code...");
	    if (currentTool.equals("Install"))
	        outWindow.println("Installing project...");

	    processFile(projectPath + "Single.proj", currentTool);

            this.setCursor(java.awt.Frame.DEFAULT_CURSOR);
	    outWindow.println("Done");
	}

	/**
	* Compile a java file
	* Returns true=no errors, false=errors
	**/
	static boolean compile(String fileName) {

	    // Make sure there is a .java extension
	    String jfileName = fileName;
	    if (fileName.indexOf(".java") == -1)
		jfileName = fileName + ".java";

	    // Call java compiler
            if (!Exec.execPrint(javaCompiler + " " + jfileName)) {

		// If error, then delete class file
		String fn = jfileName.substring(0, jfileName.indexOf(".java"));
		File f = new File(fn + ".class");
		if (f.exists())
		    f.delete();
		return false;
	    }
	    return true;
	}

	/**
	* Get package name for a java class file
	**/
   	static public String getPackageName(String fileName) {
	    //System.out.println("getPackageName(" + fileName + ")");
	    File cFile;
	    String fname = fileName.toLowerCase();
	    if (fname.endsWith(".class")) {
	        cFile = new File(fileName);
		// remove .class since ClassItem does not want it
		fname = fname.substring(0, fname.length()-6);
	    }
	    else {
		// If not a class file, then return
		if (fname.indexOf(".") > -1)
		    return "";
	        cFile = new File(fileName + ".class");
	    }

	    if (cFile.exists()) {
		try {
		    ClassItem ci = new ClassItem(fname);
		    String pn = ci.getPackageName();
		    //System.out.println("  package = " + pn);
		    return pn;
		}
		catch (ClassFileException e) {
		    System.out.println("There is an error getting package for " + fileName);
		}
	    }
	    return "";
   	}


	/**
	* Copy file
	* returns true if successful
	**/
	static public boolean fileCopy(String ssrc, String sdest) {
	    File src = new File(ssrc);
	    File dest = new File(sdest);
	    //System.out.println("copy " + ssrc + " to " + sdest);

	    // If wildcards, then do that (allow *.*, *partOfFile.ext)
	    if (ssrc.indexOf('*') > -1) {

		// Get entire filelist for source directory
		String sDir = formCorrectDirectory(ssrc.substring(0, ssrc.indexOf('*')));
		//System.out.println("sDir = " + sDir);
		String dDir = formCorrectDirectory(sdest);
		//System.out.println("dDir = " + dDir);
		String filter = ssrc.substring(ssrc.indexOf('*')+1);
		if (filter.equals(".*"))
		    filter = "";
		//System.out.println("filter = " + filter);

		// Get source directory
		src = new File(sDir);
		if (!(src.exists())) {
		    System.out.println("Directory " + sDir +  " does not exist");
		    return false;
		}

		// Make directories for dest
		File dDirFile = new File(dDir);
		dDirFile.mkdirs();

		// Get file list
		String[] files = src.list();

		// Copy each file in file list that matches filter
		String ssFile, sdFile;
		File sFile, dFile;
		boolean dirFile = false;
		boolean doCopy = false;
		String targetfile, target, targetdest;
		for (int i = 0; i < files.length; i++) {
		    ssFile = sDir + files[i];
		    sdFile = dDir + files[i];
		    sFile = new File(ssFile);
		    dirFile = false;

		    // Is this a directory, if so, then don't copy it
		    if (files[i].indexOf('.') == -1) {
		        if (sFile.isDirectory()) {
			    dirFile = true;
		        }
		    }

		    // If regular file, then copy if it matches filter
		    if (dirFile == false) {
			doCopy = false;

			// If no filter, then copy all
			if (filter.length() == 0)
			    doCopy = true;

			// If filter, then only copy files matching filter
			else if (files[i].endsWith(filter))
			    doCopy = true;

			// If copy
			if (doCopy) {
			    dFile = new File(sdFile);
			    try {
				fcopy(sFile, dFile);
			    }
			    catch (IOException e) {
				System.out.println("ERROR Copying file");
				System.out.println(e);
				e.printStackTrace();
				return false;
			    }
		        }
		    }
		}
	    }

	    // Don't copy if sdest time = ssrc time
	    if (dest.exists() && dest.isFile()) {
	        if (src.lastModified() <= dest.lastModified()) {
		    //System.out.println("no need to copy");
	            return true;
		}
	    }

	    // If dest dir doesn't exist, then create directory
	    int j =sdest.lastIndexOf('\\');
	    if (j > -1) {
		String destDir = sdest.substring(0, j);
		File destDirFile = new File(destDir);
		if (destDirFile.exists() == false) {
		    boolean b = destDirFile.mkdirs();
		    if (!b) {
			System.out.println("ERROR Making directory before copying file");
			return false;
		    }
		}
	    }

	    // getAbsolutePath returns "path\\ssrc" so need to remove "\\"
	    String s = src.getAbsolutePath();
	    String sa = s;
	    int i = s.indexOf(File.separator+File.separator);
	    if (i >= 0) {
		sa = s.substring(0,i) + s.substring(i+1);
	    }

	    // If the files are the same, don't do anything
	    if (sa.equals(dest.getAbsolutePath())) {
                //System.out.println("Files are equal");
	        return true;
	    }
	    try {
	    	fcopy(src, dest);
	    }
	    catch (IOException e) {
		System.out.println("ERROR Copying file");
		return false;
	    }
	    return true;
	}

	/**
	* Move file
	* returns true if successful
	**/
	static public boolean fileMove(String ssrc, String sdest) {
	    if ((ssrc == null) || (sdest == null)) {
		System.out.println("ERROR Moving file - no file specified");
	        return false;
	    }

	    File src = new File(ssrc);
	    if (!src.exists())
	        return false;

	    File dest = new File(sdest);
	    //System.out.println("move " + ssrc + " to " + sdest);

	    // getAbsolutePath returns "path\\ssrc" so need to remove "\\"
	    String s = src.getAbsolutePath();
	    String sa = s;
	    int i = s.indexOf(File.separator+File.separator);
	    if (i >= 0) {
		sa = s.substring(0,i) + s.substring(i+1);
	    }

	    // If the files are the same, don't do anything
	    if (sa.equals(dest.getAbsolutePath())) {
                //System.out.println("Files are equal");
	        return true;
	    }
	    try {
	    	fcopy(src, dest);
	    	src.delete();
	    }
	    catch (IOException e) {
		System.out.println("ERROR Moving file");
		return false;
	    }
	    return true;
	}

	/**
	* Copy file
	**/
	static public void fcopy(File src, File dest) throws IOException {
	    FileInputStream source = null;
	    FileOutputStream destination = null;
	    byte[] buffer;
	    int bytes_read;

    	    String sstatus = "    Copying " + src + " -> " + dest;
    	    showStatus(sstatus);
            outWindow.println(sstatus);

	    // Make sure the specified source exists and is readable.
	    if (!src.exists()) {
		showStatus("Source not found: " + src);
		throw new IOException("Source not found: " + src);
	    }
	    if (!src.canRead()) {
		showStatus("Source is unreadable: " + src);
		throw new IOException("Source is unreadable: " + src);
	    }
	    if (src.isFile()) {
		if (!dest.exists()) {
		    File parentdir = parent(dest);
		    if (!parentdir.exists())
			parentdir.mkdir();
		}
		else if (dest.isDirectory()) {
		    dest = new File(dest + File.separator + src);
		}
	    }
	    else if (src.isDirectory()) {
		if (dest.isFile()) {
		    showStatus("Cannot copy directory "  + src + " to file " + dest );
		    throw new IOException("Cannot copy directory " + src + " to file " + dest);
		}
		if (!dest.exists())
		    dest.mkdir();
	    }

	    if (src.isFile()) {
		try {
		    source = new FileInputStream(src);
		    destination = new FileOutputStream(dest);
		    buffer = new byte[1024];
		    while(true) {
			bytes_read = source.read(buffer);
			if (bytes_read == -1) break;
			    destination.write(buffer, 0, bytes_read);
			}
		    }
		finally {
		    if (source != null)
			try { source.close(); } catch (IOException e) { ; }
			if (destination != null)
			    try { destination.close(); } catch (IOException e) { ; }
		}
	    }
	    else if (src.isDirectory()) {
		String targetfile, target, targetdest;
		String[] files = src.list();
		for (int i = 0; i < files.length; i++) {
		    targetfile = files[i];
		    target = src + File.separator + targetfile;
		    targetdest = dest + File.separator + targetfile;
		    if ((new File(target)).isDirectory()) {
			fcopy(new File(target), new File(targetdest));
		    }
		    else {
			try {
			    source = new FileInputStream(target);
			    destination = new FileOutputStream(targetdest);
			    buffer = new byte[1024];
			    while(true) {
				bytes_read = source.read(buffer);
				if (bytes_read == -1) break;
				destination.write(buffer, 0, bytes_read);
			    }
			}
			finally {
			    if (source != null)
				try { source.close(); } catch (IOException e) { ; }
			    if (destination != null)
				try { destination.close(); } catch (IOException e) { ; }
			}
		    }
		}
	    }
	}

	/**
	* Delete directory and all of its contents including subdirectories
	**/
	static boolean deleteDir(File dir) {
	    System.out.println("    Deleting directory " + dir);
	    boolean ret = false;
	    if (dir.isDirectory()) {
		String targetfile, target;
		File targetFile;
		String[] files = dir.list();
		for (int i = 0; i < files.length; i++) {
		    targetfile = files[i];
		    target = dir + File.separator + targetfile;
		    targetFile = new File(target);
		    if (targetFile.isDirectory()) {
			ret = deleteDir(targetFile);
			if (!ret) {
			    showStatus("Error deleting directory " + target);
			    System.out.println("Error deleting directory " + target);
			    break;
		        }
			targetFile.delete();  //this doesn't seem to remove directory
		        //targetFile = new File(target);
			//System.out.println("isDir = " + targetFile + " ::: " + targetFile.isDirectory());
		    }
		    else {
			//System.out.println("Deleting file " + targetFile);
			targetFile.delete();
		    }
		}
		ret = true;
	    }
	    return ret;
	}


	/**
	* Expand string and substitute variables for strings read from "BojaTool.tools"
	**/
	static String expandString(String s, String directory, String pdirectory, String packageName, String fileName, String ext, String fileNameWithBase) {
	    String r = s;
	    String t = "";
	    int i = 0;
	    boolean done = false;
	    //System.out.println("ExpandString(" + s + ")");
	    if (s != null)
	    while (!done) {
		if ((i = r.indexOf("%DIR%")) > -1) {
		    t = r.substring(0,i) + directory + r.substring(i+5);
		    r = t;
		}
		else if ((i = r.indexOf("%PDIR%")) > -1) {
		    t = r.substring(0,i) + pdirectory + r.substring(i+6);
		    r = t;
		}
		else if ((i = r.indexOf("%JAVA%")) > -1) {
		    t = r.substring(0,i) + javaInterpreter + r.substring(i+6);
		    r = t;
		}
		else if ((i = r.indexOf("%JAVAC%")) > -1) {
		    t = r.substring(0,i) + javaCompiler + r.substring(i+7);
		    r = t;
		}
		else if (((i = r.indexOf("%COPY%")) > -1) && (copyCommand.length() > 0)) {
		    t = r.substring(0,i) + copyCommand + r.substring(i+6);
		    r = t;
		}
		else if ((i = r.indexOf("%DOCS%")) > -1) {
		    t = r.substring(0,i) + docsDir + r.substring(i+6);
		    r = t;
		}
		else if ((i = r.indexOf("%APPLETS%")) > -1) {
		    t = r.substring(0,i) + appletsDir + r.substring(i+9);
		    r = t;
		}
		else if ((i = r.indexOf("%DIR1%")) > -1) {
		    t = r.substring(0,i) + dir1 + r.substring(i+6);
		    r = t;
		}
		else if ((i = r.indexOf("%DIR2%")) > -1) {
		    t = r.substring(0,i) + dir2 + r.substring(i+6);
		    r = t;
		}
		else if ((i = r.indexOf("%CLASSPATH%")) > -1) {
		    t = r.substring(0,i) + System.getProperty("java.class.path") + r.substring(i+11);
		    r = t;
		}
		else if ((i = r.indexOf("%PROGRAMCLASSPATH%")) > -1) {
		    t = r.substring(0,i) + classPath + r.substring(i+18);
		    r = t;
		}
		else if ((i = r.indexOf("%FILE%")) > -1) {
		    t = r.substring(0,i) + fileName + r.substring(i+6);
		    r = t;
		}
		else if ((i = r.indexOf("%FILEWITHBASE%")) > -1) {
		    t = r.substring(0,i) + fileNameWithBase + r.substring(i+14);
		    r = t;
		}
		else if ((i = r.indexOf("%EXT%")) > -1) {
		    t = r.substring(0,i) + ext + r.substring(i+5);
		    r = t;
		}
		else if ((i = r.indexOf("%PACKAGE%")) > -1) {
		    // Only get package name if you really need it, since it is slow to do
		    if (packageName == null) {
			packageName = getPackageName(directory + fileName);
		    }
		    t = r.substring(0,i) + packageName + r.substring(i+9);
		    r = t;
		}
		else if ((i = r.indexOf("0")) > -1) {
		    t = r.substring(0,i) + File.separator + r.substring(i+3);
		    r = t;
		} else {
		    done = true;
		}
	    }
	    return r;
	}

   	/**
	* File.getParent() can return null when the file is specified without
	* a directory or is in the root directory. This method handles those cases.
	*
	* @param f the target File to analyze
	* @return the parent directory as a File
	*/
	private static File parent(File f) {
		String dirname = f.getParent();
		if (dirname == null) {
			if (f.isAbsolute()) return new File(File.separator);
			else return new File(formCorrectDirectory(System.getProperty("user.dir")));
		}
		return new File(dirname);
	}

	/**
	* Execute a project file
	*
	* @param fileName the name of the project file to process
	* @param useTool "Load"=called to read in project file , or tool name
	*             		to be used
	**/
	static public void processFile(String fileName, String useTool) {
	    //System.out.println("Processing project file " + fileName);
            outWindow.clear();
	    showStatus("Processing project file " + fileName);
	    String fn;		// file name (without extension - "BojaTool")
	    String ext;		// extension of file name (".java")
	    String pn;		// path name ("C:/Bojangles/COM/ibm/jaws/tools/toolbench/")
	    String ppn;		// partial path name ("COM/ibm/jaws/tools/toolbench/")
	    String fnb;		// filename without 'Base' removed from end of file
	    String sf;		// string of file name read in
	    String si;		// string of indicator or path name read in
	    String sr;		// string of key read in

	    Vector toolsToRun = new Vector();

	    try {
		RandomAccessFile raf = new RandomAccessFile(fileName, "r");

		try {
		    boolean done = false;
		    while (!done) {

			// Read id charactor
    		    	sr = raf.readLine();
			if (sr == null) {
			    done = true;
			    raf.close();
			}
			else {

			    // Read identifier or path
			    si = raf.readLine();
			    if (si == null) {
				done = true;
				raf.close();
				return;
			    }

			    // remove cr from identifier
			    si = si.substring(0, si.length()-1);
			    //System.out.println("id = " + si);


			    // If tool, then add to list of tools to run
			    if (sr.charAt(0) == 'e') {
				toolsToRun.addElement(si);
			    }

			    // If path
			    else {
				if (si == null) {
				    done = true;
				    raf.close();
	    			    showStatus("Done");
				    return;
				}
				else {

				    // Read in file name
			    	    //sf = raf.readLine();

				    // changed format of file name to be "path"/"file"
				    int pos = si.lastIndexOf(File.separatorChar);
				    if (pos > -1) {
					sf = si.substring(pos+1);
				        si = si.substring(0,pos+1);
				    }
				    else {
					sf = raf.readLine();
				    }

				    if (sf == null) {
					done = true;
	    				showStatus("Done");
					raf.close();
					return;
				    }

				    // partial path name
				    ppn = si;

				    // full path name
				    pn = ppn;

				    // Remove cr
				    String tfn = sf; //.substring(0, sf.length()-1);


				    //-----------------------
				    // If called to run tool
				    //-----------------------
				    if (useTool.equals("Load") == false) {
					//System.out.println("PN = " + pn);

					//if (pn.length() > 0)
					//    pn = classPath + pn;

					// Change directory
					//if (si.length() > 0) {
					    //System.out.println("Changing dir to <" + pn + ">");
					    //@bc chdir(pn);
					    //String z = System.getProperty("user.dir");
					    //System.out.println("user.dir = " + z);
					//}

					// Package name
					String packageName = null; //"";

					// File name
					int extIndex = tfn.indexOf('.');
					if (extIndex == -1) {
					    fnb = tfn;
					    ext = "";
					}
					else {
					    fnb = tfn.substring(0, extIndex);
					    ext = tfn.substring(extIndex+1);
					}
					//System.out.println("FILE="+fnb+ "  EXT=" +ext);

					//--------------------
					// If Tools
					//--------------------
					if (useTool.equals("Build") || useTool.equals("Install")) {

					    // Continue only if there is a tool to run
					    boolean found = false;
					    for (int i=0; i<tools.size(); i++) {
						Tool tl = (Tool)tools.elementAt(i);
						if (tl.getType().equals(useTool)) {
						    if (toolsToRun.indexOf(tl.getName()) > -1) {
							found = true;
							break;
						    }
						}
					    }
					    if (found) {

						if (tfn.equals("Run Tool") == false) {

						    // Add classPath before directory.  This allows the
						    // directory name to be saved without the classPath
						    // in the .proj file so that if the COM directory
						    // is moved, it should still run correctly.

						    // Look for classPath that matches the file being sought
						    if (tfn.indexOf(".") == -1) {

							// If no extension, then check that file
							String t = findPath(pn, tfn);
							if (t.length() > 0) {
							    pn = t;
							}
							else {

							    // Check .java and .class files
							    t = findPath(pn, tfn+".java");
							    if (t.length() > 0) {
								pn = t;
							    }
							    else {
								t = findPath(pn, tfn+".class");
								if (t.length() > 0) {
								    pn = t;
								}
								else {
								    showStatus("ERROR:  Cannot find " + pn + tfn + ".java or .class.");
								    outWindow.println("ERROR:  Cannot find " + pn + tfn + ".java or .class.");
								    raf.close();
								    return;
								}
							    }
							}
						    }
						    else {
							// If extension, then check that file
							String t = findPath(pn, tfn);
							if (t.length() > 0) {
							    pn = t;
							}
							else {
							    showStatus("ERROR:  Cannot find " + pn + tfn + ".");
							    outWindow.println("ERROR:  Cannot find " + pn + tfn + ".");
							    raf.close();
							    return;
							}
						    }
						}
						// If "Run Tool" then path = classpath of program + ppn
						else {
						    pn = classPath + ppn;
						}


						// Get package name from .class file
						//packageName = getPackageName(pn + fn);

						// If file name ends in Base then remove 'Base'
						if (fnb.endsWith("Base"))
						    fn = fnb.substring(0, fnb.length()-4);
						else
						    fn = fnb;

						// Get package.file string
						//String pfn;
						//packageName = packageName + ".";
						//if (packageName.length() > 1)
						    //pfn = packageName + fn;
						//else
						    //pfn = fn;

						showStatus("Processing file " + pn+fnb+"."+ext);
						outWindow.println("Processing file " + pn+fnb+"."+ext);


						// Look at all tools to see which ones should be run
						for (int i=0; i<tools.size(); i++) {
						    Tool tl = (Tool)tools.elementAt(i);

						    // Look at only the tool passed as a parmeter
						    if (tl.getType().equals(useTool)) {
							if (toolsToRun.indexOf(tl.getName()) > -1) {
							    tl.reset();
							    ToolsItem ti;
							    boolean alreadyPrinted = false;

							    // For each tool item
							    //long dependencyTime = 0;
							    while ((ti = (ToolsItem)tl.getNextToolsItem()) != null) {
								boolean skipTool = false;
								boolean conditionalTool = false;
								boolean runTools = false;
								long dependencyTime = 0;
								//System.out.println("  ToolsItem = " + ti);
								//System.out.println("    program name = " + ti.getProgramName());
								//System.out.println("    emitted path = " + ti.getPath());
								//System.out.println("    emitted file = " + ti.getEmitted());

								//String pname = expandString(ti.getProgramName(), pn, ppn, packageName, fn, ext, fnb);
								//System.out.println("pname = " + pname);

								String ename = expandString(ti.getEmitted(), pn, ppn, packageName, fn, ext, fnb);
								//System.out.println("ename = " + ename);

								String epath = expandString(ti.getPath(), pn, ppn, packageName, fn, ext, fnb);
								//System.out.println("epath = " + epath);

								if (!alreadyPrinted) {
								    showStatus("  Running " + tl.getName() + "...");
								    outWindow.println("  Running " + tl.getName() + "...");
								    alreadyPrinted = true;
								}

								// Check dependency file dates
								ti.reset();
								String dependencyFilenameTemp;
                                                                while (((dependencyFilenameTemp = ti.getNextDependency()) != null) && (!skipTool)) {
                                                                    boolean checkOS = false;

								    // Check to see if dependency file is later than generated file
								    //System.out.println("dependencyFilenameTemp = " + dependencyFilenameTemp);
								    String dependencyFilename = expandString(dependencyFilenameTemp, pn, ppn, packageName, fn, ext,fnb);

                                                                    // If check for operating system
                                                                    if (dependencyFilename.indexOf("%OS_") > -1) {
                                                                        //System.out.println("check OS = " + dependencyFilename);
                                                                        checkOS = true;
                                                                        if (dependencyFilename.indexOf("%"+OS+"%") == -1) {
                                                                            //System.out.println("skip this tool");
                                                                            skipTool = true;
                                                                        }
                                                                    }

                                                                    if (!checkOS) {
                                                                        //System.out.println("dependencyFilename = " + dependencyFilename);
                                                                        File dependencyFile = new File(dependencyFilename);
                                                                        if (dependencyFile.exists()) {
                                                                            if (dependencyFile.lastModified() > dependencyTime)
                                                                                dependencyTime = dependencyFile.lastModified();
                                                                        }
                                                                        else {
									    showStatus("ERROR:  Dependency file " + dependencyFilename + " not found.");
									    outWindow.println("ERROR:  Dependency file " + dependencyFilename + " not found.");
									    raf.close();
									    return;
                                                                        }
                                                                    }
								}

								// Check conditional dependency file dates
								// If the file is missing, then don't run the tool
								ti.reset();
								String cDependencyFilenameTemp;
								while ((cDependencyFilenameTemp = ti.getNextConditionalDependency()) != null) {

								    // Check to see if dependency file is later than generated file
								    String cDependencyFilename = expandString(cDependencyFilenameTemp, pn, ppn, packageName, fn, ext, fnb);
								    //System.out.println("cDependencyFilename = " + cDependencyFilename);
								    File cDependencyFile = new File(cDependencyFilename);
								    if (cDependencyFile.exists()) {
									conditionalTool = true;
                                                                        if (cDependencyFile.lastModified() > dependencyTime)
									    dependencyTime = cDependencyFile.lastModified();

								    }
                                                                    else {
									skipTool = true;
								    }
								}


								// Check to see if tool needs to be run
                                                                if (!runTools) {
                                                                    File generatedFile = new File(epath+ename);
                                                                    if ((generateAll) && (!conditionalTool)) {
                                                                        runTools = true;
                                                                    }

                                                                    if (generatedFile.exists()) {
                                                                        // If generated file is older than dependency files, then run tool
                                                                        //System.out.println("time = " + (generatedFile.lastModified()-dependencyTime));
                                                                        if (generatedFile.lastModified() < dependencyTime) {
                                                                            runTools = true;
                                                                        }
                                                                    }
                                                                    // If no generated file, then run tool
                                                                    else {
                                                                        runTools = true;
                                                                    }
                                                                }

								// Run tool
								if ((runTools) && (!skipTool)) {
								    String pname = expandString(ti.getProgramName(), pn, ppn, packageName, fn, ext, fnb);
								    if (pname.indexOf("%COPY%") > -1) {
									String src = getParameter(pname,1);
									String dest = getParameter(pname,2);
									if (!fileCopy(src, dest)) {
									    showStatus("ERROR:  " + pname);
									    outWindow.println("ERROR:  " + pname);
									    raf.close();
									    return;
									}
								    }
								    else if (pname.indexOf("%MKDIR%") > -1) {
									String dir = getParameter(pname,1);
									File dirFile = new File(dir);
									if (!dirFile.exists()) {
									    boolean b = dirFile.mkdirs();
									    if (!b) {
									    	showStatus("ERROR: Making directory");
									    	outWindow.println("ERROR: Making directory");
									    	raf.close();
									    	return;
									    }
									}
								    }
								    else if (pname.indexOf("%DELDIR%") > -1) {
									String dir = getParameter(pname,1);
									File dirFile = new File(dir);
									if (dirFile.exists()) {
									    boolean b = deleteDir(dirFile);
									    if (!b) {
									    	showStatus("ERROR: Deleting directory");
									    	outWindow.println("ERROR: Deleting directory");
									    	raf.close();
									    	return;
									    }
									}
								    }
								    else if (pname.indexOf("%CHDIR%") > -1) {
									String dir = getParameter(pname,1);
									chdir(dir);
									showStatus("    chdir " + dir + " -> " +
									    formCorrectDirectory(System.getProperty("user.dir")));
								    }
								    else {
									if (!Exec.execPrint(pname)) {
									    showStatus("ERROR:  " + pname);
									    outWindow.println("ERROR:  " + pname);
									    raf.close();
									    return;
									}
									if (ename != null)
									    fileMove(ename, epath+ename);
								    }
								}
								else {
								    //showStatus("  Files are up-to-date.");
								    //outWindow.println("  Files are up-to-date.");
								}

							    }
							}
						    }
						}
					    }
					}
					toolsToRun.removeAllElements();
		    			chdir(origDirectory);
				    }

				    //---------------------------------------------------
				    // If reading from file to populate GUI file list box
				    //---------------------------------------------------
				    else if (useTool.equals("Load")) {
					boolean buildTool = false;
					boolean installTool = false;

					String s = "";

					// Check to see if tool is a build tool
					for (int j=0; j<pListBoxToolsBuild.countItems(); j++) {
					    if (toolsToRun.indexOf( pListBoxToolsBuild.getItem(j) ) > -1) {
						s = s + Integer.toString(j) + " ";
						buildTool = true;
					    }
					}

					// Check to see if tool is an install tool
					for (int j=0; j<pListBoxToolsInstall.countItems(); j++) {
					    if (toolsToRun.indexOf( pListBoxToolsInstall.getItem(j) ) > -1) {
						s = s + Integer.toString(j) + " ";
						installTool = true;
					    }
					}

					if (buildTool) {
					    pOptionsBuild.addItem(s);
            				    pPathBoxBuild.addItem(pn);
            				    pListBoxBuild.addItem(pn+tfn);
					}
					if (installTool) {
					    pOptionsInstall.addItem(s);
            				    pPathBoxInstall.addItem(pn);
            				    pListBoxInstall.addItem(pn+tfn);
					}
					toolsToRun.removeAllElements();
				    }

				}
			    }
		    	}
		    }
		} catch (IOException e) {
		    showStatus("FILE ERROR");
		    outWindow.println("FILE ERROR");
		    raf.close();
		}
	    } catch (IOException e) {
		showStatus("FILE ERROR OPENING");
		outWindow.println("FILE ERROR OPENING");
	    }
	    showStatus("Done");
	}

	/**
	* Returns the parameter number
	**/
	public static String getParameter(String parms, int num) {
	    StringTokenizer sParms = new StringTokenizer(parms, " ");
	    String returnParms = "";
	    int parmNumber = -1;
	    while (sParms.hasMoreTokens()) {
		returnParms = sParms.nextToken();
		if (returnParms.length() > 0)
		    parmNumber++;
		if (parmNumber == num)
		    return returnParms;
	    }
	    return "";
	}

	/**
	* Add file to the project
	**/
        public void addFile(String dir, String file, String emit) {

	    // Remove classpath part of directory - already done before calling this
	    //String newDir = removeClassPath(dir);

	    // Add file to project
	    boolean found = false;
	    int k = pListBox1.countItems();

	    // Check to see if file is already in list
	    // (but if it is "Run Tool", then always add it)
	    if (file.equals("Run Tool") == false) {

		// If it is already there, then replace it
		for (int j=0; j<k; j++) {
		    if ( (pListBox1.getItem(j).equals(file)) && (pPathBox.getItem(j).equals(dir)) ) {
			//System.out.println("YES");
			found = true;
			pListBox1.replaceItem(dir + file, j);
			pPathBox.replaceItem(dir, j);
			pOptions.replaceItem(emit, j);
			//pListBox1.select(j);
			//Event re = new Event(pListBox1, 0, 701, 0, 0, 0, 0);
			//handleEvent(re);
			//prevIndex = j;
			//setCurrentOptions(emit);
			break;
		    }
		}
	    }

	    // If it is not there, then add to end
	    if (!found) {
		pListBox1.addItem(dir + file);
		pPathBox.addItem(dir);
		pOptions.addItem(emit);
		//pListBox1.select(k);
		//prevIndex = k;
		//Event re = new Event(pListBox1, 0, 701, 0, 0, 0, 0);
		//handleEvent(re);
		//setCurrentOptions(emit);
	    }
        }

	// zpb_end
}

/**
 * Class MainBubblePane.
 *
 *
 * @author    Bryce Curtis
 * @version   1.0 2/28/97 3:02:12pm
 * @copyright IBM
 */
class MainBubblePane extends Canvas {
	private static Applet applet;

	// zpb_begin MainBubblePaneUserVars
	String helpString;
	// zpb_end

	// zpb_begin MainBubblePaneJavadocConstructor
	/**
	 * Creates a specialized canvas for the specified app.
	 */
	// zpb_end
	public MainBubblePane(Applet app) {
		applet = app;
		setBackground(Color.white);

		// zpb_begin MainBubblePaneConstructor
		// zpb_end
	}

	// zpb_begin MainBubblePaneJavadocPaint
	/**
	 * Paints the Canvas.  Add specialized functionality for this Canvas
	 * between the paint protect block.
	 */
	// zpb_end
	public void paint(Graphics g) {
		Dimension d = size();
		g.drawRect(0,0,d.width-1,d.height-1); // border
		// zpb_begin MainBubblePanePaint
		g.setFont(new Font("Helvetica", Font.PLAIN, 10));
		g.setColor(Color.red);
		g.drawString(helpString, 2, d.height-4);
		// zpb_end
	}

	// zpb_begin MainBubblePaneUserMethods

	/**
	* Set text to be displayed in the bubble help window
	**/
	public void setText(String s) {
	    FontMetrics fm = getToolkit().getFontMetrics(new Font("Helvetica", Font.PLAIN, 10));
	    int h = fm.getHeight();
	    int w = fm.stringWidth(s);
	    helpString = s;
	    resize(w+4, h+2);
	}

	/**
	* Get text that is displayed
	**/
	public String getText() {
	    return helpString;
	}
	// zpb_end
}

/**
 * Class OutWindow.
 *
 *
 * @author    Bryce Curtis
 * @version   1.0 2/28/97 3:02:13pm
 * @copyright IBM
 */
class OutWindow extends Frame {

	private static Applet applet;

	// Initial size in logical units
	Dimension initialSize = new Dimension(231, 153);
	Point initialLocation;
	// zpb_begin OutWindowUserVars
	TextArea text;
	// zpb_end

	// zpb_begin OutWindowJavadocConstructor
	/**
	 * Creates a specialized window with the specified app and title.
	 */
	 // zpb_end
	OutWindow(Applet app, String title) {
		super(title);
		applet = app;

		// zpb_begin OutWindowConstructor_1
		// zpb_end

		setBackground(Color.lightGray);
		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		// zpb_begin OutWindowConstructor_2
		text = new TextArea(10,10);
		text.setFont(new Font("Courier", Font.PLAIN, 12));
		add("2 2 " + Integer.toString(initialSize.width-2) + " " + Integer.toString(initialSize.height-2), text);
		// zpb_end

		// Size and Position in logical units
		initialLocation = lfLayout.du(15, 28);

		pack();
		move(initialLocation.x, initialLocation.y);

		// zpb_begin OutWindowConstructor_3
		// zpb_end
	}

	// zpb_begin OutWindowJavadocMinimumSize
	/**
	 * @return  Returns a Dimension with the minimum width and height
	 *          of this container.
	 */
	 // zpb_end
	public Dimension minimumSize() {
		// zpb_begin OutWindowMinimumSize
		// zpb_end

		LayoutManager layoutMgr = getLayout();
		if (layoutMgr instanceof LogFontLayout) {
			// Convert from logical units to absolute coordinates
			int w = initialSize.width;
			int h = initialSize.height;
			LogFontLayout layout = (LogFontLayout)layoutMgr;
			return new Dimension(layout.duX(w), layout.duY(h));
		}
		return new Dimension(initialSize);
	}

	// zpb_begin OutWindowJavadocHandleEvent
	/**
	 * Handle events that occur with components in this container.
	 *
	 * @return  Returns a boolean which specifies whether the event
	 *          handler should stop at this level or continue up the
	 *          parent hierarchy.
	 */
	// zpb_end
	public boolean handleEvent(Event e) {
		if (e.id == Event.WINDOW_DESTROY) {
			// zpb_begin OutWindowDestroy

			// Hide window instead of disposing of it
			if (1==1)
			    hide();
			// zpb_end
			dispose();
			return true;
		}

		// zpb_begin OutWindowHandleEvent
		// zpb_end

		return super.handleEvent(e);
	}


	// zpb_begin OutWindowUserMethods
	public void paint(Graphics g) {
		Dimension d = size();
		text.reshape(4, 28, d.width-8, d.height-28-8);
	}

	/**
	* Print a string to the window
	**/
	void print(String s) {
		text.appendText(s);
		Dimension d = size();
		text.reshape(4, 28, d.width-8, d.height-28-8);
	}

	/**
	* Println a string to the window
	**/
	void println(String s) {
		text.appendText(s + "\n");
		Dimension d = size();
		text.reshape(4, 28, d.width-8, d.height-28-8);
	}

        /**
        * Clears text
        **/
        void clear() {
                text.setText("");
		Dimension d = size();
		text.reshape(4, 28, d.width-8, d.height-28-8);
        }
	// zpb_end
}

/**
 * Class About.
 *
 *
 * @author    Bryce Curtis
 * @version   1.0 2/28/97 3:02:15pm
 * @copyright IBM
 */
class About extends Dialog {

	private static Applet applet;
	Label pStatic1, pStatic2, pStatic3, pStatic4;
	Button pButton1;

	// Initial size in logical units
	Dimension initialSize = new Dimension(192, 113);
	Point initialLocation;
	// zpb_begin AboutUserVars
	// zpb_end

	// zpb_begin AboutJavadocConstructor
	/**
	 * Creates a specialized dialog with the specified app, parent, title and
	 * modality.
	 */
	 // zpb_end
	About(Applet app, Frame parent, String title, boolean modal) {
		super(parent, title, modal);
		applet = app;
		setResizable(false);

		// zpb_begin AboutConstructor_1
		// zpb_end

		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		pButton1 = new Button("OK");
		add("78 72 32 15", pButton1);
		pStatic1 = new Label("Bojangles Toolbench V1.0");
		pStatic1.setAlignment(Label.CENTER);
		add("4 12 180 12", pStatic1);
		pStatic1.setFont(new Font("Helvetica", Font.BOLD, 14));
		pStatic2 = new Label("Written by Dr. Bryce Curtis");
		pStatic2.setAlignment(Label.CENTER);
		add("4 30 180 12", pStatic2);
		pStatic3 = new Label("Feb 28, 1997");
		pStatic3.setAlignment(Label.CENTER);
		add("2 42 184 12", pStatic3);
		pStatic4 = new Label("copyright IBM Corporation 1997");
		pStatic4.setAlignment(Label.CENTER);
		add("2 54 184 12", pStatic4);
		// zpb_begin AboutConstructor_2
		pStatic1.setText("Bojangles Toolbench");
		// zpb_end

		// Size and Position in logical units
		initialLocation = lfLayout.du(15, 28);

		pack();
		move(initialLocation.x, initialLocation.y);

		// zpb_begin AboutConstructor_3
		// zpb_end
	}

	// zpb_begin AboutJavadocMinimumSize
	/**
	 * @return  Returns a Dimension with the minimum width and height
	 *          of this container.
	 */
	 // zpb_end
	public Dimension minimumSize() {
		// zpb_begin AboutMinimumSize
		// zpb_end

		LayoutManager layoutMgr = getLayout();
		if (layoutMgr instanceof LogFontLayout) {
			// Convert from logical units to absolute coordinates
			int w = initialSize.width;
			int h = initialSize.height;
			LogFontLayout layout = (LogFontLayout)layoutMgr;
			return new Dimension(layout.duX(w), layout.duY(h));
		}
		return new Dimension(initialSize);
	}

	// zpb_begin AboutJavadocHandleEvent
	/**
	 * Handle events that occur with components in this container.
	 *
	 * @return  Returns a boolean which specifies whether the event
	 *          handler should stop at this level or continue up the
	 *          parent hierarchy.
	 */
	// zpb_end
	public boolean handleEvent(Event e) {
		if (e.id == Event.WINDOW_DESTROY) {
			// zpb_begin AboutDestroy
			// zpb_end
			dispose();
			return true;
		}

		// zpb_begin AboutHandleEvent
		// zpb_end

		return super.handleEvent(e);
	}

	// zpb_begin AboutJavadocAction
	/**
	 * Action handling routine.
	 *
	 * @return  Returns a boolean specifying whether the event should be handled
	 *          furthur up the parent hierarchy.
	 */
	// zpb_end
	public boolean action(Event evt, Object obj) {

		if (evt.target == pButton1) {
			// zpb_begin AboutButton1Clicked
			// zpb_end
			dispose();
			return false;
		}

		// zpb_begin AboutAction
		// zpb_end

		return false;
	}


	// zpb_begin AboutUserMethods
	// zpb_end
}

/**
 * Class AddDialog.
 *
 *
 * @author    Bryce Curtis
 * @version   1.0 2/28/97 3:02:19pm
 * @copyright IBM
 */
class AddDialog extends Dialog {

	private static Applet applet;
	TextField pEdit1;
	Label pStatic2, pStatic1, pStatic3;
	List pFileList, pListBox2;
	Button pAdd, pCancel, pSelectAll;

	// Initial size in logical units
	Dimension initialSize = new Dimension(291, 168);
	Point initialLocation;
	// zpb_begin AddDialogUserVars
    	public BojaTool parent = null;
	int Build = 0;
	int Install = 1;
	int currentTool = Build;
	// zpb_end

	// zpb_begin AddDialogJavadocConstructor
	/**
	 * Creates a specialized dialog with the specified app, parent, title and
	 * modality.
	 */
	 // zpb_end
	AddDialog(Applet app, Frame parent, String title, boolean modal) {
		super(parent, title, modal);
		applet = app;
		setResizable(false);

		// zpb_begin AddDialogConstructor_1
		this.parent = (BojaTool)parent;
		// zpb_end

		setBackground(new Color(192,192,192));
		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		pFileList = new List(0, false);
		add("15 20 145 76", pFileList);
		pFileList.setFont(new Font("Helvetica", Font.PLAIN, 11));
		pFileList.setBackground(new Color(255,255,255));
		pStatic2 = new Label("Java and Class Files:");
		add("10 5 130 10", pStatic2);
		pStatic1 = new Label("Directory:");
		add("10 110 35 12", pStatic1);
		pEdit1 = new TextField("");
		add("50 110 225 10", pEdit1);
		pEdit1.setFont(new Font("Helvetica", Font.PLAIN, 11));
		pEdit1.setBackground(new Color(255,255,255));
		pAdd = new Button("Add");
		add("124 130 40 16", pAdd);
		pCancel = new Button("Cancel");
		add("192 130 40 16", pCancel);
		pStatic3 = new Label("Tools for:");
		add("170 5 114 12", pStatic3);
		pListBox2 = new List(0, false);
		add("175 20 100 76", pListBox2);
		pListBox2.setFont(new Font("Helvetica", Font.PLAIN, 11));
		pListBox2.setBackground(new Color(255,255,255));
		pSelectAll = new Button("Select All");
		add("56 130 40 16", pSelectAll);
		// zpb_begin AddDialogConstructor_2

		pListBox2.setFont(new Font("Helvetica", Font.PLAIN, 11));

		if (this.parent.currentTool.equals("Build")) {
		    currentTool = Build;
		    for (int i=0; i<this.parent.pListBoxToolsBuild.countItems(); i++) {
			pListBox2.addItem(this.parent.pListBoxToolsBuild.getItem(i));
		    }
		}
		else if (this.parent.currentTool.equals("Install")) {
		    currentTool = Install;
		    for (int i=0; i<this.parent.pListBoxToolsInstall.countItems(); i++) {
			pListBox2.addItem(this.parent.pListBoxToolsInstall.getItem(i));
		    }
		}
		pListBox2.setMultipleSelections(true);
		pStatic2.setText("Files: " + this.parent.filter[currentTool]);
	    	pEdit1.setText(this.parent.directory + this.parent.filter[currentTool]);

		// Set options default to same as main screen
		int[] selIndexes = this.parent.pListBox2.getSelectedIndexes();
		for (int j=0; j<selIndexes.length; j++)
		    pListBox2.select( selIndexes[j] );

		// zpb_end

		// Size and Position in logical units
		initialLocation = lfLayout.du(15, 28);

		pack();
		move(initialLocation.x, initialLocation.y);

		// zpb_begin AddDialogConstructor_3
                move(100,100);
		// zpb_end
	}

	// zpb_begin AddDialogJavadocMinimumSize
	/**
	 * @return  Returns a Dimension with the minimum width and height
	 *          of this container.
	 */
	 // zpb_end
	public Dimension minimumSize() {
		// zpb_begin AddDialogMinimumSize
		// zpb_end

		LayoutManager layoutMgr = getLayout();
		if (layoutMgr instanceof LogFontLayout) {
			// Convert from logical units to absolute coordinates
			int w = initialSize.width;
			int h = initialSize.height;
			LogFontLayout layout = (LogFontLayout)layoutMgr;
			return new Dimension(layout.duX(w), layout.duY(h));
		}
		return new Dimension(initialSize);
	}

	public boolean keyDown(Event evt, int key) {

		// zpb_begin AddDialogKeyDown
		// zpb_end
		return true;
	}

	// zpb_begin AddDialogJavadocHandleEvent
	/**
	 * Handle events that occur with components in this container.
	 *
	 * @return  Returns a boolean which specifies whether the event
	 *          handler should stop at this level or continue up the
	 *          parent hierarchy.
	 */
	// zpb_end
	public boolean handleEvent(Event e) {
		if (e.target == pFileList && e.id == Event.LIST_SELECT) {
			// zpb_begin AddDialogFileListSelChange
			// zpb_end
			return false;
		}
		if (e.target == pFileList && e.id == Event.ACTION_EVENT) {
			// zpb_begin AddDialogFileListAction
			//System.out.println("Action Event " + new Date());

			// If double-click on file list, check to see if it is a directory
			String f = pFileList.getSelectedItem();
			//System.out.println("clicked item = " + f);

			// if multiple items selected, then look for first [DIR]
			// since the item clicked on is not reported
			if (f == null) {
			    f = "";
			    int i = pFileList.countItems();
			    for (int j=1; j<i; j++) {
			        if (pFileList.isSelected(j)) {
			    	    if (pFileList.getItem(j).indexOf("[DIR]") == 0) {
			    	        f = pFileList.getItem(j);
				    }
				    break;
				}
			    }
			}
			//System.out.println("Action Event 2 " + new Date());

			// If parent directory
			if (f.indexOf("[DIR] ..") == 0) {
			    String d = parent.directory;
	    		    File file = new File(d.substring(0, d.length()-1));
			    parent.directory = file.getParent() + File.separator;
	    		    pEdit1.setText(this.parent.directory + parent.filter[currentTool]);
			    //System.out.println("Action Event 3 " + new Date());
			    getFiles();
			}

			// If subdirectory
			else if (f.indexOf("[DIR] ") == 0) {
			    parent.directory = parent.directory + f.substring(6) + File.separator;
	    		    pEdit1.setText(this.parent.directory  + parent.filter[currentTool]);
			    //System.out.println("Action Event 4 " + new Date());
			    getFiles();
			}

			// zpb_end
			return false;
		}
		if (e.id == Event.WINDOW_DESTROY) {
			// zpb_begin AddDialogDestroy
			// zpb_end
			dispose();
			return true;
		}

		// zpb_begin AddDialogHandleEvent

		// If enter pressed, then update file list
		else if (e.target==pEdit1 && e.id == Event.KEY_PRESS) {
		    if (e.key == 10) {
			String d = pEdit1.getText();
			parent.directory = parent.formCorrectDirectory(removeFilter(pEdit1.getText()));
			//System.out.println("parent dir = " + parent.directory);
		        pStatic2.setText("Files: " + parent.filter[currentTool]);
			getFiles();
			return true;
		    }
		    return false;
		}
		// zpb_end

		return super.handleEvent(e);
	}

	// zpb_begin AddDialogJavadocAction
	/**
	 * Action handling routine.
	 *
	 * @return  Returns a boolean specifying whether the event should be handled
	 *          furthur up the parent hierarchy.
	 */
	// zpb_end
	public boolean action(Event evt, Object obj) {

		if (evt.target == pAdd) {
			// zpb_begin AddDialogAddClicked

			// Get selected options
			String sOptions = "";
			int[] selIndexes = pListBox2.getSelectedIndexes();
			for (int j=0; j<selIndexes.length; j++)
			    sOptions = sOptions + Integer.toString(selIndexes[j]) + " ";

	    		// Remove classpath part of directory
	    		String newDir = parent.removeClassPath(parent.directory);

			// Add all selected files to project file list
			String[] s = pFileList.getSelectedItems();

		        Event re = new Event(parent.pListBox1, 0, 701, 0, 0, 0, 0);
			handleEvent(re);
			for (int i=0; i<s.length; i++) {
			    if (s[i].length() > 0) {

				// Add files to project
                                parent.addFile(newDir, s[i], sOptions);
			    }
			}
			parent.prevIndex = -1;
		        re = new Event(parent.pListBox1, 0, 701, 0, 0, 0, 0);
			handleEvent(re);

			// Close dialog
        		re = new Event(this, 0, Event.WINDOW_DESTROY, 0, 0, 0, 0);
        		handleEvent(re);
			// zpb_end
		}
		else if (evt.target == pCancel) {
			// zpb_begin AddDialogCancelClicked
        		Event re = new Event(this, 0, Event.WINDOW_DESTROY, 0, 0, 0, 0);
        		handleEvent(re);
			// zpb_end
		}
		else if (evt.target == pSelectAll) {
			// zpb_begin AddDialogSelectAllClicked
			int i = pFileList.countItems();
			String s;
			for (int j=1; j<i; j++) {  //don't select "Run Tool" so start from 1
			    // If not directory, then select
			    s = pFileList.getItem(j);
			    if ((s.indexOf("[DIR]") != 0) && (s.length() > 0)) {
				pFileList.select(j);
			    }
			}
			// zpb_end
		}

		// zpb_begin AddDialogAction
		// zpb_end

		return false;
	}


	// zpb_begin AddDialogUserMethods


	/**
	* Remove filter from string and set filter appropriately
	**/
	public String removeFilter(String d) {
	    // remove *.
	    int i,j;
	    i = d.indexOf('*');
	    j = d.indexOf('.');
	    if (j<i) i=j;
	    if (i > 0) {
		parent.filter[currentTool] = d.substring(i);
		d = d.substring(0, i);
	    }
	    else {
		parent.filter[currentTool] = "";
	    }
	    return d;
	}


	/**
	* Get list of files in "parent.directory" and display them in file list box
	**/
	public void getFiles() {
            ((Frame)parent).setCursor(java.awt.Frame.WAIT_CURSOR);
	    //System.out.println("directory = " + parent.directory + " " + new Date());
            File file = new File(parent.directory);

	    //System.out.println("Setting multiple selections... " + new Date());
            pFileList.setMultipleSelections(false);
	    //System.out.println("Hiding file list... " + new Date());
            pFileList.hide();
	    //System.out.println("Clearing file list... " + new Date());
            pFileList.clear();

	    //System.out.println("Getting file list " + new Date());
	    String[] fileList = file.list();
	    //System.out.println("  done " + new Date());
            if (fileList != null) {
		int len = 0;
		int dirlen = 0;
	        String[] sortedList = new String[fileList.length+2];
		int[] sortedListIndex = new int[fileList.length+2];
	        String[] dirList = new String[fileList.length+2];
		int[] dirListIndex = new int[fileList.length+2];
		//System.out.println("length = " + fileList.length);

		// Add option to run a tool not tied to a file
    	    	dirList[dirlen] = "Run Tool";
            	dirListIndex[dirlen] = dirlen;
		dirlen++;

		// Add parent directory
		if (parent.directory.length() > 3) {
    	    	    dirList[dirlen] = "[DIR] ..";
            	    dirListIndex[dirlen] = dirlen;
		    dirlen++;
		}

		// Add files
		//System.out.println("Adding files... " + new Date());
		boolean dirFile;
		boolean build = this.parent.currentTool.equals("Build");
		boolean install = this.parent.currentTool.equals("Install");
	        String sFilter = "";
		for (int i=0; i<fileList.length; i++) {
		    dirFile = false;

		    // Add directories to dirList
		    if (fileList[i].indexOf('.') == -1) {
		        File fdir = new File(parent.directory + fileList[i]);
		        if (fdir.isDirectory()) {
    	    	    	    dirList[dirlen] = "[DIR] " + fileList[i];
            	    	    dirListIndex[dirlen] = dirlen;
			    dirlen++;
			    dirFile = true;
		        }
		    }

		    // Add regular files
		    if (dirFile == false) {

			if (parent.filter[currentTool].length() == 0) {
			    sortedList[len] = fileList[i];
			    sortedListIndex[len] = len;
			    len++;
			}
			else {
	    		    StringTokenizer stFilter = new StringTokenizer(parent.filter[currentTool], " ");
			    boolean addToList = false;
	                    while (stFilter.hasMoreTokens()) {
		                sFilter = stFilter.nextToken();
		                if (sFilter.length() > 0) {
				    if (fileList[i].endsWith(sFilter.substring(1))) { //need to skip over '*'
				        addToList = true;
					break;
				    }
				}
			    }
			    if (addToList) {
			    //int pos = fileList[i].indexOf('.');
			    //if (pos > -1) {
				//if (parent.filter[currentTool].indexOf(fileList[i].substring(pos)) > -1) {
				    sortedList[len] = fileList[i];
				    sortedListIndex[len] = len;
				    len++;
				//}
			    }
			}
		    }
		}

		// Sort files
		//System.out.println("Sorting files... " + new Date());
		QSortString qs = new QSortString();
		try {
		    qs.sort(sortedListIndex, sortedList, 0, len);
		    qs.sort(dirListIndex, dirList, 1, dirlen);
	        } catch (java.lang.Exception e) {
		    System.out.println("Error with sort");
		}

		// Add directories to listbox
		//System.out.println("Adding files to listbox... " + new Date());
		for (int i=0; i<dirlen; i++) {
		   pFileList.addItem(dirList[dirListIndex[i]]);
	        }

		// Add files to listbox (don't duplicate any entries)
		for (int i=0; i<len; i++) {
		    if (i > 0) {
		        if (sortedList[sortedListIndex[i]].equals(sortedList[sortedListIndex[i-1]]) ) {}
			else {
		           pFileList.addItem(sortedList[sortedListIndex[i]]);
		       }
		   }
		   else	{
		       pFileList.addItem(sortedList[sortedListIndex[i]]);
		   }
	       }

		//System.out.println("Done" + new Date());
            }
            else {
                pFileList.addItem("Error: Can't list root directory or invalid path");
                System.out.println("File List is NULL");
            }

	    // Add blank lines to end to force vertical scroll bar to be added
	    for (int i=0; i<10; i++) {
		pFileList.addItem("");
	    }
            pFileList.show();

	    // Enable mult selections now, since scroll bars aren't added to them normally
            pFileList.setMultipleSelections(true);

            ((Frame)parent).setCursor(java.awt.Frame.DEFAULT_CURSOR);
	}

	// zpb_end
}

/**
 * Class Options.
 *
 *
 * @author    Bryce Curtis
 * @version   1.0 2/28/97 3:02:26pm
 * @copyright IBM
 */
class Options extends Dialog {

	private static Applet applet;
	TextField pJavaCompiler, pJavaInterpreter, pDocsDirectory, pAppletsDirectory,
pDirectory1, pDirectory2, pCopy;
	Label pStatic1, pStatic2, pStatic3, pStatic4, pStatic5, pStatic6, pStatic7;
	Button pOK, pCancel;

	// Initial size in logical units
	Dimension initialSize = new Dimension(256, 224);
	Point initialLocation;
	// zpb_begin OptionsUserVars
	BojaTool parent;
	// zpb_end

	// zpb_begin OptionsJavadocConstructor
	/**
	 * Creates a specialized dialog with the specified app, parent, title and
	 * modality.
	 */
	 // zpb_end
	Options(Applet app, Frame parent, String title, boolean modal) {
		super(parent, title, modal);
		applet = app;
		setResizable(false);

		// zpb_begin OptionsConstructor_1
		this.parent = (BojaTool)parent;
		// zpb_end

		setBackground(new Color(192,192,192));
		setFont(new Font("Helvetica", Font.PLAIN, 12));
		LogFontLayout lfLayout = new LogFontLayout(this);
		setLayout(lfLayout);

		pOK = new Button("OK");
		add("202 82 32 15", pOK);
		pCancel = new Button("Cancel");
		add("202 114 32 15", pCancel);
		pStatic1 = new Label("Java Compiler Program:");
		add("8 4 171 12", pStatic1);
		pStatic2 = new Label("Java Interpreter Program:");
		add("8 32 174 12", pStatic2);
		pJavaCompiler = new TextField("");
		add("22 16 156 12", pJavaCompiler);
		pJavaInterpreter = new TextField("");
		add("22 44 156 12", pJavaInterpreter);
		pStatic3 = new Label("Web Server DOCS Directory:");
		add("8 90 184 12", pStatic3);
		pDocsDirectory = new TextField("");
		add("22 102 156 12", pDocsDirectory);
		pStatic4 = new Label("Web Server APPLETS Directory:");
		add("8 118 194 12", pStatic4);
		pAppletsDirectory = new TextField("");
		add("22 130 156 12", pAppletsDirectory);
		pStatic5 = new Label("Directory 1:");
		add("8 146 130 12", pStatic5);
		pDirectory1 = new TextField("");
		add("22 158 156 12", pDirectory1);
		pStatic6 = new Label("Directory 2:");
		add("8 176 130 12", pStatic6);
		pDirectory2 = new TextField("");
		add("22 188 156 12", pDirectory2);
		pStatic7 = new Label("Copy Program:");
		add("8 60 142 12", pStatic7);
		pCopy = new TextField("");
		add("22 72 156 12", pCopy);
		// zpb_begin OptionsConstructor_2

		pJavaCompiler.setText(this.parent.javaCompiler);
		pJavaInterpreter.setText(this.parent.javaInterpreter);
		pDocsDirectory.setText(this.parent.docsDir);
		pAppletsDirectory.setText(this.parent.appletsDir);
		pDirectory1.setText(this.parent.dir1);
		pDirectory2.setText(this.parent.dir2);
		pCopy.setText(this.parent.copyCommand);
		// zpb_end

		// Size and Position in logical units
		initialLocation = lfLayout.du(15, 28);

		pack();
		move(initialLocation.x, initialLocation.y);

		// zpb_begin OptionsConstructor_3
		// zpb_end
	}

	// zpb_begin OptionsJavadocMinimumSize
	/**
	 * @return  Returns a Dimension with the minimum width and height
	 *          of this container.
	 */
	 // zpb_end
	public Dimension minimumSize() {
		// zpb_begin OptionsMinimumSize
		// zpb_end

		LayoutManager layoutMgr = getLayout();
		if (layoutMgr instanceof LogFontLayout) {
			// Convert from logical units to absolute coordinates
			int w = initialSize.width;
			int h = initialSize.height;
			LogFontLayout layout = (LogFontLayout)layoutMgr;
			return new Dimension(layout.duX(w), layout.duY(h));
		}
		return new Dimension(initialSize);
	}

	// zpb_begin OptionsJavadocHandleEvent
	/**
	 * Handle events that occur with components in this container.
	 *
	 * @return  Returns a boolean which specifies whether the event
	 *          handler should stop at this level or continue up the
	 *          parent hierarchy.
	 */
	// zpb_end
	public boolean handleEvent(Event e) {
		if (e.id == Event.WINDOW_DESTROY) {
			// zpb_begin OptionsDestroy
			// zpb_end
			dispose();
			return true;
		}

		// zpb_begin OptionsHandleEvent
		// zpb_end

		return super.handleEvent(e);
	}

	// zpb_begin OptionsJavadocAction
	/**
	 * Action handling routine.
	 *
	 * @return  Returns a boolean specifying whether the event should be handled
	 *          furthur up the parent hierarchy.
	 */
	// zpb_end
	public boolean action(Event evt, Object obj) {

		if (evt.target == pOK) {
			// zpb_begin OptionsOKClicked
			parent.javaCompiler = pJavaCompiler.getText();
			parent.javaInterpreter = pJavaInterpreter.getText();
			parent.docsDir = parent.formCorrectDirectory(pDocsDirectory.getText());
			parent.appletsDir = parent.formCorrectDirectory(pAppletsDirectory.getText());
			parent.dir1 = parent.formCorrectDirectory(pDirectory1.getText());
			parent.dir2 = parent.formCorrectDirectory(pDirectory2.getText());
			parent.copyCommand = pCopy.getText();
			parent.saveFileOptions();
			// zpb_end
			dispose();
			return false;
		}
		else if (evt.target == pCancel) {
			// zpb_begin OptionsCancelClicked
			// zpb_end
			dispose();
			return false;
		}

		// zpb_begin OptionsAction
		// zpb_end

		return false;
	}


	// zpb_begin OptionsUserMethods
	// zpb_end
}
// zpb_begin UserClasses

/**
 * Class RunExec.<p>
 */
class RunExec {

  private static boolean verbose = true;
  	static BojaTool parent;

   	public static void setParent(BojaTool p) {
       	    parent = p;
   	}

  	public static void setVerbose(boolean verboseFlag) {
    	    verbose = verboseFlag;
  	}

  	/** Starts a process to execute the command. Returns immediately,
   	*  even if the new process is still running.
   	*
   	* @param command The <B>full</B> pathname of the command to be
   	*        executed. No shell builtins or shell meta-chars allowed.
   	* @return false if a problem is known to occur, but since this
   	*         returns immediately, problems aren't usually found.
   	*         Returns true otherwise.
   	*/

  	public static boolean exec(String command) {
    	    return(exec(command, false, false));
  	}

  	/** Starts a process to execute the command. Waits for the process to
   	*  finish before returning.
   	*
   	* @param command The <B>full</B> pathname of the command to be
   	*        executed. No shell builtins or shell meta-chars allowed.
   	* @return false if a problem is known to occur, either due to
   	* an exception or from the subprocess returning a non-zero value.
   	* Returns true otherwise.
   	*/

  	public static boolean execWait(String command) {
    	    return(exec(command, false, true));
  	}

  	/** Starts a process to execute the command. Prints all output the
   	*  command gives.
   	*
   	* @param command The <B>full</B> pathname of the command to be
   	*        executed. No shell builtins or shell meta-chars allowed.
   	* @return false if a problem is known to occur, either due to
   	*  an exception or from the subprocess returning a non-zero value.
   	*  Returns true otherwise.
   	*/

  	public static boolean execPrint(String command) {
    	    return(exec(command, true, false));
  	}

  	private static boolean exec(String command,
			      boolean printResults, boolean wait) {
	    if (verbose) {
      		printSeparator();
      		System.out.println("    Executing '" + command + "'.");
      		parent.outWindow.println("    Executing '" + command + "'.");
	    }
	    try {
      		Process p  = Runtime.getRuntime().exec(command);
      		if(printResults) {
		    DataInputStream commandResult =
	  		new DataInputStream(new BufferedInputStream(p.getInputStream()));
		    String s = null;
		    try {
	  		while ((s = commandResult.readLine()) != null) {
	    		    System.out.println("    " + s);
	    		    parent.outWindow.println("    " + s);
			}
	  		int rvalue = p.exitValue();
	  		//if (p.exitValue() != 0) {
	  		if ((rvalue != 0) && (rvalue < 256)) {
	    		    if (verbose)
	      			printError(command + " -- return code = " + p.exitValue());
	    		    return(false);
	  		}
		    } catch (Exception e) {}
      		} else if (wait) {
		    try {
	  		// Doesn't always wait. If the previous exec was a print-the-results
	  		// version, then this will NOT wait unless there is a
	  		// System.out.println call here! Odd...
	  		System.out.println(" ");
	  		parent.outWindow.println(" ");
	  		int returnVal = p.waitFor();
	  		if (returnVal != 0) {
	    		    if (verbose)
	      			printError(command);
	    		    return(false);
	  		}
		    } catch (Exception e) {
	  		if (verbose)
	    		    printError(command, e);
	  		return(false);
		    }
      		}
    	    } catch (Exception e) {
      		if (verbose)
		    printError(command, e);
      		return(false);
    	    }
    	    return(true);
  	}

  	private static void printError(String command, Exception e) {
    	    System.out.println("Error doing exec(" + command + "): " + e.getMessage());
    	    System.out.println("Did you specify the full pathname?");
  	}

  	private static void printError(String command) {
    	    System.out.println("    Error executing '" + command + "'.");
    	    parent.outWindow.println("    Error executing '" + command + "'.");
  	}

  	private static void printSeparator() {
  	}
}

/**
 * Class EmptySecurityManager.<p>
 * Override SecurityManager so getImage() will work.  User modification of
 * the code between these protect blocks will be preserved for each subsequent
 * generation of the application code.
 */
class EmptySecurityManager extends SecurityManager {
	public void checkCreateClassLoader() {}
	public void checkAccess(Thread g) {}
	public void checkAccess(ThreadGroup g) {}
	public void checkExit(int status) {}
	public void checkExec(String cmd) {}
	public void checkLink(String lib) {}
	public void checkRead(FileDescriptor fd) {}
	public void checkRead(String file) {}
	public void checkRead(String file, Object context) {}
	public void checkWrite(FileDescriptor fd) {}
	public void checkWrite(String file) {}
	public void checkDelete(String file) {}
	public void checkConnect(String host, int port) {}
	public void checkConnect(String host, int port, Object context) {}
	public void checkListen(int port) {}
	public void checkAccept(String host, int port) {}
	public void checkPropertiesAccess() {}
	public void checkPropertyAccess(String key) {}
	public void checkPropertyAccess(String key, String def) {}
	public boolean checkTopLevelWindow(Object window) {return true;}
	public void checkPackageAccess(String pkg) {}
	public void checkPackageDefinition(String pkg) {}
	public void checkSetFactory() {}
}

/**
 * Class Tool.<p>
 * An tool definition that contains several tools items
 */
class Tool {
    String name;
    String comment;
    Vector toolItems = new Vector();
    int position = 0;
    String toolType;

    public void setType(String s) {
	toolType = s;
    }
    public void setName(String s) {
	name = s;
    }
    public void setComment(String s) {
	comment = s;
    }
    public String getType() {
	return toolType;
    }
    public String getName() {
	return name;
    }
    public String getComment() {
	return comment;
    }
    public void addToolsItem(ToolsItem ti) {
	toolItems.addElement(ti);
    }
    public ToolsItem getNextToolsItem() {
	if (position == toolItems.size())
	    return null;
	ToolsItem ti = (ToolsItem)toolItems.elementAt(position);
	position++;
	return ti;
    }
    public void reset() {
	position = 0;
    }
}


/**
 * Class ToolsItem.<p>
 * An tools item
 */
class ToolsItem {
    Vector dependency = new Vector();
    Vector conditionalDependency = new Vector();
    String programName;
    int position = 0;
    int cposition = 0;
    String emitted;
    String path;

    public void addDependency(String s) {
	dependency.addElement(s);
    }
    public void addConditionalDependency(String s) {
	conditionalDependency.addElement(s);
    }
    public void setProgramName(String s) {
	programName = s;
    }
    public String getProgramName() {
	return programName;
    }
    public void setEmitted(String s) {
	emitted = s;
    }
    public String getEmitted() {
	return emitted;
    }
    public void setPath(String s) {
	path = s;
    }
    public String getPath() {
	return path;
    }
    public String getNextDependency() {
	if (position == dependency.size())
	    return null;
	String s = (String)dependency.elementAt(position);
	position++;
	return s;
    }
    public String getNextConditionalDependency() {
	if (cposition == conditionalDependency.size())
	    return null;
	String s = (String)conditionalDependency.elementAt(cposition);
	cposition++;
	return s;
    }
    public void reset() {
	position = 0;
	cposition = 0;
    }
}

class QSortString
{
   public void QuickSort(int a[], String sarray[], int lo0, int hi0) throws Exception
   {
      int lo = lo0;
      int hi = hi0;
      String mid;

      if ( hi0 > lo0)
      {

         /* Arbitrarily establishing partition element as the midpoint of
          * the array.
          */
         mid = sarray[ a[ ( lo0 + hi0 ) / 2 ]];

         // loop through the array until indices cross
         while( lo <= hi )
         {
            /* find the first element that is greater than or equal to
             * the partition element starting from the left Index.
             */
            while( ( lo < hi0 ) && ( sarray[a[lo]].compareTo(mid) < 0 ) )
               ++lo;

            /* find an element that is smaller than or equal to
             * the partition element starting from the right Index.
             */
            while( ( hi > lo0 ) && ( sarray[a[hi]].compareTo(mid) > 0 ) )
               --hi;

            // if the indexes have not crossed, swap
            if( lo <= hi )
            {
               swap(a, sarray, lo, hi);
               // pause
               //pause();

               ++lo;
               --hi;
            }
         }

         /* If the right index has not reached the left side of array
          * must now sort the left partition.
          */
         if( lo0 < hi )
            QuickSort( a, sarray, lo0, hi );

         /* If the left index has not reached the right side of array
          * must now sort the right partition.
          */
         if( lo < hi0 )
            QuickSort( a, sarray, lo, hi0 );

      }
   }

   void swap(int a[], String sarray[], int i, int j)
   {
      String T;
      T = sarray[a[i]];
      sarray[a[i]] = sarray[a[j]];
      sarray[a[j]] = T;

   }

   public void sort(int a[], String sarray[], int beg, int len) throws Exception
   {
      QuickSort(a, sarray, beg, len-1); //a.length - 1);
   }
}

// zpb_end
